### 1. 说明

+ 介绍后台文件上传各个参数，不同存储服务如何获取

![](../img/基本开发文档/文件上传参数获取/文件上传配置.png)

---

### 2. 参数获取

#### 2.1 minio

+ 绑定域名(非必填)：能解析访问到https://endpoint/bucket的域名
+ 外网域名：minio外网可访问的地址
+ 桶名(bucketName)：minio中创建的桶的名字
+ accessKey：minio登录账号名
+ secretKey：minio登录密码

---

#### 2.2 阿里云OSS

+ 绑定域名(非必填)：**域名管理**中绑定的域名
![](../img/基本开发文档/文件上传参数获取/阿里云domain.png)
+ 外网域名：endpoint外网访问中的内容，前面补上**https://**
![](../img/基本开发文档/文件上传参数获取/阿里云endpoint.png)
+ 桶名(bucketName)：阿里云中创建的桶的名字
+ accessKey：阿里云RAM中**AccessKey ID**值
+ secretKey：阿里云RAM中**AccessKey Secret**值
![](../img/基本开发文档/文件上传参数获取/阿里云accessKey.png)

---

#### 2.3 腾讯云COS

+ 绑定域名(非必填)：**自定义源站域名**中添加的域名
![](../img/基本开发文档/文件上传参数获取/腾讯云domain.png)
+ 外网域名：将访问域名中的桶名去掉，剩下的内容就是外网域名
![](../img/基本开发文档/文件上传参数获取/腾讯云endpoint.png)
+ 桶名(bucketName)：腾讯云中创建的桶的名字
+ accessKey：腾讯云API密钥中**SecretId**值
+ secretKey：腾讯云API密钥中**SecretKey**值
![](../img/基本开发文档/文件上传参数获取/腾讯云accessKey.png)

---

#### 2.4 华为云OBS

+ 绑定域名(非必填)：**域名管理**中添加的域名
![](../img/基本开发文档/文件上传参数获取/华为云domain.png)
+ 外网域名：endpoint中的内容，前面补充**https://**
![](../img/基本开发文档/文件上传参数获取/华为云endpoint.png)
+ 桶名(bucketName)：华为云中创建的桶的名字
+ accessKey：华为云访问密钥中**Access Key Id**值
+ secretKey：华为云访问密钥中**Secret Access Key**值
![](../img/基本开发文档/文件上传参数获取/华为云accessKey.png)

---

#### 2.5 七牛云KODO

+ 绑定域名(非必填)：**域名管理**中添加的域名
![](../img/基本开发文档/文件上传参数获取/七牛云domain.png)
+ 外网域名：s3域名endpoint中的内容，前面补充**https://**
![](../img/基本开发文档/文件上传参数获取/七牛云endpoint.png)
+ 桶名(bucketName)：七牛云中创建的桶的名字
+ accessKey：七牛云密钥管理中**AK**值
+ secretKey：七牛云密钥管理中**SK**值
![](../img/基本开发文档/文件上传参数获取/七牛云accessKey.png)

---