
订单搜索 mapping

PUT order

```json
{
  "mappings": {
    "properties": {
      "orderId": {
        "type": "long"
      },
      "createTime": {
        "type": "date" 
      },
      "shopName": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "shopId": {
        "type": "long"
      },
      "userId": {
        "type": "long"
      },
      "consignee": {
        "type": "text"
      },
      "mobile": {
        "type": "text"
      },
      "receivingAddr": {
        "type": "text"
      },
      "status": {
        "type": "integer"
      },
      "orderType": {
        "type": "integer"
      },
      "refundType": {
        "type": "integer"
      },
      "returnMoneySts": {
        "type": "integer"
      },
      "deliveryType": {
        "type": "integer"
      },
      "freightAmount": {
        "type": "long"
      },
      "freeFreightAmount": {
        "type": "long"
      },
      "platformFreeFreightAmount": {
        "type": "long"
      },
      "orderInvoiceId": {
        "type": "long"
      },
      "remarks": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "total": {
        "type": "long"
      },
      "payType": {
        "type": "integer"
      },
      "closeType": {
        "type": "integer"
      },
      "payTime": {
        "type": "date"
      },
      "deliveryTime": {
        "type": "date"
      },
      "finallyTime": {
        "type": "date"
      },
      "cancelTime": {
        "type": "date"
      },
      "bookTime": {
        "type": "date"
      },
      "shopRemarks": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "orderAddrId": {
        "type": "long"
      },
      "isPayed": {
        "type": "integer"
      },
      "deleteStatus": {
        "type": "integer"
      },
      "scoreAmount": {
        "type": "long"
      },
      "memberAmount": {
        "type": "long"
      },
      "platformCouponAmount": {
        "type": "long"
      },
      "shopCouponAmount": {
        "type": "long"
      },
      "discountAmount": {
        "type": "long"
      },
      "platformAmount": {
        "type": "long"
      },
      "reduceAmount": {
        "type": "long"
      },
      "waitPurchase": {
        "type": "integer"
      },
      "supplierId": {
        "type": "integer"
      },
      "supplierDeliveryType": {
        "type": "integer"
      },
      "purchaseSpreadAmount": {
        "type": "long"
      },
      "partyCodes": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "spuCodes": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "preSaleType":{
        "type":"integer"
      },
      "orderMold":{
        "type":"integer"
      },
      "depositAmount":{
        "type":"long"
      },
      "balanceAmount":{
        "type":"long"
      },
      "preSaleDeliveryType":{
        "type":"integer"
      },
      "preSaleDeliveryTime":{
        "type":"date"
      },
      "balanceStartTime":{
        "type":"date"
      },
      "balanceEndTime":{
        "type":"date"
      },
      "platformCommission": {
        "type": "long"
      },
      "stationId": {
        "type": "long"
      },
      "stationCode": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "writeOffStart": {
        "type": "date"
      },
      "writeOffEnd": {
        "type": "date"
      },
      "writeOffNum": {
        "type": "integer"
      },
      "writeOffMultipleCount": {
        "type": "integer"
      },
      "writeOffStatus": {
        "type": "integer"
      },
      "paySysType": {
        "type": "integer"
      },
      "mainOrderId": {
        "type": "long"
      },
      "orderItems": {
        "type": "nested",
        "properties": {
          "pic": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "spuNameZh": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "spuNameEn": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "skuNameZh": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "skuNameEn": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "count": {
            "type": "integer"
          },
          "price": {
            "type": "long"
          },
          "scoreFee": {
            "type": "long"
          },
          "useScore": {
            "type": "long"
          },
          "skuId": {
            "type": "long"
          },
          "orderItemId": {
            "type": "long"
          },
          "spuId": {
            "type": "long"
          },
          "shopId": {
            "type": "long"
          },
          "userId": {
            "type": "long"
          },
          "finalRefundId": {
            "type": "long"
          },
          "distributionUserId": {
            "type": "long"
          },
          "isComm": {
            "type": "integer"
          },
          "commTime": {
            "type": "date"
          },
          "refundStatus": {
            "type": "integer"
          },
          "beDeliveredNum": {
            "type": "integer"
          },
          "deliveryType": {
            "type": "integer"
          },
          "shopCartTime": {
            "type": "date"
          },
          "spuTotalAmount": {
            "type": "long"
          },
          "actualTotal": {
            "type": "long"
          },
          "shareReduce": {
            "type": "long"
          },
          "platformShareReduce": {
            "type": "long"
          },
          "distributionAmount": {
            "type": "long"
          },
          "distributionParentAmount": {
            "type": "long"
          },          
          "gainScore": {
            "type": "long"
          },
          "returnMoneySts": {
            "type": "integer"
          },
          "giveawayAmount":{
            "type":"long"
          },
          "isGiveaway":{
            "type":"integer"
          },
          "giveawayOrderItemId":{
            "type":"long"
          },
          "activityId": {
            "type": "long"
          },
          "activityType": {
            "type": "integer"
          },
          "supplierPic": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "supplierSkuNameEn": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "supplierSkuNameZh": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "supplierSpuNameEn": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "supplierSpuNameZh": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "writeOffNum": {
            "type": "integer"
          },
          "spuMold": {
            "type": "integer"
          },
          "writeOffMultipleCount": {
            "type": "integer"
          },
          "writeOffStart": {
            "type": "date"
          },
          "writeOffEnd": {
            "type": "date"
          },
          "mainComboCount": {
            "type": "integer"
          },
          "mainComboSkuId": {
            "type": "long"
          },
          "mainComboSpuId": {
            "type": "long"
          },
          "comboNameZh": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "comboNameEn": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          }
        }
      },
      "orderVirtualInfoList": {
        "type": "nested",
        "properties": {
          "orderVirtualInfoId": {
            "type": "long"
          },
          "orderId": {
            "type": "long"
          },
          "shopId": {
            "type": "long"
          },
          "stationId": {
            "type": "long"
          },
          "writeOffCode": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "isWriteOff": {
            "type": "integer"
          },
          "writeOffTime": {
            "type": "date"
          },
          "writeOffMultipleCount": {
            "type": "integer"
          }
        }
      }
    }
  }
}
```
