
订单退款 mapping

PUT order-refund

```json
{
  "mappings": {
    "properties": {
      "refundId": {
        "type": "long"
      },
      "applyType": {
        "type": "integer"
      },
      "buyerDesc": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "buyerMobile": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "buyerReason": {
        "type": "integer"
      },
      "closeTime": {
        "type": "date"
      },
      "closeType": {
        "type": "integer"
      },
      "createTime": {
        "type": "date"
      },
      "decisionTime": {
        "type": "date"
      },
      "deliveryTime": {
        "type": "date"
      },
      "distributionTotalAmount": {
        "type": "long"
      },
      "freightAmount": {
        "type": "long"
      },
      "handelTime": {
        "type": "date"
      },
      "imgUrls": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "isReceived": {
        "type": "integer"
      },
      "orderId": {
        "type": "long"
      },
      "orderStatus": {
        "type": "integer"
      },
      "orderItemId": {
        "type": "long"
      },
      "paySysType": {
        "type": "integer"
      },
      "shopImgUrls": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "applyInterventionImgUrls": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "platformInterventionStatus": {
        "type": "integer"
      },
      "applyInterventionReason": {
        "type": "text"
      },
      "interventionRefundType": {
        "type": "integer"
      },
      "afterInterventionRefundAmount": {
        "type": "long"
      },
      "platformMessage": {
        "type": "text"
      },
      "applyInterventionTime": {
        "type": "date"
      },
      "interventionFinishTime": {
        "type": "date"
      },
      "orderItems": {
        "type": "nested",
        "properties": {
          "actualTotal": {
            "type": "long"
          },
          "count": {
            "type": "integer"
          },
          "orderItemId": {
            "type": "long"
          },
          "pic": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "platformShareReduce": {
            "type": "long"
          },
          "price": {
            "type": "long"
          },
          "refundScore": {
            "type": "long"
          },
          "shopId": {
            "type": "long"
          },
          "skuId": {
            "type": "long"
          },
          "skuNameEn": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "skuNameZh": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "spuId": {
            "type": "long"
          },
          "spuNameEn": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "spuNameZh": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "spuTotalAmount": {
            "type": "long"
          },
          "activityId": {
            "type": "long"
          },
          "activityType": {
            "type": "integer"
          },
          "supplierPic": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "supplierSkuNameEn": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "supplierSkuNameZh": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "supplierSpuNameEn": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "supplierSpuNameZh": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          }
        }
      },
      "orderType": {
        "type": "integer"
      },
      "overTime": {
        "type": "date"
      },
      "platformRefundAmount": {
        "type": "long"
      },
      "platformRefundCommission": {
        "type": "long"
      },
      "purPlatformRefundCommission": {
        "type": "long"
      },
      "purchaseRefundAmount": {
        "type": "long"
      },
      "receiveTime": {
        "type": "date"
      },
      "refundAmount": {
        "type": "long"
      },
      "refundCount": {
        "type": "integer"
      },
      "refundScore": {
        "type": "long"
      },
      "refundTime": {
        "type": "date"
      },
      "refundType": {
        "type": "integer"
      },
      "rejectMessage": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "returnMoneySts": {
        "type": "integer"
      },
      "sellerMsg": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "shopId": {
        "type": "long"
      },
      "shopName": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "supplierHandleStatus": {
        "type": "integer"
      },
      "supplierId": {
        "type": "long"
      },
      "supplierTime": {
        "type": "date"
      },
      "updateTime": {
        "type": "date"
      },
      "userId": {
        "type": "long"
      },
      "waitPurchase": {
        "type": "integer"
      },
      "supplierSpuType":{
        "type":"integer"
      },
      "categoryNames":{
        "type":"text"
      },
      "supplierName":{
        "type":"text",
        "analyzer":"ik_max_word",
        "search_analyzer":"ik_smart"
      },
      "supplierDeliveryType":{
        "type":"integer"
      },
      "skuChoiceStatus":{
        "type":"integer"
      },
      "commissionSpuStatus":{
        "type":"integer"
      },
      "supplierSpuId":{
        "type":"long"
      },
      "spuCode":{
        "type":"text",
        "analyzer":"ik_max_word",
        "search_analyzer":"ik_smart"
      },
      "preSaleType":{
        "type":"integer"
      }
    }
  }
}
```
