
供应商订单 mapping

PUT purchase-order

```json
{
  "mappings": {
    "properties": {
      "purchase_order_id": {
        "type": "long"
      },
      "purchase_number": {
        "type": "long"
      },
      "createTime": {
        "type": "date" 
      },
      "updateTime": {
        "type": "date" 
      },
      "deliverTime": {
        "type": "date" 
      },
      "deliveryTime": {
        "type": "date" 
      },
      "shopName": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "shopId": {
        "type": "long"
      },
      "supplierName": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "supplierId": {
        "type": "long"
      },
      "totalAmount": {
        "type": "long"
      },
      "totalStock": {
        "type": "integer"
      },
      "actualTotalStock": {
        "type": "integer"
      },
      "status": {
        "type": "integer"
      },
      "remark": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "employeeId": {
        "type": "long"
      },
      "deliveryType": {
        "type": "integer"
      },
      "consignee": {
        "type": "text"
      },
      "mobile": {
        "type": "text"
      },
      "spuNameZh": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "spuNameEn": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "purchaseOrderItems": {
        "type": "nested",
        "properties": {
          "spuNameZh": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "spuNameEn": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "skuNameZh": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "skuNameEn": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "purchaseItemId": {
            "type": "long"
          },
          "skuId": {
            "type": "long"
          },
          "spuId": {
            "type": "long"
          },
          "purchaseAmount": {
            "type": "long"
          },
          "purchasePrice": {
            "type": "long"
          },
          "purchaseStock": {
            "type": "integer"
          },
          "actualStock": {
            "type": "integer"
          },
          "deliveryType": {
            "type": "integer"
          },
          "status": {
            "type": "integer"
          },
          "spuCode": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "partyCode": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "pic": {
            "type": "keyword",
            "index": false,
            "doc_values": false
          },
          "beDeliveredNum": {
            "type": "integer"
          }
        }
      }
    }
  }
}
```
