> mall4cloud-pc：pc代表pc端

## 安装nodejs

[NodeJS](https://nodejs.org/) 项目要求最低 18.12.0，推荐 20.9.0

如果不了解怎么安装nodejs的，可以参考   [菜鸟教程的nodejs相关](https://www.runoob.com/nodejs/nodejs-install-setup.html)



## 安装依赖

项目要求使用 [pnpm](https://www.pnpm.cn/)  包管理工具

使用编辑器打开项目，在根目录执行以下命令安装依赖

```
pnpm install
```

如果不想使用 pnpm，请删除 `package.json` 文件中 `pnpm` 相关内容后再进行安装

```json
{
    "scripts" : {
        "preinstall": "npx only-allow pnpm"  // 删除此行
    },
    "engines": {
        "pnpm": ">=7"  // 删除此行
     },
    "pnpm": { // 删除此项
        ...
    }
}
```



## 修改配置文件，连接后台

修改根目录下的` .env.production`  连接后台。

假设你的服务器ip为`192.168.1.195`，也就是说你运行java项目的那台机器的开发环境，打开`cmd` 输入`ipconfig` 按回车的时候，看到的ipv4地址为`192.168.1.195` 当然这个ip也是假设的。

假设`java` 网关运行的端口是`8000` ，具体请看java项目中的bootstrap.yml

那么开发环境的配置为

```bash
VITE_APP_WEBSOCKET_URL = 'ws://192.168.1.195:8000'
VITE_APP_BASE_API = 'http://192.168.1.195:8000'
```



## 启动项目

```bash
npm run dev
```

