/*
SQLyog Ultimate v13.1.1 (64 bit)
MySQL - 8.0.33 : Database - mall4cloud_job
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`mall4cloud_job` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `mall4cloud_job`;

/*Table structure for table `xxl_job_group` */

DROP TABLE IF EXISTS `xxl_job_group`;

CREATE TABLE `xxl_job_group` (
                                 `id` int NOT NULL AUTO_INCREMENT,
                                 `app_name` varchar(64) NOT NULL COMMENT '执行器AppName',
                                 `title` varchar(12) NOT NULL COMMENT '执行器名称',
                                 `address_type` tinyint NOT NULL DEFAULT '0' COMMENT '执行器地址类型：0=自动注册、1=手动录入',
                                 `address_list` text COMMENT '执行器地址列表，多地址逗号分隔',
                                 `update_time` datetime DEFAULT NULL,
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `xxl_job_group` */

insert  into `xxl_job_group`(`id`,`app_name`,`title`,`address_type`,`address_list`,`update_time`) values
(2,'mall4cloud-order','订单服务',0,'','2021-06-23 09:59:30'),
(3,'mall4cloud-group','团购服务',0,'','2021-06-23 09:59:30'),
(4,'mall4cloud-seckill','秒杀服务',0,'','2021-06-23 09:59:30'),
(5,'mall4cloud-marketing','营销活动服务',0,'','2021-06-23 09:59:30'),
(7,'mall4cloud-flow','流量服务',0,'','2021-06-23 09:59:30'),
(10,'mall4cloud-admin','后台管理服务',0,'','2021-06-23 09:59:30'),
(11,'mall4cloud-product','商品服务',0,'','2021-06-23 09:59:30'),
(12,'mall4cloud-user','会员服务',0,'','2021-06-23 09:59:30');

/*Table structure for table `xxl_job_info` */

DROP TABLE IF EXISTS `xxl_job_info`;

CREATE TABLE `xxl_job_info` (
                                `id` int NOT NULL AUTO_INCREMENT,
                                `job_group` int NOT NULL COMMENT '执行器主键ID',
                                `job_desc` varchar(255) NOT NULL,
                                `add_time` datetime DEFAULT NULL,
                                `update_time` datetime DEFAULT NULL,
                                `author` varchar(64) DEFAULT NULL COMMENT '作者',
                                `alarm_email` varchar(255) DEFAULT NULL COMMENT '报警邮件',
                                `schedule_type` varchar(50) NOT NULL DEFAULT 'NONE' COMMENT '调度类型',
                                `schedule_conf` varchar(128) DEFAULT NULL COMMENT '调度配置，值含义取决于调度类型',
                                `misfire_strategy` varchar(50) NOT NULL DEFAULT 'DO_NOTHING' COMMENT '调度过期策略',
                                `executor_route_strategy` varchar(50) DEFAULT NULL COMMENT '执行器路由策略',
                                `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
                                `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
                                `executor_block_strategy` varchar(50) DEFAULT NULL COMMENT '阻塞处理策略',
                                `executor_timeout` int NOT NULL DEFAULT '0' COMMENT '任务执行超时时间，单位秒',
                                `executor_fail_retry_count` int NOT NULL DEFAULT '0' COMMENT '失败重试次数',
                                `glue_type` varchar(50) NOT NULL COMMENT 'GLUE类型',
                                `glue_source` mediumtext COMMENT 'GLUE源代码',
                                `glue_remark` varchar(128) DEFAULT NULL COMMENT 'GLUE备注',
                                `glue_updatetime` datetime DEFAULT NULL COMMENT 'GLUE更新时间',
                                `child_jobid` varchar(255) DEFAULT NULL COMMENT '子任务ID，多个逗号分隔',
                                `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态：0-停止，1-运行',
                                `trigger_last_time` bigint NOT NULL DEFAULT '0' COMMENT '上次调度时间',
                                `trigger_next_time` bigint NOT NULL DEFAULT '0' COMMENT '下次调度时间',
                                PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `xxl_job_info` */

INSERT  INTO `xxl_job_info`(`id`,`job_group`,`job_desc`,`add_time`,`update_time`,`author`,`alarm_email`,`schedule_type`,`schedule_conf`,`misfire_strategy`,`executor_route_strategy`,`executor_handler`,`executor_param`,`executor_block_strategy`,`executor_timeout`,`executor_fail_retry_count`,`glue_type`,`glue_source`,`glue_remark`,`glue_updatetime`,`child_jobid`,`trigger_status`,`trigger_last_time`,`trigger_next_time`) VALUES
(2,3,'拼团活动结束时间到了，团购商品恢复为普通商品','2021-04-23 11:09:40','2021-05-06 17:31:59','FrozenWatermelon','','CRON','5 0/30 * * * ?','DO_NOTHING','FIRST','activityFinishAndProdChange','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-04-23 11:09:40','',1,1624410030000,1624413630000),
(3,4,'秒杀结束，改变商品类型','2021-04-26 16:44:27','2021-05-06 17:32:08','FrozenWatermelon','','CRON','30 0 * * * ?','DO_NOTHING','FIRST','activityFinishAndProdChange','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-04-26 16:44:27','',1,1624410030000,1624413630000),
(4,5,'关闭已经结束的满减折活动','2021-05-06 17:31:42','2021-05-06 17:32:19','FrozenWatermelon','','CRON','0 0/30 * * * ?','DO_NOTHING','FIRST','closeDiscount','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-05-06 17:31:42','',1,1624410030000,1624413630000),
(5,5,'删除用户失效180天以上的优惠券','2021-05-06 18:17:38','2021-05-06 18:26:20','FrozenWatermelon','','CRON','0 30 0 * * ?','DO_NOTHING','FIRST','deleteCouponUser','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-05-06 18:17:38','',1,1624379400000,1624465800000),
(6,5,'改变用户优惠券的状态(设为失效状态)','2021-05-06 18:18:23','2021-05-06 18:25:29','FrozenWatermelon','','CRON','0 0/2 * * * ?','DO_NOTHING','FIRST','changeCouponUser','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-05-06 18:18:23','',1,1624413480000,1624413600000),
(7,5,'改变店铺优惠券的状态(设为过期状态)','2021-05-06 18:22:08','2021-05-06 18:24:49','FrozenWatermelon','','CRON','0 0/30 * * * ?','DO_NOTHING','FIRST','changeCoupon','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-05-06 18:22:08','',1,1624410030000,1624413630000),
(8,5,'投放优惠券','2021-05-06 18:22:55','2021-05-06 18:23:09','FrozenWatermelon','','CRON','0 * * * * ?','DO_NOTHING','FIRST','putOnCoupon','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-05-06 18:22:55','',1,1624410000000,1624413600000),
(10,7,'统计商品信息','2021-05-21 16:19:51','2021-06-19 09:26:02','FrozenWatermelon','','CRON','0 0/30 * * * ? *','DO_NOTHING','FIRST','statisticalFlowData','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-05-21 16:19:51','',1,1624411800000,1624413600000),
(12,2,'订单结算','2021-06-19 13:54:26','2021-06-19 13:54:33','FrozenWatermelon','','CRON','5 0 0 * * ?','DO_NOTHING','FIRST','settledOrder','','SERIAL_EXECUTION',0,3,'BEAN','','GLUE代码初始化','2021-06-19 13:54:26','',1,1624377605000,1624464005000),
(13,2,'确认收货','2021-06-19 13:54:51','2021-06-19 13:54:56','FrozenWatermelon','','CRON','5 0 0 * * ?','DO_NOTHING','FIRST','confirmOrder','','SERIAL_EXECUTION',0,3,'BEAN','','GLUE代码初始化','2021-06-19 13:54:51','',1,1624377605000,1624464005000),
(16,10,'根据签约时间改变店铺状态','2021-07-13 14:27:13','2021-07-13 14:28:23','FrozenWatermelon','','CRON','30 0 0 * * ? *','DO_NOTHING','FIRST','changeShopStatus','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-07-13 14:27:13','',1,1626969630000,1627056030000),
(19,2,'退款临近超时提醒,每12小时执行发送一次的提醒','2021-07-13 16:31:37','2021-07-22 17:03:17','lhd','','CRON','0 0 9,21 * * ?','DO_NOTHING','FIRST','pressProximityTimeOutOrder','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-07-13 16:31:37','',1,1627002000000,1627045200000),
(20,2,'取消申请超时的订单，无论该超时订单处于任何状态','2021-07-13 16:31:59','2021-07-22 17:03:20','lhd','','CRON','0 0/5 * * * ?','DO_NOTHING','FIRST','cancelWhenTimeOut','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-07-13 16:31:59','',1,1627020000000,1627020300000),
(21,11,'校验商品数据','2021-07-16 14:39:15','2021-07-16 14:40:21','FrozenWatermelon','','CRON','0 0/30 * * * ? *','DO_NOTHING','FIRST','verifySpuData','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-07-16 14:39:15','',1,1627020000000,1627021800000),
(23,12,'每年年初结算过期积分','2021-07-23 13:31:12','2021-07-23 13:34:09','FrozenWatermelon','','CRON','0 0 0 1 1 ? *','DO_NOTHING','FIRST','scoreExpireTask','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-07-23 13:31:12','',1,0,1640966400000),
(24,12,'用户会员到期重置会员的任务','2021-07-23 13:32:56','2021-07-23 13:34:06','FrozenWatermelon','','CRON','0 1 0 * * ? *','DO_NOTHING','FIRST','vipUserClear','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-07-23 13:32:56','',1,0,1627056060000),
(25,5,'分销订单自动结算','2021-08-24 17:33:03','2021-08-25 08:31:55','FrozenWatermelon','','CRON','0 0/5 * * * ?','DO_NOTHING','FIRST','distributionCommissionSettlement','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-08-24 17:33:03','',1,1629852300000,1629852600000),
(26,10,'根据签约时间改变供应商状态','2022-07-13 14:27:13','2022-07-13 14:28:23','FrozenWatermelon','','CRON','30 0 0 * * ? *','DO_NOTHING','FIRST','changeSupplierStatus','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2022-07-13 14:27:13','',1,1626969630000,1627056030000),
(27,5,'满减活动开启，清除缓存','2022-09-19 16:10:33','2022-09-19 16:10:33','FrozenWatermelon','','CRON','0 0 0/1 * * ?','DO_NOTHING','FIRST','startDiscount','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2022-09-19 16:10:33','',1,1626969630000,1627056030000),
(30, 11, '赠品活动结束，主商品恢复为普通商品', '2022-09-05 09:34:46', '2022-09-28 09:14:26', 'FrozenWatermelon', '', 'CRON', '0 * * * * ?', 'DO_NOTHING', 'FIRST', 'activityFinishAndProdChange', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2022-09-05 09:34:46', '', 1, 1665195540000, 1665195600000),
(33, 11, '启用未开启的赠品活动', '2022-09-30 11:06:12', '2022-09-30 11:29:11', 'FrozenWatermelon', '', 'CRON', '0 * * * * ?', 'DO_NOTHING', 'FIRST', 'activityStartAndProdChange', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2022-09-30 11:06:12', '', 1, 1665195540000, 1665195600000),
(34,5, '套餐活动结束，修改套餐状态、套餐商品项状态、套餐商品sku项状态', '2022-09-02 17:41:43', '2022-09-05 11:58:04', 'FrozenWatermelon', '', 'CRON', '0 * * *  * ? *', 'DO_NOTHING', 'FIRST', 'activityFinishAndProdChange', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2022-09-02 17:41:43', '', 1, 1663826430000, 1663830030000),
(35,5, '开启到了活动时间未开启的套餐活动', '2022-09-29 15:45:33', '2022-09-29 15:45:38', 'FrozenWatermelon', '', 'CRON', '0 * * *  * ? *', 'DO_NOTHING', 'FIRST', 'enableCombo', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2022-09-29 15:45:33', '', 1, 1664437620000, 1664437680000),
(40,5,'满减活动开启，清除缓存','2022-09-19 16:10:33','2022-09-19 16:10:33','FrozenWatermelon','','CRON','0 0 0/1 * * ?','DO_NOTHING','FIRST','startDiscount','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2022-09-19 16:10:33','',1,1626969630000,1627056030000),
(46,4,'已经结束的秒杀活动落库','2022-11-21 11:32:25','2022-11-21 11:32:25','FrozenWatermelon','','CRON','0 30 * * * ?','DO_NOTHING','FIRST','coldStockPlacement','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2022-11-21 11:32:25','',1,0,0),
(47,5,'商家转账','2022-04-14 13:33:41','2022-05-19 14:00:19','admin','','CRON','0 0 0 * * ?','DO_NOTHING','FIRST','sendEnterprisePay','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2022-04-14 13:33:41','',1,0,'1652976000000'),
(48,5,'查询商家转账情况','2022-04-14 13:34:25','2022-05-19 14:00:16','admin','','CRON','0 30 0 * * ?','DO_NOTHING','FIRST','queryAndUpdateEntPay','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2022-04-14 13:34:25','',1,0,'1652977800000'),
(49,11, '每一分钟检查一次核销时间过期的虚拟商品并进行下架', '2021-11-25 10:56:21', '2021-11-25 11:11:01', '	FrozenWatermelon', '', 'CRON', '0 0/1 * * * ?', 'DO_NOTHING', 'FIRST', 'offlineExpireVirtualProd', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2021-11-25 10:56:21', '', 1, 1673773260000, 1673773320000),
(52,11,'处理sku库存的变化','2023-08-16 09:56:14','2023-08-16 09:56:20','admin','','CRON','0/5 * * * * ?','DO_NOTHING','FIRST','handleSkuStockChange','','DISCARD_LATER','0','0','BEAN','','GLUE代码初始化','2023-08-16 09:56:14','',1,1692234575000,1692234580000),
(53,5, '定时改变直播间状态', '2023-07-21 17:08:16', '2023-07-24 10:24:59', 'admin', '', 'CRON', '0 0/30 * * * ? ','DO_NOTHING', 'FIRST', 'changeLiveRoomStatus', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化','2023-07-21 17:08:16', '', 1, 0, 0),
(54,11,'解锁sku库存','2023-08-18 14:30:19','2023-08-23 11:03:25','admin','','CRON','0 5 0 * * ?','DO_NOTHING','FIRST','unLockOrderSkuStock','','SERIAL_EXECUTION','0','0','BEAN','','GLUE代码初始化','2023-08-18 14:30:19','','1','0','1692806700000'),
(55,2,'发放退款','2023-09-07 09:16:24','2023-09-07 11:35:33','admin','','CRON','0 0/1 * * * ?','DO_NOTHING','FIRST','refundRequest','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-09-07 09:16:24','',1,1694068500000,1694068560000),
(56,2,'支付宝退款订单查单','2023-09-07 09:16:50','2023-09-07 11:15:16','admin','','CRON','0 0/1 * * * ?','DO_NOTHING','FIRST','updateAliPayRefundStatus','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-09-07 09:16:50','',1,1694068500000,1694068560000),
(57,2,'小程序发货虚拟订单和自提订单定时任务','2023-09-15 13:53:42','2023-09-15 13:53:42','admin','','CRON','0 0/1 * * * ?','DO_NOTHING','FIRST','wxAppShipment','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-09-15 13:53:42','',1,1694068500000,1694068560000),
(58,2,'执行平台介入超时处理，超时默认平台拒绝退款','2023-10-09 16:20:28','2023-10-09 16:20:28','admin','','CRON','0 0/1 * * * ?','DO_NOTHING','FIRST','refundInterventionTimeOut','','SERIAL_EXECUTION','0','0','BEAN','','GLUE代码初始化','2023-10-09 16:20:28','',1,'0','0'),
(59,12,'用户创建通联会员','2023-11-10 14:30:03','2023-11-10 14:51:03','admin','','CRON','0 0/10 * * * ? *', 'DO_NOTHING', 'FIRST', 'createAllinpayMember', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2023-11-10 14:30:03', '', 1, 0, 1699599600000),
(60,5,'解锁优惠券','2023-11-27 10:07:30','2023-11-27 10:07:30','admin', '', 'CRON','0 5 0 * * ?', 'DO_NOTHING', 'FIRST', 'unLockCouponStock', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN','', 'GLUE代码初始化', '2023-11-06 10:07:30', '', 0, 0, 0),
(61,12, '改变弹窗广告状态', '2023-12-25 10:07:30', '2023-12-25 10:07:30', 'admin', '', 'CRON','0 0/30 * * * ?', 'DO_NOTHING', 'FIRST', 'changePopup', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN','', 'GLUE代码初始化', '2023-12-25 10:07:30', '', 0, 0, 0);

/*Table structure for table `xxl_job_lock` */

DROP TABLE IF EXISTS `xxl_job_lock`;

CREATE TABLE `xxl_job_lock` (
                                `lock_name` varchar(50) NOT NULL COMMENT '锁名称',
                                PRIMARY KEY (`lock_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `xxl_job_lock` */

insert  into `xxl_job_lock`(`lock_name`) values
('schedule_lock');

/*Table structure for table `xxl_job_log` */

DROP TABLE IF EXISTS `xxl_job_log`;

CREATE TABLE `xxl_job_log` (
                               `id` bigint NOT NULL AUTO_INCREMENT,
                               `job_group` int NOT NULL COMMENT '执行器主键ID',
                               `job_id` int NOT NULL COMMENT '任务，主键ID',
                               `executor_address` varchar(255) DEFAULT NULL COMMENT '执行器地址，本次执行的地址',
                               `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
                               `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
                               `executor_sharding_param` varchar(20) DEFAULT NULL COMMENT '执行器任务分片参数，格式如 1/2',
                               `executor_fail_retry_count` int NOT NULL DEFAULT '0' COMMENT '失败重试次数',
                               `trigger_time` datetime DEFAULT NULL COMMENT '调度-时间',
                               `trigger_code` int NOT NULL COMMENT '调度-结果',
                               `trigger_msg` text COMMENT '调度-日志',
                               `handle_time` datetime DEFAULT NULL COMMENT '执行-时间',
                               `handle_code` int NOT NULL COMMENT '执行-状态',
                               `handle_msg` text COMMENT '执行-日志',
                               `alarm_status` tinyint NOT NULL DEFAULT '0' COMMENT '告警状态：0-默认、1-无需告警、2-告警成功、3-告警失败',
                               PRIMARY KEY (`id`),
                               KEY `I_trigger_time` (`trigger_time`),
                               KEY `I_handle_code` (`handle_code`)
) ENGINE=InnoDB AUTO_INCREMENT=57392 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `xxl_job_log` */

/*Table structure for table `xxl_job_log_report` */

DROP TABLE IF EXISTS `xxl_job_log_report`;

CREATE TABLE `xxl_job_log_report` (
                                      `id` int NOT NULL AUTO_INCREMENT,
                                      `trigger_day` datetime DEFAULT NULL COMMENT '调度-时间',
                                      `running_count` int NOT NULL DEFAULT '0' COMMENT '运行中-日志数量',
                                      `suc_count` int NOT NULL DEFAULT '0' COMMENT '执行成功-日志数量',
                                      `fail_count` int NOT NULL DEFAULT '0' COMMENT '执行失败-日志数量',
                                      `update_time` datetime DEFAULT NULL,
                                      PRIMARY KEY (`id`),
                                      UNIQUE KEY `i_trigger_day` (`trigger_day`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


/*Table structure for table `xxl_job_logglue` */

DROP TABLE IF EXISTS `xxl_job_logglue`;

CREATE TABLE `xxl_job_logglue` (
                                   `id` int NOT NULL AUTO_INCREMENT,
                                   `job_id` int NOT NULL COMMENT '任务，主键ID',
                                   `glue_type` varchar(50) DEFAULT NULL COMMENT 'GLUE类型',
                                   `glue_source` mediumtext COMMENT 'GLUE源代码',
                                   `glue_remark` varchar(128) NOT NULL COMMENT 'GLUE备注',
                                   `add_time` datetime DEFAULT NULL,
                                   `update_time` datetime DEFAULT NULL,
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `xxl_job_logglue` */

/*Table structure for table `xxl_job_registry` */

DROP TABLE IF EXISTS `xxl_job_registry`;

CREATE TABLE `xxl_job_registry` (
                                    `id` int NOT NULL AUTO_INCREMENT,
                                    `registry_group` varchar(50) NOT NULL,
                                    `registry_key` varchar(255) NOT NULL,
                                    `registry_value` varchar(255) NOT NULL,
                                    `update_time` datetime DEFAULT NULL,
                                    PRIMARY KEY (`id`),
                                    KEY `i_g_k_v` (`registry_group`,`registry_key`,`registry_value`)
) ENGINE=InnoDB AUTO_INCREMENT=830 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


/*Table structure for table `xxl_job_user` */

DROP TABLE IF EXISTS `xxl_job_user`;

CREATE TABLE `xxl_job_user` (
                                `id` int NOT NULL AUTO_INCREMENT,
                                `username` varchar(50) NOT NULL COMMENT '账号',
                                `password` varchar(50) NOT NULL COMMENT '密码',
                                `role` tinyint NOT NULL COMMENT '角色：0-普通用户、1-管理员',
                                `permission` varchar(255) DEFAULT NULL COMMENT '权限：执行器ID列表，多个逗号分割',
                                PRIMARY KEY (`id`),
                                UNIQUE KEY `i_username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `xxl_job_user` */
# 密码hn02le.34lkdLKD
insert  into `xxl_job_user`(`id`,`username`,`password`,`role`,`permission`) values
(1,'admin','5d10634cf16a4311bcf541e227be0665',1,NULL);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
