> mall4cloud-multishop：mall4cloud-multishop代表 商家端，是后台管理员界面使用的前端项目，因为前后端分离的

> mall4cloud-platform：mall4cloud-platform代表 平台端，是后台管理员界面使用的前端项目，因为前后端分离的

> mall4cloud-slipper：mall4cloud-slipper代表 供应商端，是后台管理员界面使用的前端项目，因为前后端分离的

## 安装nodejs

[NodeJS](https://nodejs.org/) 项目要求最低 18.12.0，推荐 20.9.0

如果不了解怎么安装nodejs的，可以参考   [菜鸟教程的nodejs相关](https://www.runoob.com/nodejs/nodejs-install-setup.html)



## 安装依赖

项目要求使用 [pnpm](https://www.pnpm.cn/)  包管理工具

使用编辑器打开项目，在根目录执行以下命令安装依赖

```
pnpm install
```

如果不想使用 pnpm，请删除 `package.json` 文件中 `pnpm` 相关内容后再进行安装

```json
{
    "scripts" : {
        "preinstall": "npx only-allow pnpm"  // 删除此行
    },
    "engines": {
        "pnpm": ">=7"  // 删除此行
     },
    "pnpm": { // 删除此项
        ...
    }
}
```



## 修改配置文件，连接后台

修改根目录下的`.env.production` 

* 以下域名，接口为示例，请结合申请的域名，接口进行修改

* 平台和商家端的 VITE_APP_BASE_API 为各自域名接口地址，请做相应的变更

```bash
# base api 线上服务端接口地址
VITE_APP_BASE_API = 'https://cloud-admin.mall4j.com'

# 客服
VITE_APP_WEBSOCKET_URL = 'wss://cloud-api.mall4j.com'

# 访问文件存储资源的url 对应阿里云的Bucket域名
VITE_APP_RESOURCES_URL = 'https://mall4cloud.oss-cn-shenzhen.aliyuncs.com'

# 腾讯地图key
VITE_APP_MAP_KEY = ''
```



### 如需部署在二级目录下，需要修改以下配置

假设部署在 admin 目录，即访问的地址为 https://xxxx.xxx/admin

1. 路由配置  router/index.js 

   ```javascript
   const router = createRouter({
     // createWebHistory 传入字符串参数目录配置：/目录名/
     history: createWebHistory('/admin/'),
   })
   ```

 2. 项目配置  vite.config.js

    ```javascript
    export default defineConfig({
      // 添加此项配置
      base: '/admin/',
    })
    ```

 3. nginx 配置

    ```nginx
    location /admin {
        try_files $uri $uri/ /admin/;
    }
    ```

    



## 打包上传

```bash
npm run build
```

静心等待，等打包结束后前往根目录下找到dist文件夹，打开文件所在资源器，将文件夹添加到压缩包部署到服务器上
