/*!40101 SET NAMES utf8mb4 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`mall4cloud_auth` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `mall4cloud_auth`;

/*Table structure for table `auth_account` */

DROP TABLE IF EXISTS `auth_account`;

CREATE TABLE `auth_account` (
  `uid` bigint unsigned NOT NULL COMMENT '全平台用户唯一id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `email` varchar(30) DEFAULT '' COMMENT '邮箱',
  `phone` varchar(15) DEFAULT '' COMMENT '手机号',
  `username` varchar(30) DEFAULT '' COMMENT '用户名',
  `password` varchar(64) DEFAULT '' COMMENT '密码',
  `create_ip` varchar(15) NOT NULL DEFAULT '' COMMENT '创建ip',
  `status` tinyint NOT NULL COMMENT '状态 1:启用 0:禁用 -1:删除',
  `sys_type` tinyint NOT NULL COMMENT '用户类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端',
  `user_id` bigint NOT NULL COMMENT '用户id',
  `tenant_id` bigint DEFAULT NULL COMMENT '所属租户(商家端用户此值为-1时,代表还没有申请店铺)',
  `is_admin` tinyint DEFAULT NULL COMMENT '是否是管理员',
  `is_pass_shop` tinyint DEFAULT NULL COMMENT '店铺是否已经入驻 0: 未入驻，1：已入驻',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `uk_usertype_userid` (`sys_type`,`user_id`),
  KEY `idx_email` (`email`),
  KEY `idx_phone` (`phone`),
  KEY `idx_username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='统一账户信息';

/*Data for the table `auth_account` */

insert  into `auth_account`(`uid`,`create_time`,`update_time`,`email`,`phone`,`username`,`password`,`create_ip`,`status`,`sys_type`,`user_id`,`tenant_id`,`is_admin`,`is_pass_shop`) values
(100710,'2020-12-21 15:25:31','2021-06-25 11:21:59','admin@qq.com','13800138000','admin','$2a$10$DX9KbiPjlpQMXUsWjzUiA.qMWcl/Di1Neg/hjfB1eo2gGiKhuTa0S','192.168.1.22',1,2,1,0,1,1);
/*Table structure for table `auth_log` */

DROP TABLE IF EXISTS `auth_log`;

CREATE TABLE `auth_log` (
  `id` bigint unsigned NOT NULL COMMENT 'id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` bigint unsigned NOT NULL COMMENT '本系统userId',
  `app_type` tinyint DEFAULT NULL COMMENT '登陆应用 1.小程序 2.微信公众号 3.PC 4.H5 5.ANDROID 1.IOS ',
  `login_ip` varchar(15) NOT NULL DEFAULT '' COMMENT '登录ip',
  PRIMARY KEY (`id`),
  KEY `user_idx`(`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='登陆日志';

/*Data for the table `auth_log` */

/*Table structure for table `auth_social` */

DROP TABLE IF EXISTS `auth_social`;

CREATE TABLE `auth_social` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `uid` bigint DEFAULT NULL COMMENT '本系统uid',
  `temp_uid` varchar(32) DEFAULT NULL COMMENT '当账户未绑定时，临时的uid',
  `social_type` tinyint NOT NULL COMMENT '第三方系统类型 1小程序 2 公众号',
  `nick_name` varchar(255)  DEFAULT NULL COMMENT '第三方系统昵称',
  `image_url` varchar(500)  DEFAULT NULL COMMENT '第三方系统头像',
  `biz_user_id` varchar(64) NOT NULL COMMENT '第三方系统userid',
  `biz_unionid` varchar(64)  DEFAULT NULL COMMENT '第三方系统unionid',
  `biz_temp_session` varchar(255) DEFAULT NULL COMMENT '有些时候第三方系统授权之后，会有个临时的key，比如小程序的session_key',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_bizuserid_socialtype` (`social_type`,`biz_user_id`),
  UNIQUE KEY `idx_temp_uid` (`temp_uid`),
  KEY `idx_uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='用户社交登陆信息';

/*Data for the table `auth_social` */

/*Table structure for table `user_role` */

DROP TABLE IF EXISTS `user_role`;

CREATE TABLE `user_role` (
  `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '关联id',
  `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` BIGINT UNSIGNED NOT NULL COMMENT '用户ID',
  `role_id` BIGINT UNSIGNED NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_userid_roleid` (`user_id`,`role_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='用户与角色对应关系';

/*Data for the table `user_role` */

/*Table structure for table `menu` */

DROP TABLE IF EXISTS `menu`;

CREATE TABLE `menu` (
  `menu_id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '菜单id',
  `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `parent_id` BIGINT UNSIGNED NOT NULL COMMENT '父菜单ID，一级菜单为0',
  `biz_type` TINYINT DEFAULT NULL COMMENT '业务类型 1 店铺菜单 2平台菜单',
  `permission` VARCHAR(255) DEFAULT NULL COMMENT '权限，需要有哪个权限才能访问该菜单',
  `path` VARCHAR(255) DEFAULT NULL COMMENT '路径 就像uri',
  `component` VARCHAR(255) DEFAULT NULL COMMENT '1.''Layout'' 为布局，不会跳页面 2.''components-demo/tinymce'' 跳转到该页面',
  `redirect` VARCHAR(255) DEFAULT NULL COMMENT '当设置 noRedirect 的时候该路由在面包屑导航中不可被点击',
  `always_show` TINYINT DEFAULT NULL COMMENT '一直显示根路由',
  `hidden` TINYINT DEFAULT NULL COMMENT '当设置 true 的时候该路由不会在侧边栏出现 如401，login等页面，或者如一些编辑页面/edit/1',
  `name` VARCHAR(32) DEFAULT NULL COMMENT '设定路由的名字，一定要填写不然使用<keep-alive>时会出现各种问题',
  `title` VARCHAR(32) DEFAULT NULL COMMENT '设置该路由在侧边栏和面包屑中展示的名字',
  `icon` VARCHAR(32) DEFAULT NULL COMMENT '设置该路由的图标，支持 svg-class，也支持 el-icon-x element-ui 的 icon',
  `no_cache` TINYINT DEFAULT NULL COMMENT '如果设置为true，则不会被 <keep-alive> 缓存(默认 false)',
  `breadcrumb` TINYINT DEFAULT NULL COMMENT '如果设置为false，则不会在breadcrumb面包屑中显示(默认 true)',
  `affix` TINYINT DEFAULT NULL COMMENT '若果设置为true，它则会固定在tags-view中(默认 false)',
  `active_menu` VARCHAR(255) DEFAULT NULL COMMENT '当路由设置了该属性，则会高亮相对应的侧边栏。',
  `seq` INT DEFAULT NULL COMMENT '排序，越小越靠前',
  PRIMARY KEY (`menu_id`),
  KEY `idx_pid` (`parent_id`)
) ENGINE=INNODB AUTO_INCREMENT=331 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='菜单管理';

/*Data for the table `menu` */

insert into `menu` (`menu_id`, `create_time`, `update_time`, `parent_id`, `biz_type`, `permission`, `path`, `component`, `redirect`, `always_show`, `hidden`, `name`, `title`, `icon`, `no_cache`, `breadcrumb`, `affix`, `active_menu`, `seq`) values
  ('111','2020-12-01 14:20:42','2023-08-02 10:54:33','371','1',NULL,'/system/organization-structure','system/organization-structure',NULL,NULL,'0','组织架构','组织架构','el-icon-office-building',NULL,NULL,NULL,NULL,'1'),
  ('112','2020-12-01 14:22:09','2023-08-02 10:56:07','111','1',NULL,'shop-user','system/organization-structure/shop-user',NULL,NULL,'0','员工列表','员工列表','',NULL,NULL,NULL,NULL,'0'),
  ('134','2020-12-03 16:49:48','2023-08-02 10:56:25','111','1',NULL,'rbac','system/organization-structure/rbac',NULL,NULL,'0','角色权限','角色权限',NULL,NULL,NULL,NULL,NULL,'1'),
  ('137','2020-12-03 17:54:02','2023-08-03 14:04:49','628','1',NULL,'attr','product/manage/attr',NULL,NULL,'0','属性管理','属性管理',NULL,NULL,NULL,NULL,NULL,'3'),
  ('139','2020-12-03 17:54:02','2023-08-03 14:04:42','628','1',NULL,'category','product/manage/category',NULL,NULL,'0','category','分类管理',NULL,NULL,NULL,NULL,NULL,'2'),
  ('141','2020-12-03 17:55:22','2023-08-03 14:12:56','0','1',NULL,'/product','Layout',NULL,NULL,'0','商品管理','商品','goods',NULL,NULL,NULL,NULL,'2'),
  ('142','2020-12-03 17:54:02','2023-08-08 11:14:11','628','1',NULL,'prod-info','product/manage/prod-info',NULL,NULL,'0','发布商品','发布商品',NULL,NULL,NULL,NULL,NULL,'1'),
  ('145','2020-12-04 10:08:17','2023-08-02 11:19:04','0','1',NULL,'/shop','Layout',NULL,NULL,'0','店铺管理','店铺','store',NULL,NULL,NULL,NULL,'1'),
  ('146','2020-12-04 10:09:38','2023-08-02 11:22:00','145','1',NULL,'index-img','shop/index-img',NULL,NULL,'0','轮播图管理','轮播图管理','',NULL,NULL,NULL,NULL,'4'),
  ('147','2020-12-04 11:30:59','2023-08-09 16:59:31','0','1',NULL,'/order','Layout',NULL,NULL,'0','订单','订单','form',NULL,NULL,NULL,NULL,'4'),
  ('148','2020-12-04 11:32:46','2023-08-02 10:19:36','372','1',NULL,'order','order/order-manage/order',NULL,NULL,'0','order','订单查询',NULL,NULL,NULL,NULL,NULL,'1'),
  ('149','2020-12-04 11:32:46','2023-08-08 10:35:04','372','1',NULL,'refund-order','order/order-manage/refund-order',NULL,NULL,'0','order-refund','退货退款',NULL,NULL,NULL,NULL,NULL,'2'),
  ('150','2020-12-09 13:47:03','2023-08-08 10:34:47','147','1',NULL,'/order/delivery-manage','order/delivery-manage',NULL,NULL,'0','配送管理','配送管理','el-icon-map-location',NULL,NULL,NULL,NULL,'1'),
  ('151','2020-12-14 09:48:07','2023-08-02 10:23:03','150','1',NULL,'transport','order/delivery-manage/transport',NULL,NULL,'0','运费模板','运费模板','',NULL,NULL,NULL,NULL,'0'),
  ('152','2020-12-16 10:16:39','2023-08-03 14:04:29','628','1',NULL,'list','product/manage/list',NULL,NULL,'0','商品列表','商品列表','',NULL,NULL,NULL,NULL,'0'),
  ('154','2020-12-16 13:49:50','2023-08-03 14:58:25','267','1',NULL,'discount','marketing/discount',NULL,NULL,'0','限时折扣','限时折扣','',NULL,NULL,NULL,NULL,'1'),
  ('155','2020-12-01 14:20:42','2023-08-01 10:34:10','166','2',NULL,'/system/organization-structure','system/organization-structure',NULL,NULL,'0','组织架构','组织架构','el-icon-office-building',NULL,NULL,NULL,NULL,'1'),
  ('156','2020-12-01 14:22:09','2023-08-01 10:37:01','155','2',NULL,'sys-user','system/organization-structure/sys-user',NULL,NULL,'0','管理员列表','管理员列表','',NULL,NULL,NULL,NULL,'0'),
  ('157','2020-12-03 16:49:48','2023-08-01 10:37:07','155','2',NULL,'role','system/organization-structure/role',NULL,NULL,'0','角色管理','角色管理',NULL,NULL,NULL,NULL,NULL,'1'),
  ('158','2020-12-03 16:49:48','2023-08-01 10:10:29','376','2',NULL,'menu','system/system-config/menu-administration',NULL,NULL,'0','菜单管理','菜单管理',NULL,NULL,NULL,NULL,NULL,'1'),
  ('159','2020-12-03 16:49:48','2023-08-01 10:12:09','376','2',NULL,'menu-resource','system/system-config/menu-resource',NULL,NULL,'0','菜单资源','菜单资源',NULL,NULL,NULL,NULL,NULL,'4'),
  ('160','2020-12-03 17:54:02','2023-08-01 11:05:26','164','2',NULL,'attr','product/attr',NULL,NULL,'0','attr-management','属性管理',NULL,NULL,NULL,NULL,NULL,'4'),
  ('161','2020-12-03 17:54:02','2022-06-14 10:45:09','164','2',NULL,'brand','product/brand',NULL,NULL,'0','品牌管理','品牌管理',NULL,NULL,NULL,NULL,NULL,'1'),
  ('162','2020-12-03 17:54:02','2022-01-20 15:30:50','164','2',NULL,'category','product/category',NULL,NULL,'0','category','分类管理',NULL,NULL,NULL,NULL,NULL,'2'),
  ('164','2020-12-03 17:55:22','2022-09-14 09:09:42','0','2',NULL,'/product','Layout',NULL,NULL,'0','product','商品','goods',NULL,NULL,NULL,NULL,'2'),
  ('166','2020-12-04 09:50:07','2023-08-01 10:59:17','0','2',NULL,'/system','Layout',NULL,NULL,'0','系统设置','系统','settingplus',NULL,NULL,NULL,NULL,'100'),
  ('167','2020-12-04 09:51:26','2023-08-01 10:28:34','376','2',NULL,'addr-manage','system/system-config/addr-manage',NULL,NULL,'0','地址管理','地址管理','',NULL,NULL,NULL,NULL,'0'),
  ('170','2020-12-04 11:30:59','2022-09-14 09:09:55','0','2',NULL,'/order','Layout',NULL,NULL,'0','订单管理','订单','order',NULL,NULL,NULL,NULL,'3'),
  ('171','2020-12-04 11:32:46','2023-08-08 09:58:36','170','2',NULL,'order','order/order',NULL,NULL,'0','/order','订单管理',NULL,NULL,NULL,NULL,NULL,'1'),
  ('172','2020-12-04 11:32:46','2023-08-08 10:32:55','170','2',NULL,'refund-order','order/refund-order',NULL,NULL,'0','order-refund','退款管理',NULL,NULL,NULL,NULL,NULL,'2'),
  ('175','2020-12-16 10:16:39','2022-01-20 15:29:43','164','2',NULL,'list','product/list',NULL,NULL,'0','商品管理','商品管理','',NULL,NULL,NULL,NULL,'0'),
  ('177','2020-12-16 13:49:50','2022-06-14 10:59:17','269','2',NULL,'discount','marketing/discount',NULL,NULL,'0','限时折扣','限时折扣','',NULL,NULL,NULL,NULL,'2'),
  ('231','2020-12-26 22:48:58','2023-08-01 10:32:12','376','2',NULL,'backgroud-config','system/system-config/backgroud-config',NULL,NULL,'0','后台配置','后台配置','',NULL,NULL,NULL,NULL,'5'),
  ('233','2020-12-31 02:03:32','2023-06-01 11:57:06','605','2',NULL,'coupon','marketing/coupon',NULL,NULL,'0','商家优惠券','商家优惠券','',NULL,NULL,NULL,NULL,'1'),
  ('235','2020-12-31 02:05:14','2023-08-03 14:58:32','267','1',NULL,'coupon','marketing/coupon',NULL,NULL,'0','优惠券','优惠券','',NULL,NULL,NULL,NULL,'2'),
  ('254','2021-01-26 15:53:14','2023-06-01 11:57:06','605','2',NULL,'platform-coupon','marketing/platform-coupon',NULL,NULL,'0','平台优惠券','平台优惠券','',NULL,NULL,NULL,NULL,'0'),
  ('255','2021-01-27 14:10:56','2023-07-17 13:38:10','0','2',NULL,'/platform','Layout',NULL,NULL,'0','platform','平台','platform',NULL,NULL,NULL,NULL,'1'),
  ('256','2021-01-27 14:14:51','2022-06-14 10:40:01','255','2',NULL,'hot-search','platform/hot-search',NULL,NULL,'0','hot-search','热搜管理','el-icon-search',NULL,NULL,NULL,NULL,'3'),
  ('258','2021-01-28 11:06:52','2023-08-02 11:21:29','145','1',NULL,'hot-search','shop/hot-search',NULL,NULL,'0','hot-search','热搜管理','',NULL,NULL,NULL,NULL,'3'),
  ('262','2021-02-08 13:14:47','2021-04-22 10:30:44','255','2',NULL,'shop-manage','platform/shop-manage',NULL,NULL,'0','店铺管理','店铺管理','el-icon-s-shop',NULL,NULL,NULL,NULL,'0'),
  ('266','2021-02-22 16:19:12','2023-08-01 10:19:10','255','2',NULL,'delivery-company','platform/delivery-company',NULL,NULL,'0','物流管理','物流管理',NULL,NULL,NULL,NULL,NULL,'5'),
  ('267','2021-02-24 10:00:21','2022-09-14 09:22:47','0','1',NULL,'/marketing','Layout',NULL,NULL,'0','Marketing Activities','营销','marketing',NULL,NULL,NULL,NULL,'3'),
  ('268','2021-02-24 11:19:06','2023-08-02 13:42:18','267','1',NULL,'discount/add-or-update','marketing/discount/add-or-update',NULL,NULL,'1','discount-add-or-update','限时折扣编辑','',NULL,NULL,NULL,NULL,'3'),
  ('269','2021-02-24 11:31:00','2022-09-14 09:10:09','0','2',NULL,'/marketing','Layout',NULL,NULL,'0','Marketing Activities','营销','marketing',NULL,NULL,NULL,NULL,'5'),
  ('270','2021-02-24 13:58:38','2023-08-04 09:51:22','269','2',NULL,'discount/add-or-update','marketing/discount/add-or-update',NULL,NULL,'1','discount-add-or-update','查看限时折扣','',NULL,NULL,NULL,NULL,'0'),
  ('271','2021-03-04 16:36:52','2023-08-02 11:20:19','145','1',NULL,'setting','shop/setting',NULL,NULL,'0','店铺设置','店铺设置','',NULL,NULL,NULL,NULL,'0'),
  ('272','2021-03-22 14:13:53','2023-08-02 11:21:16','145','1',NULL,'refund-addr','shop/refund-addr',NULL,NULL,'0','商家地址库','商家地址库','',NULL,NULL,NULL,NULL,'2'),
  ('275','2021-03-22 19:47:40','2023-08-03 14:58:45','267','1',NULL,'group','marketing/group',NULL,NULL,'0','拼团管理','拼团管理','',NULL,NULL,NULL,NULL,'4'),
  ('278','2021-03-24 13:23:17','2022-06-14 10:59:02','269','2',NULL,'group','marketing/group',NULL,NULL,'0','拼团活动','拼团活动','',NULL,NULL,NULL,NULL,'1'),
  ('279','2021-04-01 13:49:37','2023-08-03 14:58:19','267','1',NULL,'seckill','marketing/seckill',NULL,NULL,'0','秒杀活动','秒杀活动','',NULL,NULL,NULL,NULL,'0'),
  ('281','2021-04-09 09:31:00','2021-04-22 10:30:44','269','2',NULL,'seckill','marketing/seckill',NULL,NULL,'0','秒杀管理','秒杀管理','',NULL,NULL,NULL,NULL,'0'),
  ('283','2021-04-21 09:14:35','2023-08-02 10:57:18','371','1',NULL,'/system/resource-manager','system/resource-manager',NULL,NULL,'0','资源管理','资源管理','el-icon-folder-opened',NULL,NULL,NULL,NULL,'2'),
  ('284','2021-04-22 08:58:02','2023-08-02 11:02:43','283','1',NULL,'picture-manager','system/resource-manager/picture-manager',NULL,NULL,'0','图片管理器','图片管理器','',NULL,NULL,NULL,NULL,'0'),
  ('285','2021-04-22 09:43:32','2023-08-02 10:58:18','283','1',NULL,'video-manager','system/resource-manager/video-manager',NULL,NULL,'0','视频管理器','视频管理器','',NULL,NULL,NULL,NULL,'1'),
  ('286','2021-04-25 09:18:22','2023-08-02 13:42:29','267','1',NULL,'seckill/add-or-update','marketing/seckill/add-or-update',NULL,NULL,'1','seckill-add-or-update','秒杀活动编辑','',NULL,NULL,NULL,NULL,'5'),
  ('289','2021-04-28 09:17:50','2023-08-02 13:42:00','267','1',NULL,'seckill/components/seckill-detail','marketing/seckill/components/seckill-detail',NULL,NULL,'1','秒杀详情','秒杀详情','',NULL,NULL,NULL,NULL,'0'),
  ('291','2021-04-30 16:53:48','2022-09-14 09:12:10','0','2',NULL,'/data-analysis','Layout',NULL,NULL,'0','/data-analysis','数据','data',NULL,NULL,NULL,NULL,'6'),
  ('292','2021-04-30 16:57:03','2023-08-01 15:00:40','588','2',NULL,'flow-profile','data-analysis/flow-profile',NULL,NULL,'0','流量概况','流量概况','',NULL,NULL,NULL,NULL,'2'),
  ('293','2021-04-30 16:59:00','2023-08-01 15:00:55','588','2',NULL,'visitor-analytics','data-analysis/visitor-analytics',NULL,NULL,'0','访客分析','访客分析','',NULL,NULL,NULL,NULL,'3'),
  ('294','2021-05-06 08:43:58','2023-08-04 09:50:21','269','2',NULL,'seckill/components/seckill-detail','marketing/seckill/components/seckill-detail',NULL,NULL,'1','秒杀详情','秒杀详情','',NULL,NULL,NULL,NULL,'0'),
  ('298','2021-05-10 11:29:14','2023-08-01 15:01:03','588','2',NULL,'product-insights','data-analysis/product-insights',NULL,NULL,'0','商品洞察','商品洞察','',NULL,NULL,NULL,NULL,'4'),
  ('301','2021-05-11 16:31:17','2023-08-01 15:00:47','588','2',NULL,'member-analysis','data-analysis/member-analysis',NULL,NULL,'0','会员分析','会员分析','',NULL,NULL,NULL,NULL,'1'),
  ('302','2021-05-13 19:02:02','2021-05-13 19:02:20','255','2',NULL,'shop-detail','platform/shop-detail',NULL,NULL,'1','店铺详情','店铺详情','',NULL,NULL,NULL,NULL,'0'),
  ('303','2021-05-14 10:27:54','2023-08-01 10:36:23','166','2',NULL,'/system/message-manage','system/message-manage',NULL,NULL,'0','消息管理','消息管理','el-icon-message-solid',NULL,NULL,NULL,NULL,'3'),
  ('304','2021-05-14 10:28:25','2023-08-01 10:36:38','303','2',NULL,'notify-manager','system/message-manage/notify-manager',NULL,NULL,'0','消息管理','消息管理','',NULL,NULL,NULL,NULL,'0'),
  ('305','2021-05-14 16:13:19','2023-08-01 10:36:44','303','2',NULL,'notice','system/message-manage/notice',NULL,NULL,'0','公告管理','公告管理','',NULL,NULL,NULL,NULL,'1'),
  ('306','2021-05-14 17:32:04','2021-05-14 17:34:08','255','2',NULL,'shop-edit','platform/shop-edit',NULL,NULL,'1','店铺编辑','店铺编辑','',NULL,NULL,NULL,NULL,'0'),
  ('308','2021-05-21 15:26:40','2023-08-01 10:36:48','303','2',NULL,'notify-template-tag','system/message-manage/notify-template-tag',NULL,NULL,'0','推送站内消息','站内消息','',NULL,NULL,NULL,NULL,'2'),
  ('309','2021-05-25 13:22:44','2023-08-09 16:59:58','0','1',NULL,'/data-analysis','Layout',NULL,NULL,'0','Data Analysis','数据','report',NULL,NULL,NULL,NULL,'6'),
  ('310','2021-05-25 13:24:04','2022-03-05 16:21:19','593','1',NULL,'product-insights','data-analysis/product-insights/index',NULL,NULL,'0','Product Insights','商品洞察','',NULL,NULL,NULL,NULL,'1'),
  ('312','2021-06-01 09:23:29','2023-08-01 10:36:02','166','2',NULL,'/system/resource-manage','system/resource-manage',NULL,NULL,'0','资源管理','资源管理','el-icon-folder-opened',NULL,NULL,NULL,NULL,'2'),
  ('313','2021-06-01 09:24:14','2023-08-01 10:35:48','312','2',NULL,'picture-store','system/resource-manage/picture-store',NULL,NULL,'0','图片管理器','图片管理器','',NULL,NULL,NULL,NULL,'0'),
  ('314','2021-06-01 09:24:42','2023-08-01 10:36:09','312','2',NULL,'video-store','system/resource-manage/video-store',NULL,NULL,'0','视频管理器','视频管理器','',NULL,NULL,NULL,NULL,'1'),
  ('315','2021-06-08 11:22:44','2022-09-14 09:13:39','0','2',NULL,'/finance','Layout',NULL,NULL,'0','财务','财务','financial',NULL,NULL,NULL,NULL,'7'),
  ('316','2021-06-08 11:24:25','2022-06-14 11:05:15','315','2',NULL,'finance-manage-check','finance/manage-check',NULL,NULL,'0','财务对账','财务对账','',NULL,NULL,NULL,NULL,'1'),
  ('318','2021-06-08 14:36:04','2021-06-08 15:20:53','315','2',NULL,'/billing-details','finance/billing-details',NULL,NULL,'1','结算明细','结算明细','',NULL,NULL,NULL,NULL,'3'),
  ('323','2021-06-09 15:44:52','2021-06-09 15:50:33','315','2',NULL,'/reconciliation-details','finance/reconciliation-details',NULL,NULL,'1','对账明细','对账明细','',NULL,NULL,NULL,NULL,'0'),
  ('324','2021-06-10 08:44:37','2022-06-14 11:04:35','315','2',NULL,'platform-walletLog','finance/walletLog',NULL,NULL,'0','平台余额','平台余额','',NULL,NULL,NULL,NULL,'0'),
  ('325','2021-06-10 08:57:51','2023-08-02 17:16:26','663','1',NULL,'billing-details','shop/billing-details',NULL,NULL,'1','结算明细','结算明细','',NULL,NULL,NULL,NULL,'4'),
  ('326','2021-06-11 09:09:23','2022-06-14 11:05:35','315','2',NULL,'shop-withdraw-cash','finance/shop-withdraw-cash',NULL,NULL,'0','商家提现','商家提现','',NULL,NULL,NULL,NULL,'3'),
  ('331','2021-07-06 16:12:01','2023-08-01 14:44:15','315','2',NULL,'shop-merchant-balance','finance/merchant-balance',NULL,NULL,'0','商家余额','商家余额','',NULL,NULL,NULL,NULL,'2'),
  ('334','2021-08-04 14:48:51','2023-08-08 10:35:11','372','1',NULL,'order-invoice','order/order-manage/order-invoice',NULL,NULL,'0','order-invoice','发票管理','',NULL,NULL,NULL,NULL,'3'),
  ('356','2021-08-24 14:04:11','2023-08-02 10:29:06','269','2',NULL,'/marketing','marketing',NULL,NULL,'0','Distribution Manage','分销管理','tree',NULL,NULL,NULL,NULL,'4'),
  ('357','2021-08-24 14:25:43','2023-08-01 16:24:17','356','2',NULL,'distribution-set-container','marketing/distribution/set-manage',NULL,NULL,'0','分销设置','分销设置','',NULL,NULL,NULL,NULL,'1'),
  ('359','2021-08-24 14:27:58','2023-08-01 16:26:31','356','2',NULL,'distribution-user-container','marketing/distribution/user-manage',NULL,NULL,'0','分销员','分销员','',NULL,NULL,NULL,NULL,'2'),
  ('360','2021-08-24 14:44:32','2023-08-01 16:25:41','356','2',NULL,'distribution-notice','marketing/distribution/notice-manage',NULL,NULL,'0','分销通知','分销通知','',NULL,NULL,NULL,NULL,'5'),
  ('361','2021-08-24 14:48:35','2023-08-01 16:23:37','356','2',NULL,'prod','marketing/distribution/prod-manage',NULL,NULL,'0','分销商品','分销商品','',NULL,NULL,NULL,NULL,'0'),
  ('362','2021-08-24 14:58:59','2023-08-02 09:25:37','356','2',NULL,'distribution-achievement','marketing/distribution/achievement-manage',NULL,NULL,'0','分销业绩','分销业绩','',NULL,NULL,NULL,NULL,'3'),
  ('363','2021-08-24 15:14:51','2023-08-01 16:26:40','356','2',NULL,'distribution-user-wallet-container','marketing/distribution/wallet-manage',NULL,NULL,'0','分销钱包','分销钱包','',NULL,NULL,NULL,NULL,'4'),
  ('364','2021-08-24 15:28:24','2023-08-03 14:58:38','267','1',NULL,'distribution','marketing/distribution',NULL,NULL,'0','分销管理','分销管理','',NULL,NULL,NULL,NULL,'3'),
  ('365','2021-08-31 16:15:35','2022-05-16 09:46:57','255','2',NULL,'shop-process','platform/shop-process',NULL,NULL,'1','新建店铺','新建店铺','',NULL,NULL,NULL,NULL,'0'),
  ('366','2022-01-04 15:42:46','2022-01-06 16:20:55','0','2',NULL,'/im-box','/im-box',NULL,NULL,'1','客服','客服','',NULL,NULL,NULL,NULL,'0'),
  ('367','2022-01-04 15:47:43','2023-08-09 17:00:38','0','1',NULL,'/im-box','/im-box',NULL,NULL,'1','消息盒子','消息盒子','message',NULL,NULL,NULL,NULL,'0'),
  ('371','2022-06-14 10:07:38','2022-09-14 09:23:23','0','1',NULL,'/system','Layout',NULL,NULL,'0','系统','系统','set',NULL,NULL,NULL,NULL,'100'),
  ('372','2022-06-14 10:27:40','2023-08-08 10:34:37','147','1',NULL,'/order/order-manage','order/order-manage',NULL,NULL,'0','订单管理','订单管理','',NULL,NULL,NULL,NULL,'0'),
  ('376','2022-06-14 11:27:15','2023-08-01 10:32:45','166','2',NULL,'/system/system-config','system/system-config',NULL,NULL,'0','系统设置','系统设置','',NULL,NULL,NULL,NULL,'0'),
  ('424','2022-07-04 12:06:59','2022-09-21 16:02:45','0','1',NULL,'/stock','Layout',NULL,NULL,'0','库存','库存','inventory',NULL,NULL,NULL,NULL,'2'),
  ('425','2022-08-02 14:15:06','2023-08-01 10:24:29','376','2',NULL,'web-config','system/system-config/web-config',NULL,NULL,'0','网站配置','网站配置','',NULL,NULL,NULL,NULL,'0'),
  ('426','2022-07-04 12:08:08','2023-08-02 11:02:58','424','1',NULL,'/manage','inventory',NULL,NULL,'0','库存管理','库存管理','',NULL,NULL,NULL,NULL,'0'),
  ('427','2022-07-04 12:09:54','2023-08-02 11:04:46','426','1',NULL,'inquire','stock/manage/inquire',NULL,NULL,'0','库存查询','库存查询','',NULL,NULL,NULL,NULL,'0'),
  ('428','2022-07-04 12:10:26','2023-08-02 11:05:08','426','1',NULL,'stock-flow','stock/manage/flow',NULL,NULL,'0','库存流水','库存流水','',NULL,NULL,NULL,NULL,'1'),
  ('429','2022-07-04 12:11:20','2022-07-04 13:42:43','424','1',NULL,'/purchase-manage','inventory',NULL,NULL,'0','采购管理','采购管理','',NULL,NULL,NULL,NULL,'1'),
  ('430','2022-07-04 13:40:57','2023-08-02 11:03:43','429','1',NULL,'purchase-order','stock/purchase-manage/purchase-order',NULL,NULL,'0','采购订单','采购订单','',NULL,NULL,NULL,NULL,'0'),
  ('431','2022-07-04 13:42:16','2023-08-02 11:03:57','429','1',NULL,'purchase-order-create','stock/purchase-manage/purchase-order/add-or-update',NULL,NULL,'1','新建采购订单','新建采购订单','',NULL,NULL,NULL,NULL,'1'),
  ('432','2022-07-04 13:43:17','2022-07-04 13:48:37','424','1',NULL,'/rec-send-manage','inventory',NULL,NULL,'0','出入库管理','出入库管理','',NULL,NULL,NULL,NULL,'2'),
  ('433','2022-07-04 13:44:05','2023-08-02 10:58:31','432','1',NULL,'stock-receive-add-or-update','stock/rec-send-manage/in-stock/add-or-update',NULL,NULL,'1','新建入库明细','新建入库明细','',NULL,NULL,NULL,NULL,'0'),
  ('434','2022-07-04 13:44:40','2023-08-02 10:56:58','432','1',NULL,'receive-detail','stock/rec-send-manage/in-stock/components/in-detail',NULL,NULL,'1','入库明细详情','入库明细详情','',NULL,NULL,NULL,NULL,'0'),
  ('435','2022-07-04 13:45:13','2023-08-02 10:56:21','432','1',NULL,'receive-list','stock/rec-send-manage/in-stock',NULL,NULL,'0','入库明细','入库明细','',NULL,NULL,NULL,NULL,'0'),
  ('436','2022-07-04 13:46:01','2023-08-02 10:55:56','432','1',NULL,'stock-send-add-or-update','stock/rec-send-manage/out-stock/add-or-update',NULL,NULL,'1','新建出库明细','新建出库明细','',NULL,NULL,NULL,NULL,'0'),
  ('437','2022-07-04 13:47:00','2023-08-02 10:58:11','432','1',NULL,'send-detail','stock/rec-send-manage/out-stock/components/out-detail',NULL,NULL,'1','出库明细详情','出库明细详情','',NULL,NULL,NULL,NULL,'1'),
  ('438','2022-07-04 13:47:30','2023-08-02 10:58:06','432','1',NULL,'send-list','stock/rec-send-manage/out-stock',NULL,NULL,'0','出库明细','出库明细','',NULL,NULL,NULL,NULL,'1'),
  ('439','2022-07-04 13:48:08','2023-08-02 11:01:59','432','1',NULL,'customize-reason','stock/rec-send-manage/reason',NULL,NULL,'0','出入库原因','出入库原因','',NULL,NULL,NULL,NULL,'1'),
  ('440','2022-07-04 13:49:55','2022-07-04 13:52:16','141','1',NULL,'/consignment','consignment',NULL,NULL,'0','代销管理','代销管理','',NULL,NULL,NULL,NULL,'4'),
  ('441','2022-07-04 13:50:45','2023-08-02 17:45:58','440','1',NULL,'consignment/settings','product/consignment/settings',NULL,NULL,'0','代销设置','代销设置','',NULL,NULL,NULL,NULL,'0'),
  ('442','2022-07-04 13:51:22','2023-08-02 17:46:05','440','1',NULL,'consignment/change-notice','product/consignment/change-notice',NULL,NULL,'0','变更通知','变更通知','',NULL,NULL,NULL,NULL,'1'),
  ('443','2022-07-04 13:51:55','2023-08-02 17:46:14','440','1',NULL,'consignment/goods','product/consignment/goods',NULL,NULL,'0','代销商品','代销商品','',NULL,NULL,NULL,NULL,'2'),
  ('446','2022-07-04 18:14:34','2023-08-01 10:44:15','0','3',NULL,'/product','Layout',NULL,NULL,'0','merchandise','商品','goods',NULL,NULL,NULL,NULL,'0'),
  ('447','2022-07-04 18:14:34','2023-08-02 11:34:11','0','3',NULL,'/shop','Layout',NULL,NULL,'0','shops','店铺','store',NULL,NULL,NULL,NULL,'1'),
  ('448','2022-07-04 18:14:34','2023-08-01 10:49:28','0','3',NULL,'/order','Layout',NULL,NULL,'0','order','订单','order',NULL,NULL,NULL,NULL,'2'),
  ('461','2022-07-05 09:10:36','2023-08-01 10:54:41','0','3',NULL,'/setting','Layout',NULL,NULL,'0','setting','设置','set',NULL,NULL,NULL,NULL,'100'),
  ('463','2022-07-05 09:30:17','2023-08-07 11:46:47','447','3',NULL,'supplier-refund-addr','shop/refund-addr',NULL,NULL,'0','shop-refund-addr','商家地址库','',NULL,NULL,NULL,NULL,'2'),
  ('465','2022-07-05 09:30:17','2023-08-03 10:14:43','666','3',NULL,'billing-details','shop/billing-details',NULL,NULL,'1','billing-details','结算明细','',NULL,NULL,NULL,NULL,'3'),
  ('466','2022-07-05 09:37:03','2023-08-07 11:44:29','506','3',NULL,'attr','product/manage/attr',NULL,NULL,'0','poduct-specification','商品规格',NULL,NULL,NULL,NULL,NULL,'3'),
  ('468','2022-07-05 09:37:03','2023-08-07 11:44:22','506','3',NULL,'prod-info','product/manage/prod-info',NULL,NULL,'0','publishing-products','发布商品',NULL,NULL,NULL,NULL,NULL,'1'),
  ('473','2022-07-05 09:38:07','2023-08-07 11:45:25','509','3',NULL,'log','product/price-manage/log',NULL,NULL,'0','price-adjustment-records','调价记录',NULL,NULL,NULL,NULL,NULL,'4'),
  ('474','2022-07-05 09:54:24','2023-08-07 11:50:18','448','3',NULL,'/order/delivery-manage','-',NULL,NULL,'0','distribution-management','配送管理','el-icon-map-location',NULL,NULL,NULL,NULL,'1'),
  ('475','2022-07-05 09:54:24','2023-08-07 14:19:26','448','3',NULL,'/order/order-manage','-',NULL,NULL,'0','orders-management','订单管理','',NULL,NULL,NULL,NULL,'0'),
  ('477','2022-07-05 09:55:54','2023-08-07 11:49:30','474','3',NULL,'transport','order/delivery-manage/transport',NULL,NULL,'0','transport','运费模板','',NULL,NULL,NULL,NULL,'0'),
  ('478','2022-07-05 09:56:59','2023-08-07 14:18:20','475','3',NULL,'order','order/order-manage/order',NULL,NULL,'0','user-order','用户订单',NULL,NULL,NULL,NULL,NULL,'2'),
  ('479','2022-07-05 09:56:59','2023-08-07 14:18:13','475','3',NULL,'purchase-order','order/order-manage/purchase-order',NULL,NULL,'0','purchase-order','采购订单',NULL,NULL,NULL,NULL,NULL,'1'),
  ('480','2022-07-05 09:56:59','2023-08-07 14:17:15','475','3',NULL,'refund-order','order/order-manage/refund-order',NULL,NULL,'0','order-refund','退货退款','',NULL,NULL,NULL,NULL,'3'),
  ('482','2022-07-05 10:10:24','2023-08-02 11:45:54','461','3',NULL,'/setting/organization-structure','setting/organization-structure',NULL,NULL,'0','organisational-structure','组织架构','el-icon-office-building',NULL,NULL,NULL,NULL,'1'),
  ('483','2022-07-05 10:10:24','2023-08-02 11:07:39','461','3',NULL,'/setting/resource-manager','setting/resource-manager',NULL,NULL,'0','resource-manager','资源管理','el-icon-folder-opened',NULL,NULL,NULL,NULL,'2'),
  ('485','2022-07-05 10:11:31','2023-08-02 11:46:05','482','3',NULL,'shop-user','setting/organization-structure/shop-user',NULL,NULL,'0','shop-user','员工列表','',NULL,NULL,NULL,NULL,'0'),
  ('486','2022-07-05 10:11:31','2023-08-02 11:46:16','482','3',NULL,'rbac','setting/organization-structure/rbac',NULL,NULL,'0','rbac','角色权限',NULL,NULL,NULL,NULL,NULL,'1'),
  ('488','2022-07-05 10:12:45','2023-08-02 11:08:10','483','3',NULL,'picture-manager','setting/resource-manager/picture-manager',NULL,NULL,'0','picture-store','图片管理器','',NULL,NULL,NULL,NULL,'0'),
  ('489','2022-07-05 10:12:45','2023-08-02 11:09:02','483','3',NULL,'video-manager','setting/resource-manager/video-manager',NULL,NULL,'0','video-manager','视频管理器','',NULL,NULL,NULL,NULL,'1'),
  ('496','2022-07-12 16:35:17','2023-08-08 10:33:44','475','3',NULL,'purchase-order-info','order/order-manage/purchase-order-info',NULL,NULL,'1','purchase-orderInfo','采购订单详情','',NULL,NULL,NULL,NULL,'0'),
  ('498','2022-07-13 09:53:55','2022-07-13 13:38:39','255','2',NULL,'supplier-detail','platform/supplier-detail',NULL,NULL,'1','供应商详情','供应商详情','',NULL,NULL,NULL,NULL,'1'),
  ('499','2022-07-13 09:58:19','2022-07-13 13:38:26','255','2',NULL,'supplier-manage','platform/supplier-manage',NULL,NULL,'0','供应商管理','供应商管理','',NULL,NULL,NULL,NULL,'1'),
  ('500','2022-07-13 10:03:18','2022-07-13 13:38:50','255','2',NULL,'supplier-edit','platform/supplier-edit',NULL,NULL,'1','供应商编辑','供应商编辑','',NULL,NULL,NULL,NULL,'1'),
  ('501','2022-07-13 10:06:31','2022-07-13 13:38:58','255','2',NULL,'supplier-process','platform/supplier-process',NULL,NULL,'1','新建供应商','新建供应商','',NULL,NULL,NULL,NULL,'1'),
  ('502','2022-07-13 11:55:56','2023-08-08 10:33:29','475','3',NULL,'order-info','order/order-manage/order-info',NULL,NULL,'1','orderInfo','订单详情','',NULL,NULL,NULL,NULL,'0'),
  ('503','2022-07-14 10:52:39','2023-08-02 11:36:25','447','3',NULL,'shop-information','shop/setting',NULL,NULL,'0','shop-information','店铺设置','',NULL,NULL,NULL,NULL,'0'),
  ('506','2022-07-20 10:43:18','2023-08-08 10:17:36','446','3',NULL,'/product','product',NULL,NULL,'0','commodity-management','商品管理','',NULL,NULL,NULL,NULL,'0'),
  ('508','2022-07-20 10:50:25','2023-08-07 11:43:43','506','3',NULL,'list','product/manage/list',NULL,NULL,'0','Product List','商品列表','',NULL,NULL,NULL,NULL,'0'),
  ('509','2022-07-20 11:04:20','2023-08-07 11:45:52','446','3',NULL,'/product/price-manage','-',NULL,NULL,'0','price-management','价格管理','',NULL,NULL,NULL,NULL,'1'),
  ('510','2022-08-12 10:14:16','2022-08-12 13:41:45','315','2',NULL,'supplier-withdraw-cash','finance/supplier-withdraw-cash',NULL,NULL,'0','供应商提现','供应商提现','',NULL,NULL,NULL,NULL,'5'),
  ('511','2022-08-12 10:47:51','2022-08-12 13:41:40','315','2',NULL,'shop-supplier-balance','finance/supplier-balance',NULL,NULL,'0','供应商余额','供应商余额','',NULL,NULL,NULL,NULL,'4'),
  ('512','2022-08-22 17:00:07','2023-08-03 14:58:52','267','1',NULL,'giveaway','marketing/giveaway',NULL,NULL,'0','赠品','赠品','',NULL,NULL,NULL,NULL,'7'),
  ('513','2022-08-22 17:01:15','2023-08-02 13:43:45','267','1',NULL,'giveaway/add-or-update','marketing/giveaway/add-or-update',NULL,NULL,'1','新建赠品','新建赠品','',NULL,NULL,NULL,NULL,'11'),
  ('526','2022-08-16 16:05:16','2023-07-17 11:56:09','0','2',NULL,'/platform','Layout',NULL,NULL,'0','/platform','装修','decorate',NULL,NULL,NULL,NULL,'9'),
  ('527','2022-08-16 16:07:02','2023-07-17 13:59:23','526','2',NULL,'/platform-decorate','platform',NULL,NULL,'0','PC Decoration','PC端装修','',NULL,NULL,NULL,NULL,'0'),
  ('528','2022-08-16 16:11:12','2023-08-01 11:36:14','527','2',NULL,'decorate-list','platform/decorate/list',NULL,NULL,'0','Page managements','页面管理','',NULL,NULL,NULL,NULL,'1'),
  ('529','2022-08-16 17:46:57','2023-07-18 09:02:06','527','2',NULL,'decorate-create-edit','platform/decorate/create/edit',NULL,NULL,'1','Decorate a pages','装修页面','',NULL,NULL,NULL,NULL,'0'),
  ('530','2022-08-17 10:46:35','2022-08-29 11:42:42','527','2',NULL,'decorate-select-decorate','platform/decorate/create/select-decorate',NULL,NULL,'1','Look at the PC','查看pc','',NULL,NULL,NULL,NULL,'0'),
  ('531','2022-08-18 10:08:16','2023-08-01 11:36:36','527','2',NULL,'decorate-template','platform/decorate/template',NULL,NULL,'0','Template managements','模板管理','',NULL,NULL,NULL,NULL,'2'),
  ('532','2022-08-18 16:59:51','2023-07-17 13:59:28','526','2',NULL,'/platform-feature','platform',NULL,NULL,'0','Mobile terminal decoration','移动端装修','',NULL,NULL,NULL,NULL,'1'),
  ('533','2022-08-18 17:00:33','2023-08-01 11:32:04','532','2',NULL,'feature-list','platform/feature/list',NULL,NULL,'0','Page management','页面管理','',NULL,NULL,NULL,NULL,'1'),
  ('534','2022-08-18 17:13:47','2022-08-29 11:42:49','532','2',NULL,'feature-create-edit','platform/feature/create/edit',NULL,NULL,'1','Decorate a page','装修页面','',NULL,NULL,NULL,NULL,'0'),
  ('535','2022-08-18 17:58:15','2023-08-01 11:30:40','532','2',NULL,'feature-template','platform/feature/template',NULL,NULL,'0','Template management','模板管理','',NULL,NULL,NULL,NULL,'2'),
  ('536','2022-08-19 13:56:26','2022-09-21 17:41:32','0','1',NULL,'/multishop','Layout',NULL,NULL,'0','decorate','装修','decorate',NULL,NULL,NULL,NULL,'7'),
  ('537','2022-08-19 13:57:53','2022-08-29 11:42:53','536','1',NULL,'/multishop-decorate','multishop',NULL,NULL,'0','PC to decorate','PC端装修','',NULL,NULL,NULL,NULL,'0'),
  ('538','2022-08-19 13:58:37','2023-08-02 11:00:14','537','1',NULL,'decorate-list','multishop/decorate/list',NULL,NULL,'0','Pc Page management','页面管理','',NULL,NULL,NULL,NULL,'1'),
  ('539','2022-08-19 14:00:04','2023-08-02 11:01:07','537','1',NULL,'feature-template','multishop/decorate/template',NULL,NULL,'0','Pc Template management','模板管理','',NULL,NULL,NULL,NULL,'2'),
  ('540','2022-08-19 14:01:33','2022-08-29 11:43:00','537','1',NULL,'decorate-select-decorate','multishop/decorate/create/select-decorate',NULL,NULL,'1','Look at the PC','查看pc','',NULL,NULL,NULL,NULL,'0'),
  ('541','2022-08-19 14:02:51','2023-08-02 13:36:31','537','1',NULL,'decorate-create-edit','multishop/decorate/create/edit',NULL,NULL,'1','Pc Decorate a page','装修页面','',NULL,NULL,NULL,NULL,'0'),
  ('542','2022-08-22 10:09:57','2022-08-29 11:43:03','536','1',NULL,'/multishop-feature','multishop',NULL,NULL,'0','Mobile terminal decoration','移动端装修','',NULL,NULL,NULL,NULL,'1'),
  ('543','2022-08-22 10:11:38','2023-08-02 11:00:01','542','1',NULL,'feature-list','multishop/feature/list',NULL,NULL,'0','Page management','页面管理','',NULL,NULL,NULL,NULL,'1'),
  ('544','2022-08-22 10:13:35','2023-08-02 10:59:33','542','1',NULL,'feature-template','multishop/feature/template',NULL,NULL,'0','Template management','模板管理','',NULL,NULL,NULL,NULL,'2'),
  ('545','2022-08-22 10:15:00','2022-08-29 11:43:07','542','1',NULL,'feature-create-edit','multishop/feature/create/edit',NULL,NULL,'1','Decorate a page','装修页面','',NULL,NULL,NULL,NULL,'0'),
  ('550','2022-08-22 14:49:37','2023-08-03 14:58:11','267','1',NULL,'combo','marketing/combo',NULL,NULL,'0','优惠套餐','优惠套餐','',NULL,NULL,NULL,NULL,'0'),
  ('551','2022-08-22 14:51:49','2023-08-02 13:39:33','267','1',NULL,'combo/add-or-update','marketing/combo/add-or-update',NULL,NULL,'1','新增套餐','新增套餐','',NULL,NULL,NULL,NULL,'0'),
  ('558','2022-08-18 10:20:51','2023-08-15 10:05:56','267','1',NULL,'live','marketing/live',NULL,NULL,'0','直播间','直播间','',NULL,NULL,NULL,NULL,'1'),
  ('560','2022-08-18 10:18:03','2023-08-15 10:06:20','267','1',NULL,'live/add-or-update','marketing/live/add-or-update',NULL,NULL,'1','直播间信息','直播间信息','',NULL,NULL,NULL,NULL,'0'),
  ('564','2022-08-17 11:32:01','2023-08-15 10:05:18','269','2',NULL,'live','marketing/live',NULL,NULL,'0','直播间','直播间','',NULL,NULL,NULL,NULL,'1'),
  ('567','2022-10-31 14:03:08','2023-08-02 11:05:51','461','3',NULL,'/setting/message-manager','setting/message-manager',NULL,NULL,'0','message-management','消息管理','',NULL,NULL,NULL,NULL,'4'),
  ('568','2022-10-31 14:04:29','2023-08-02 11:06:20','567','3',NULL,'platform-notice','setting/message-manager/platform-notice',NULL,NULL,'0','platform-notify','平台公告','',NULL,NULL,NULL,NULL,'0'),
  ('569','2022-10-31 14:08:04','2023-08-02 11:06:54','567','3',NULL,'notify-manager','setting/message-manager/notify-manager',NULL,NULL,'0','notify-manager','消息管理','',NULL,NULL,NULL,NULL,'1'),
  ('570','2022-10-31 14:10:38','2023-08-02 10:59:06','371','1',NULL,'/system/message-manager','system/message-manager',NULL,NULL,'0','消息管理','消息管理','',NULL,NULL,NULL,NULL,'3'),
  ('571','2022-10-31 14:11:14','2023-08-02 10:59:49','570','1',NULL,'platform-notice','system/message-manager/platform-notice',NULL,NULL,'0','平台公告','平台公告','',NULL,NULL,NULL,NULL,'0'),
  ('572','2022-10-31 14:11:40','2023-08-02 11:00:15','570','1',NULL,'notify-manager','system/message-manager/notify-manager',NULL,NULL,'0','消息管理','消息管理','',NULL,NULL,NULL,NULL,'1'),
  ('575','2022-12-15 10:14:31','2023-08-02 11:00:19','424','1',NULL,'/stock','stock',NULL,NULL,'0','库存盘点','库存盘点','',NULL,NULL,NULL,NULL,'3'),
  ('576','2022-12-15 10:16:45','2023-08-02 10:59:10','575','1',NULL,'takeStock','stock/take-stock/physical',NULL,NULL,'0','实物盘点','实物盘点','',NULL,NULL,NULL,NULL,'0'),
  ('577','2022-12-15 10:18:07','2023-08-02 10:59:33','575','1',NULL,'new-take-stock','stock/take-stock/physical/add-or-update',NULL,NULL,'1','新建盘点单','新建盘点单','',NULL,NULL,NULL,NULL,'1'),
  ('578','2022-12-15 10:18:33','2023-08-02 10:59:58','575','1',NULL,'edit-take-stock','stock/take-stock/physical/components/edit-take-stock',NULL,NULL,'1','实盘录入','实盘录入','',NULL,NULL,NULL,NULL,'2'),
  ('579','2022-12-15 10:18:53','2023-08-02 11:00:10','575','1',NULL,'detail-take-stock','stock/take-stock/physical/components/take-stock-detail',NULL,NULL,'1','盘点单详情','盘点单详情','',NULL,NULL,NULL,NULL,'3'),
  ('580','2022-12-14 11:33:25','2023-08-08 10:35:24','372','1',NULL,'prod-comment','order/order-manage/prod-comment',NULL,NULL,'0','售后评价','售后评价','',NULL,NULL,NULL,NULL,'4'),
  ('581','2022-01-09 15:42:46','2022-01-09 16:21:10','315','2',NULL,'/supplier-billing','finance/supplier-billing',NULL,NULL,'1','交易记录详情','交易记录详情','',NULL,NULL,NULL,NULL,'10'),
  ('582','2022-01-09 15:47:43','2023-07-13 17:47:08','315','2',NULL,'/shop-billing','finance/shop-billing',NULL,NULL,'1','商家交易记录','交易记录详情','',NULL,NULL,NULL,NULL,'9'),
  ('583','2022-01-09 15:47:43','2022-01-09 16:20:46','315','2',NULL,'finance-details','finance/finance-details',NULL,NULL,'0','财务明细','财务明细','',NULL,NULL,NULL,NULL,'1'),
  ('585','2023-01-15 15:16:24','2023-08-09 16:59:44','0','1',NULL,'/customer','Layout',NULL,NULL,'0','客户','客户','user',NULL,NULL,NULL,NULL,'5'),
  ('586','2023-01-15 15:18:10','2023-08-02 10:54:45','585','1',NULL,'/customer_manage','customer/customer-manage',NULL,NULL,'0','客户管理','客户管理','el-icon-user',NULL,NULL,NULL,NULL,'0'),
  ('587','2023-01-15 15:23:08','2023-08-02 10:55:02','586','1',NULL,'customer-list','customer/customer-manage/customer-list',NULL,NULL,'0','客户列表','客户列表','',NULL,NULL,NULL,NULL,'0'),
  ('588','2023-02-07 16:35:09','2023-08-01 11:29:02','291','2',NULL,'/data-analysis','data-analysis',NULL,NULL,'0','数据分析','数据分析','',NULL,NULL,NULL,NULL,'0'),
  ('589','2023-02-07 16:36:39','2023-02-07 16:51:53','291','2',NULL,'/form','form',NULL,NULL,'0','数据报表','数据报表','',NULL,NULL,NULL,NULL,'0'),
  ('590','2023-02-07 16:37:49','2023-02-08 17:09:35','589','2',NULL,'form-platform','form/form-platform',NULL,NULL,'0','平台报表','平台报表','',NULL,NULL,NULL,NULL,'0'),
  ('591','2023-02-07 16:40:37','2023-02-07 16:40:37','589','2',NULL,'form-model','form/form-model',NULL,NULL,'0','推荐报表','推荐报表','',NULL,NULL,NULL,NULL,'1'),
  ('592','2023-02-07 16:41:12','2023-02-07 16:41:12','589','2',NULL,'form-recommend','form/form-recommend',NULL,NULL,'0','报表管理','报表管理','',NULL,NULL,NULL,NULL,'2'),
  ('593','2023-02-08 17:08:04','2023-02-08 17:08:04','309','1',NULL,'/data-analysis','data-analysis',NULL,NULL,'0','数据分析','数据分析','',NULL,NULL,NULL,NULL,'0'),
  ('594','2023-02-08 17:08:45','2023-02-08 17:08:45','309','1',NULL,'/form','form',NULL,NULL,'0','数据报表','数据报表','',NULL,NULL,NULL,NULL,'0'),
  ('595','2023-02-08 17:09:24','2023-02-08 17:09:24','594','1',NULL,'form-shop','form/form-shop',NULL,NULL,'0','我的报表','我的报表','',NULL,NULL,NULL,NULL,'0'),
  ('596','2023-02-08 17:10:14','2023-02-08 17:10:23','594','1',NULL,'form-model','form/form-model',NULL,NULL,'0','推荐报表','推荐报表','',NULL,NULL,NULL,NULL,'1'),
  ('598','2023-01-05 10:52:02','2023-08-02 10:22:48','150','1',NULL,'samecity','order/delivery-manage/samecity',NULL,NULL,'0','同城配送','同城配送','',NULL,NULL,NULL,NULL,'0'),
  ('599','2023-01-06 14:24:53','2023-08-02 10:22:35','150','1',NULL,'station','order/delivery-manage/station',NULL,NULL,'0','门店管理','门店管理','',NULL,NULL,NULL,NULL,'0'),
  ('600','2023-02-08 17:37:36','2023-02-08 17:38:35','255','2',NULL,'platform-station','platform/station',NULL,NULL,'0','门店管理','门店管理','',NULL,NULL,NULL,NULL,'6'),
  ('601','2023-03-28 14:28:29','2023-08-01 10:19:21','303','2',NULL,'/im-msg-biz-skills','system/message-manage/im-msg-biz-skills',NULL,NULL,'0','imMsgBizSkills','自动回复','',NULL,NULL,NULL,NULL,'0'),
  ('602','2023-03-28 15:52:59','2023-08-02 10:59:21','570','1',NULL,'im-msg-biz-skills','system/message-manager/im-msg-biz-skills',NULL,NULL,'0','imMsgBizSkills','自动回复','',NULL,NULL,NULL,NULL,'0'),
  ('604','2023-04-27 15:55:20','2023-08-01 10:37:13','155','2',NULL,'sys-access-key','system/organization-structure/sys-access-key',NULL,NULL,'0','访问密钥','访问密钥','',NULL,NULL,NULL,NULL,'2'),
  ('605','2023-06-01 10:08:34','2023-06-01 11:25:24','269','2',NULL,'/coupon','marketing',NULL,NULL,'0','优惠券管理','优惠券管理','icon-zhedie',NULL,NULL,NULL,NULL,'3'),
  ('612','2023-04-18 16:41:59','2023-08-01 10:33:33','376','2',NULL,'pay-config','system/system-config/pay-config',NULL,NULL,'0','支付配置','支付配置','',NULL,NULL,NULL,NULL,'6'),
  ('619','2023-07-07 10:43:36','2023-07-07 10:43:36','532','2',NULL,'feature-create-edit','platform/feature/create/edit',NULL,NULL,'1','Look at the H5','查看H5',NULL,NULL,NULL,NULL,NULL,'0'),
  ('623','2023-07-18 11:47:22','2023-07-18 11:47:22','432','1',NULL,'/','/',NULL,NULL,'1','出库明细详情','出库明细详情','',NULL,NULL,NULL,NULL,'0'),
  ('628','2023-08-02 10:43:38','2023-08-08 16:53:43','141','1',NULL,'/product/manage','product/manage',NULL,NULL,'0','商品管理','商品管理','',NULL,NULL,NULL,NULL,'0'),
  ('631','2023-08-03 16:25:50','2023-08-03 16:35:02','376','2',NULL,'information-config','system/system-config/information-config',NULL,NULL,'1','Information Config','信息配置','',NULL,NULL,NULL,NULL,'0'),
  ('632','2023-08-07 14:59:18','2023-08-08 13:32:28','0','2',NULL,'/member','Layout',NULL,NULL,'0','member','会员','members',NULL,NULL,NULL,NULL,'4'),
  ('633','2023-08-07 15:02:37','2023-08-07 15:22:12','632','2',NULL,'/member/manage','-',NULL,NULL,'0','manage','会员管理','',NULL,NULL,NULL,NULL,'0'),
  ('634','2023-08-07 15:11:28','2023-08-07 15:22:36','633','2',NULL,'list','member/manage/list',NULL,NULL,'0','list','会员列表','',NULL,NULL,NULL,NULL,'0'),
  ('635','2023-08-07 15:24:46','2023-08-07 15:25:39','633','2',NULL,'tag','member/manage/tag',NULL,NULL,'0','tag','会员标签','',NULL,NULL,NULL,NULL,'1'),
  ('636','2023-08-07 15:26:36','2023-08-07 15:26:36','633','2',NULL,'level','member/manage/level',NULL,NULL,'0','level','会员等级','',NULL,NULL,NULL,NULL,'2'),
  ('637','2023-08-07 15:29:08','2023-08-07 15:30:47','633','2',NULL,'order','member/manage/order',NULL,NULL,'0','order','会员订单','',NULL,NULL,NULL,NULL,'3'),
  ('638','2023-08-07 15:31:26','2023-08-07 15:31:43','633','2',NULL,'recharge','member/manage/recharge',NULL,NULL,'0','recharge','充值套餐','',NULL,NULL,NULL,NULL,'4'),
  ('639','2023-08-07 15:32:51','2023-08-07 15:32:51','633','2',NULL,'rights','member/manage/rights',NULL,NULL,'0','rights','权益管理','',NULL,NULL,NULL,NULL,'5'),
  ('640','2023-08-07 16:26:55','2023-08-07 16:28:02','632','2',NULL,'/member/score','-',NULL,NULL,'0','score','积分管理','',NULL,NULL,NULL,NULL,'1'),
  ('641','2023-08-07 16:31:43','2023-08-07 16:33:53','640','2',NULL,'order','member/score/order',NULL,NULL,'0','score-order','积分订单','',NULL,NULL,NULL,NULL,'0'),
  ('642','2023-08-07 16:33:43','2023-08-08 15:35:55','640','2',NULL,'post-prod','member/score/post-prod',NULL,NULL,'0','post-prod','发布商品','',NULL,NULL,NULL,NULL,'1'),
  ('643','2023-08-07 16:34:27','2023-08-07 16:34:27','640','2',NULL,'list','member/score/list',NULL,NULL,'0','score-prod-list','积分商品','',NULL,NULL,NULL,NULL,'2'),
  ('644','2023-08-07 16:36:53','2023-08-07 16:36:53','640','2',NULL,'transport','member/score/transport',NULL,NULL,'0','transport','运费模板','',NULL,NULL,NULL,NULL,'3'),
  ('645','2023-08-07 16:37:31','2023-08-07 16:37:31','640','2',NULL,'growth-config','member/score/growth-config',NULL,NULL,'0','积分成长值','积分成长值','',NULL,NULL,NULL,NULL,'4'),
  ('646','2023-08-07 16:38:07','2023-08-15 10:55:47','640','2',NULL,'attr','member/score/attr',NULL,NULL,'0','attr','积分规格','',NULL,NULL,NULL,NULL,'5'),
  ('647','2023-08-28 14:36:57','2023-08-28 14:36:57','147','1',NULL,'/system/delivery-manager','system/delivery-manager',NULL,NULL,'0','电子面单','电子面单','',NULL,NULL,NULL,NULL,'4'),
  ('648','2023-08-28 14:37:51','2023-08-28 14:37:51','647','1',NULL,'outlet-config/index','system/delivery-manager/outlet-config/index',NULL,NULL,'0','网点管理','网点管理','',NULL,NULL,NULL,NULL,'0'),
  ('649','2023-08-28 14:38:33','2023-08-28 14:38:33','647','1',NULL,'printer/index','system/delivery-manager/printer/index',NULL,NULL,'0','硬件设备','硬件设备','',NULL,NULL,NULL,NULL,'1'),
  ('650','2023-08-29 15:28:06','2023-08-29 15:28:06','651','2',NULL,'addr','system/delivery-manager/addr/index',NULL,NULL,'0','发货地址','发货地址','',NULL,NULL,NULL,NULL,'2'),
  ('651','2023-08-29 15:29:38','2023-08-29 15:29:38','632','2',NULL,'/system/delivery-manager','system/delivery-manager',NULL,NULL,'0','电子面单','电子面单','',NULL,NULL,NULL,NULL,'4'),
  ('652','2023-08-29 15:30:10','2023-08-29 16:14:37','651','2',NULL,'outlet-config/index','system/delivery-manager/outlet-config/index',NULL,NULL,'0','网点管理','网点管理','',NULL,NULL,NULL,NULL,'0'),
  ('653','2023-08-29 15:31:35','2023-08-29 16:16:32','651','2',NULL,'printer/index','system/delivery-manager/printer/index',NULL,NULL,'0','硬件设备','硬件设备','',NULL,NULL,NULL,NULL,'1'),
  ('654','2023-08-29 15:33:24','2023-08-29 15:33:24','448','3',NULL,'/setting/delivery-manager','setting/delivery-manager',NULL,NULL,'0','电子面单','电子面单','',NULL,NULL,NULL,NULL,'4'),
  ('655','2023-08-29 15:34:04','2023-08-30 17:22:24','654','3',NULL,'outlet-config/index','setting/delivery-manager/outlet-config/index',NULL,NULL,'0','网点管理','网点管理','',NULL,NULL,NULL,NULL,'0'),
  ('656','2023-08-29 15:34:35','2023-08-30 17:22:09','654','3',NULL,'printer/index','setting/delivery-manager/printer/index',NULL,NULL,'0','硬件设备','硬件设备','',NULL,NULL,NULL,NULL,'1'),
  (662,'2023-08-31 17:36:13','2023-08-31 17:36:13','372','1',NULL,'refund-order-info','order/order-manage/refund-order-info',NULL,NULL,'1','refund-info','退款详情','',NULL,NULL,NULL,NULL,'5'),
  (661,'2023-08-31 17:22:42','2023-08-31 17:23:56','475','3',NULL,'refund-order-info','order/order-manage/refund-order-info',NULL,NULL,'1','refund-info','退款详情','',NULL,NULL,NULL,NULL,'5'),
  (660,'2023-08-31 13:33:30','2023-08-31 13:33:30','170','2',NULL,'refund-order-info','order/refund-order-info',NULL,NULL,'1','order-refund-info','退款详情','',NULL,NULL,NULL,NULL,'0'),
  ('663', '2023-08-31 16:36:36', '2023-09-01 15:30:48', '0', '1', NULL, '/finance', 'Layout', NULL, NULL, '0', '财务', '财务', 'financial', NULL, NULL, NULL, NULL, '10'),
  ('664', '2023-08-31 16:37:06', '2023-09-01 15:29:32', '663', '1', NULL, 'finance-purchase-settlement', 'finance/purchase-settlement', NULL, NULL, '0', '采购结算', '采购结算', '', NULL, NULL, NULL, NULL, '1'),
  ('665', '2023-09-01 14:42:53', '2023-09-01 14:42:53', '663', '1', NULL, 'wallet-log', 'shop/wallet-log', NULL, NULL, '0', '财务结算', '财务结算', '', NULL, NULL, NULL, NULL, '0'),
  ('666', '2023-09-01 13:50:25', '2023-09-01 15:31:06', '0', '3', NULL, '/finance', 'Layout', NULL, NULL, '0', '财务', '财务', 'financial', NULL, NULL, NULL, NULL, '4'),
  ('667', '2023-09-01 13:52:09', '2023-09-01 15:29:15', '666', '3', NULL, 'supplier-walletLog', 'shop/wallet-log', NULL, NULL, '0', 'shop-walletLog', '财务结算', '', NULL, NULL, NULL, NULL, '0'),
  ('668', '2023-09-01 13:53:38', '2023-09-01 13:53:38', '666', '3', NULL, 'finance-purchase-settlement', 'finance/purchase-settlement', NULL, NULL, '0', '采购结算', '采购结算', '', NULL, NULL, NULL, NULL, '1'),
  ('669', NOW(), NOW(), '145', '1', NULL, 'notice', 'shop/notice', NULL, NULL, '0', '店铺公告', '店铺公告', '', NULL, NULL, NULL, NULL, '1'),
  ('676', '2023-12-15 10:32:06', '2023-12-15 10:32:14', '526', 2, NULL, '/platform-default', 'default', NULL, NULL, 0,'默认组件', '默认组件', '', NULL, NULL, NULL, NULL, 2),
  ('677', '2023-12-15 10:32:39', '2023-12-15 10:39:49', '676', 2, NULL, 'index-img', 'platform/default/index-img',NULL, NULL, 0, '轮播图', '轮播图', 'el-icon-picture-outline', NULL, NULL, NULL, NULL, 1),
  ('678', '2023-12-15 10:32:37', '2023-12-15 10:39:53', '676', 2, NULL, 'spu-tag', 'platform/default/spu-tag', NULL,NULL, 0, '分组管理', '分组管理', '', NULL, NULL, NULL, NULL, 2),
  ('679', '2023-12-15 10:32:26', '2023-12-15 11:19:43', '676', 2, NULL, 'tag-prod', 'platform/default/tag-prod', NULL,NULL, 1, '添加分组商品', '添加分组商品', '', NULL, NULL, NULL, NULL, 0),
(680, '2023-11-16 13:46:14', '2023-11-28 14:33:09', 424, 1, NULL, '/stock/warehouse-store', 'inventory', NULL, NULL, 0, '仓库门店', '仓库门店', '', NULL, NULL, NULL, NULL, 0),
(681, '2023-11-16 13:47:53', '2023-11-28 14:33:43', 680, 1, NULL, 'warehouse-manage', 'stock/warehouse-store/warehouse-manage/index', NULL, NULL, 0, '仓库管理', '仓库管理', '', NULL, NULL, NULL, NULL, 0),
(682, '2023-11-20 11:54:19', '2023-11-20 11:54:40', 0, 3, NULL, '/stock', 'Layout', NULL, NULL, 0, '库存', '库存', '', NULL, NULL, NULL, NULL, 2),
(683, '2023-11-20 11:56:35', '2023-11-20 11:56:59', 682, 3, NULL, '/stock/warehouse', '-', NULL, NULL, 0, '仓库管理', '仓库管理', '', NULL, NULL, NULL, NULL, 0),
(684, '2023-11-20 11:58:11', '2023-11-20 13:33:26', 683, 3, NULL, 'warehouse/warehouse-manage', 'stock/warehouse/warehouse-manage', NULL, NULL, 0, '仓库管理', '仓库管理', '', NULL, NULL, NULL, NULL, 0),
(685, '2023-11-23 10:06:44', '2023-11-23 10:07:23', 682, 3, NULL, '/rec-send-manage', 'inventory', NULL, NULL, 0, '出入库管理', '出入库管理', '', NULL, NULL, NULL, NULL, 1),
(686, '2023-11-23 10:08:05', '2023-11-23 10:08:33', 685, 3, NULL, 'stock-send-add-or-update', 'stock/rec-send-manage/out-stock/add-or-update', NULL, NULL, 1, '新建出库明细', '新建出库明细', '', NULL, NULL, NULL, NULL, 0),
(687, '2023-11-23 10:09:15', '2023-11-23 10:09:15', 685, 3, NULL, 'receive-list', 'stock/rec-send-manage/in-stock', NULL, NULL, 0, '入库明细', '入库明细', '', NULL, NULL, NULL, NULL, 1),
(688, '2023-11-23 10:10:03', '2023-11-23 10:10:21', 685, 3, NULL, 'receive-detail', 'stock/rec-send-manage/in-stock/components/in-detail', NULL, NULL, 1, '入库明细详情', '入库明细详情', '', NULL, NULL, NULL, NULL, 0),
(689, '2023-11-23 10:10:56', '2023-11-27 16:52:00', 685, 3, NULL, 'stock-receive-add-or-update', 'stock/rec-send-manage/in-stock/add-or-update', NULL, NULL, 1, '新建入库明细', '新建入库明细', '', NULL, NULL, NULL, NULL, 0),
(690, '2023-11-23 10:11:30', '2023-11-23 10:11:30', 685, 3, NULL, 'customize-reason', 'stock/rec-send-manage/reason', NULL, NULL, 0, '出入库原因', '出入库原因', '', NULL, NULL, NULL, NULL, 2),
(691, '2023-11-23 10:12:02', '2023-11-23 10:12:02', 685, 3, NULL, 'send-list', 'stock/rec-send-manage/out-stock', NULL, NULL, 0, '出库明细', '出库明细', '', NULL, NULL, NULL, NULL, 3),
(692, '2023-11-23 10:13:12', '2023-11-23 10:53:23', 685, 3, NULL, 'send-detail', 'stock/rec-send-manage/out-stock/components/out-detail', NULL, NULL, 1, '出库明细详情', '出库明细详情', '', NULL, NULL, NULL, NULL, 3),
(694, '2023-11-28 14:26:29', '2023-12-14 09:18:33', 680, 1, NULL, 'transfer-order', 'stock/warehouse-store/transfer-order/index', NULL, NULL, 0, '调拨订单', '调拨订单', '', NULL, NULL, NULL, NULL, 2),
(695, '2023-11-28 14:29:21', '2023-11-28 14:32:35', 680, 1, NULL, 'transfer-order-create', 'stock/warehouse-store/transfer-order-create/index', NULL, NULL, 1, '新建调拨订单', '新建调拨订单', '', NULL, NULL, NULL, NULL, 2),
(696, '2023-12-04 16:39:48', '2023-12-04 16:50:11', 683, 3, NULL, 'transfer-order', 'stock/warehouse/transfer-order/index', NULL, NULL, 0, '调拨订单', '调拨订单', '', NULL, NULL, NULL, NULL, 1),
(697, '2023-12-04 16:46:12', '2023-12-04 16:50:39', 683, 3, NULL, 'transfer-order-create', 'stock/warehouse/transfer-order-create/index', NULL, NULL, 1, '新建调拨订单', '新建调拨订单', '', NULL, NULL, NULL, NULL, 0),
(698,'2023-12-25 15:23:38','2023-12-25 15:23:54',532,2,NULL,'feature-popup-ad','platform/feature/popup-ad',NULL,NULL,0,'弹窗广告','弹窗广告','',NULL,NULL,NULL,NULL,3),
(699,'2023-12-25 15:24:34','2023-12-25 15:24:34',532,2,NULL,'feature-popup-ad/add-or-update','platform/feature/popup-ad/add-or-update',NULL,NULL,1,'新增弹窗广告','新增弹窗广告','',NULL,NULL,NULL,NULL,4),
(700,'2023-12-25 15:25:16','2023-12-25 15:25:16',542,1,NULL,'feature-popup-ad','multishop/feature/popup-ad',NULL,NULL,0,'弹窗广告','弹窗广告','',NULL,NULL,NULL,NULL,3),
(701,'2023-12-25 15:25:50','2023-12-25 15:38:13',542,1,NULL,'feature-popup-ad/add-or-update','multishop/feature/popup-ad/add-or-update',NULL,NULL,1,'新增弹窗广告','新增弹窗广告','',NULL,NULL,NULL,NULL,4);


/*Table structure for table `menu_permission` */

DROP TABLE IF EXISTS `menu_permission`;

CREATE TABLE `menu_permission` (
  `menu_permission_id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '菜单资源用户id',
  `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `menu_id` BIGINT NOT NULL COMMENT '资源关联菜单',
  `biz_type` TINYINT NOT NULL COMMENT '业务类型 1 店铺菜单 2平台菜单',
  `permission` VARCHAR(255) NOT NULL COMMENT '权限对应的编码',
  `name` VARCHAR(32) NOT NULL COMMENT '资源名称',
  `uri` VARCHAR(255) NOT NULL COMMENT '资源对应服务器路径',
  `method` TINYINT NOT NULL COMMENT '请求方法 1.GET 2.POST 3.PUT 4.DELETE',
  PRIMARY KEY (`menu_permission_id`),
  KEY `idx_menuid` (`menu_id`)
) ENGINE=INNODB AUTO_INCREMENT=230 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='菜单资源';

/*Data for the table `menu_permission` */

insert into `menu_permission` (`menu_permission_id`, `create_time`, `update_time`, `menu_id`, `biz_type`, `permission`, `name`, `uri`, `method`) values
 (1, '2021-07-08 09:47:13', '2021-07-08 09:54:59', 137, 1, 'product:attr:save', '新增商品属性', '/mp/attr', 2),
 (2, '2021-07-08 09:48:14', '2021-07-08 09:48:14', 137, 1, 'product:attr:update', '编辑商品属性', '/mp/attr', 3),
 (3, '2021-07-08 09:49:12', '2021-07-08 09:49:12', 137, 1, 'product:attr:delete', '删除商品属性', '/mp/attr', 4),
 (4, '2021-07-08 09:54:47', '2021-07-08 09:54:47', 139, 1, 'product:category:save', '新增店铺分类', '/mp/category', 2),
 (5, '2021-07-08 09:55:58', '2021-07-08 09:55:58', 139, 1, 'product:category:update', '编辑店铺分类', '/mp/category', 3),
 (6, '2021-07-08 09:59:40', '2021-07-08 09:59:40', 139, 1, 'product:category:offShelf', '下架店铺分类', '/mp/category/category_enable_or_disable', 3),
 (7, '2021-07-08 10:00:46', '2021-07-08 10:00:46', 139, 1, 'product:category:putOnShelf', '上架店铺分类', '/mp/category/category_enable_or_disable', 3),
 (8, '2021-07-08 10:02:19', '2021-07-08 10:02:19', 139, 1, 'product:category:delete', '删除店铺分类', '/mp/category', 4),
 (9, '2021-07-08 10:16:29', '2021-07-08 11:03:01', 279, 1, 'marketing:seckill:join', '参与', '/mp/seckill/list_seckill_spu_by_time', 1),
 (11, '2021-07-08 10:26:15', '2021-07-08 11:03:54', 279, 1, 'marketing:seckill:detail', '详情', '/mp/seckill/list_seckill_spu_by_time', 1),
 (13, '2021-07-08 10:36:19', '2021-07-09 10:00:53', 142, 1, 'product:spu:save', '发布商品', '/mp/spu', 2),
 (15, '2021-07-08 10:45:01', '2021-07-08 10:45:01', 152, 1, 'product:spu:soldExcel', '导出商品', '/mp/spu/sold_excel', 1),
 (16, '2021-07-08 10:48:17', '2021-07-08 10:48:17', 152, 1, 'product:spu:upload', '导入商品', '/mp/spu/export_excel', 2),
 (17, '2021-07-08 13:21:53', '2021-07-08 16:52:08', 235, 1, 'marketing:coupon:update', '修改', '/mp/coupon', 3),
 (18, '2021-07-08 13:23:41', '2021-07-08 13:58:58', 235, 1, 'marketing:coupon:delete', '删除', '/mp/coupon', 4),
 (19, '2021-07-08 13:45:16', '2021-07-09 11:21:04', 235, 1, 'marketing:coupon:auditApply', '申请上线', '/mp/coupon/audit_apply', 2),
 (20, '2021-07-08 13:50:25', '2021-07-09 11:20:47', 235, 1, 'marketing:coupon:waitAudit', '等待审核', '/mp/coupon/get_offline_handle_event', 1),
 (21, '2021-07-08 13:58:36', '2021-07-08 16:53:38', 235, 1, 'marketing:coupon:save', '新增', '/mp/coupon', 2),
 (23, '2021-07-08 14:18:23', '2021-07-08 16:53:17', 154, 1, 'marketing:discount:save', '新增', '/mp/discount', 2),
 (24, '2021-07-08 14:19:58', '2021-07-08 14:19:58', 151, 1, 'user:transport:update', '编辑', '/mp/transport', 3),
 (25, '2021-07-08 14:20:28', '2021-07-08 14:20:28', 151, 1, 'user:transport:save', '新增', '/mp/transport', 2),
 (26, '2021-07-08 14:20:52', '2021-07-08 14:20:52', 151, 1, 'user:transport:delete', '删除', '/mp/transport', 4),
 (27, '2021-07-08 14:22:57', '2021-07-23 11:25:12', 271, 1, 'shop:shopDetail:save', '基本信息保存', '/m/apply_shop/shop_detail/storage', 2),
 (28, '2021-07-08 14:23:31', '2021-07-08 16:50:46', 154, 1, 'marketing:discount:update', '编辑', '/mp/discount', 3),
 (29, '2021-07-08 14:25:24', '2023-11-14 14:42:30', 271, 1, 'shop:shopCompany:save', '工商信息保存', '/m/shop_company_auditing/apply_change_company_info', 2),
 (30, '2021-07-08 14:27:33', '2021-07-08 15:10:10', 271, 1, 'shop:shopBankCard:update', '变更当前收款账户', '/m/apply_shop/shop_bank_card', 3),
 (31, '2021-07-08 14:28:02', '2021-07-08 14:28:09', 154, 1, 'marketing:discount:delete', '删除', '/mp/discount', 4),
 (32, '2021-07-08 14:29:18', '2021-07-08 15:09:57', 271, 1, 'shop:shopUser:update', '设置主账号', '/m/apply_shop/shop_bank_card/set_primary', 3),
 (33, '2021-07-08 14:29:56', '2021-07-08 15:09:49', 271, 1, 'shop:shopUser:delete', '删除账号', '/m/apply_shop/shop_bank_card', 4),
 (34, '2021-07-08 14:31:10', '2021-07-09 11:20:10', 154, 1, 'marketing:discount:waitAudit', '等待审核', '/mp/discount/get_offline_handle_event', 2),
 (35, '2021-07-08 14:33:22', '2021-07-08 16:54:09', 275, 1, 'marketing:group:save', '新增', '/mp/group_activity', 2),
 (36, '2021-07-08 14:33:57', '2021-07-08 16:51:12', 275, 1, 'marketing:group:update', '编辑', '/mp/group_activity', 3),
 (38, '2021-07-08 14:35:07', '2021-07-08 14:35:07', 275, 1, 'marketing:group:delete', '删除', '/mp/group_activity', 4),
 (39, '2021-07-08 14:38:03', '2021-08-03 10:00:13', 275, 1, 'marketing:group:invalid', '失效活动', '/mp/group_activity/invalid', 1),
 (40, '2021-07-08 14:39:38', '2021-07-09 11:10:21', 275, 1, 'marketing:group:waitAudit', '等待审核', '/mp/group_activity/get_offline_handle_event', 1),
 (41, '2021-07-08 14:39:55', '2021-07-08 14:39:55', 258, 1, 'user:hotSearch:update', '编辑', 'mp/hot_search', 3),
 (42, '2021-07-08 14:44:16', '2021-07-08 14:44:16', 258, 1, 'user:hotSearch:save', '新建', '/mp/hot_search', 2),
 (43, '2021-07-08 14:45:00', '2021-07-08 14:45:00', 258, 1, 'user:hotSearch:delete', '删除', 'mp/hot_search', 4),
 (44, '2021-07-08 14:46:11', '2021-07-08 15:22:31', 146, 1, 'user:indexImg:save', '新建', '/mp/index_img', 2),
 (45, '2021-07-08 14:46:45', '2021-07-08 14:46:45', 146, 1, 'user:indexImg:update', '编辑', '/mp/index_img', 3),
 (46, '2021-07-08 14:47:07', '2021-07-08 14:47:07', 146, 1, 'user:indexImg:delete', '删除', '/mp/index_img', 4),
 (47, '2021-07-08 14:47:54', '2023-11-14 09:56:07', 669, 1, 'user:notice:save', '新建', '/mp/notice', 2),
 (48, '2021-07-08 14:48:20', '2023-11-14 09:56:01', 669, 1, 'user:notice:update', '编辑', '/mp/notice', 3),
 (49, '2021-07-08 14:48:38', '2023-11-14 09:55:55', 669, 1, 'user:notice:delete', '删除', '/mp/notice', 4),
 (50, '2021-07-08 14:49:46', '2023-11-14 11:06:09', 665, 1, 'shop:shopWallet:detail', '交易详情', '/mp/order_item/get_order_detail', 1),
 (51, '2021-07-08 14:54:35', '2021-08-19 14:16:41', 148, 1, 'order:order:sold', '导出', '/mp/order/sold_excel', 1),
 (52, '2021-07-08 15:01:05', '2021-08-19 14:16:33', 148, 1, 'order:order:info', '订单详情', '/mp/order/order_info/*', 1),
 (53, '2021-07-08 15:05:07', '2021-08-19 14:15:42', 148, 1, 'order:order:logistics', '修改物流', '/mp/order_delivery/update', 3),
 (54, '2021-07-08 15:06:29', '2021-08-19 14:15:32', 148, 1, 'order:order:delivery', '发货', '/mp/order/delivery', 2),
 (55, '2021-07-08 15:11:05', '2021-08-19 14:15:24', 148, 1, 'order:order:refund', '退款信息', '/mp/order_refund/page', 1),
 (56, '2021-07-08 15:15:35', '2021-08-19 14:15:18', 148, 1, 'order:order:amount', '改变金额', '/mp/order/change_amount', 3),
 (57, '2021-07-08 15:17:12', '2023-11-14 15:10:33', 665, 1, 'shop:shopWithdrawCash:save', '提现', '/m/shop_withdraw_cash/apply/*', 2),
 (58, '2021-07-08 15:21:52', '2021-07-08 15:21:52', 272, 1, 'shop:shopRefundAddr:save', '新建', '/mp/shop_refund_addr', 2),
 (59, '2021-07-08 15:23:07', '2021-07-08 15:23:07', 272, 1, 'shop:shopRefundAddr:update', '编辑', '/mp/shop_refund_addr', 3),
 (60, '2021-07-08 15:25:03', '2021-07-08 15:25:03', 272, 1, 'shop:shopRefundAddr:delete', '删除', '/mp/shop_refund_addr', 4),
 (62, '2021-07-08 16:09:52', '2021-07-08 16:09:52', 149, 1, 'order:refund:refund', '处理退款', '/m/order_refund/info', 1),
 (63, '2021-07-08 16:10:15', '2021-07-08 16:10:15', 266, 2, 'delivery:company:save', '新增', '/p/delivery_company', 2),
 (64, '2021-07-08 16:14:44', '2021-07-08 16:15:47', 271, 1, 'shop:shopBankCard:save', '新增账号', '/m/apply_shop/shop_bank_card', 2),
 (66, '2021-07-08 16:18:34', '2021-07-08 16:20:04', 266, 2, 'delivery:company:edit', '编辑', '/p/delivery_company', 3),
 (67, '2021-07-08 16:20:50', '2021-07-08 16:20:57', 266, 2, 'delivery:company:delete', '删除', '/p/delivery_company', 4),
 (68, '2021-07-08 16:20:53', '2021-07-08 16:20:53', 152, 1, 'product:spu:edit', '编辑商品', '/mp/spu', 3),
 (69, '2021-07-08 16:23:57', '2021-07-08 16:23:57', 152, 1, 'product:spu:prodSale', '上架商品', '/mp/spu/prod_status', 3),
 (70, '2021-07-08 16:24:50', '2021-07-08 16:24:50', 152, 1, 'product:spu:prodNotSale', '下架商品', '/mp/spu/prod_status', 3),
 (72, '2021-07-08 16:29:11', '2021-07-08 16:29:11', 152, 1, 'product:spu:delete', '删除商品', '/mp/spu', 4),
 (73, '2021-07-08 16:35:09', '2021-07-08 16:35:09', 152, 1, 'product:spu:modifyProdName', '编辑商品名称', '/mp/spu/update_spu_data', 3),
 (74, '2021-07-08 16:40:52', '2021-07-09 10:53:21', 112, 1, 'multishop:shopUser:update', '编辑', '/m/shop_user', 3),
 (78, '2021-07-08 16:41:36', '2021-07-09 10:53:10', 112, 1, 'multishop:shopUser:save', '新增', '/m/shop_user', 2),
 (79, '2021-07-08 16:42:20', '2021-07-09 10:52:55', 112, 1, 'multishop:shopUser:delete', '删除', '/m/shop_user', 4),
 (80, '2021-07-08 16:42:49', '2021-07-08 16:42:49', 152, 1, 'product:spu:modifyProdPrice', '编辑商品价格', '/mp/spu/update_spu_data', 3),
 (81, '2021-07-08 16:44:58', '2021-07-08 16:44:58', 152, 1, 'product:spu:modifyProdStock', '编辑商品库存', '/mp/spu/update_spu_data', 3),
 (82, '2021-07-08 16:47:00', '2021-07-08 16:47:56', 134, 1, 'rbac:role:update', '编辑', '/mp/role', 3),
 (83, '2021-07-08 16:47:17', '2021-07-08 16:47:17', 152, 1, 'product:spu:modifySeq', '编辑商品序号', '/mp/spu/update_spu_data', 3),
 (84, '2021-07-08 16:47:41', '2021-07-08 16:47:41', 134, 1, 'rbac:role:save', '新增', '/mp/role', 2),
 (85, '2021-07-08 16:49:10', '2021-07-08 16:49:10', 134, 1, 'rbac:role:delete', '删除', '/mp/role', 4),
 (86, '2021-07-08 16:55:31', '2021-07-08 16:55:31', 284, 1, 'resource:img:uploadImg', '上传图片', '/ua/oss/info', 1),
 (87, '2021-07-08 17:00:17', '2021-07-08 17:00:17', 284, 1, 'resource:img:saveImgGroup', '新建图片分组', '/mp/attach_file_group', 2),
 (88, '2021-07-08 17:03:29', '2021-07-08 17:03:29', 284, 1, 'resource:img:editImgGroup', '编辑图片分组', '/mp/attach_file_group', 3),
 (89, '2021-07-08 17:04:33', '2021-07-08 17:04:33', 284, 1, 'resource:img:deleteImgGroup', '删除图片分组', '/mp/attach_file_group', 4),
 (91, '2021-07-08 17:08:21', '2021-07-08 17:08:21', 284, 1, 'resource:img:deleteImgs', '批量删除图片', '/m/attach_file/delete_by_ids', 4),
 (92, '2021-07-08 17:09:38', '2021-07-08 17:09:38', 284, 1, 'resource:img:deleteImg', '删除图片', '/mp/attach_file', 4),
 (93, '2021-07-08 17:23:43', '2021-07-09 08:32:43', 284, 1, 'resource:img:editImg', '编辑图片', '/mp/attach_file/update_file', 3),
 (94, '2021-07-08 17:26:00', '2021-08-03 09:52:11', 284, 1, 'resource:img:moveImgs', '批量移动图片', '/m/attach_file/batch_move', 3),
 (95, '2021-07-08 17:33:02', '2021-07-08 17:33:02', 285, 1, 'resource:video:uploadVideo', '上传视频', '/ua/oss/info', 1),
 (97, '2021-07-08 17:33:55', '2021-07-08 17:33:55', 285, 1, 'resource:video:saveVideoGroup', '新建视频分组', '/mp/attach_file_group', 2),
 (99, '2021-07-08 17:35:02', '2021-07-08 17:35:02', 285, 1, 'resource:video:editVideoGroup', '编辑视频分组', '/mp/attach_file_group', 3),
 (101, '2021-07-08 17:36:33', '2021-07-08 17:36:33', 285, 1, 'resource:video:deleteVideoGroup', '删除视频分组', '/mp/attach_file_group', 4),
 (103, '2021-07-08 17:37:37', '2021-07-08 17:37:37', 285, 1, 'resource:video:deleteVideos', '批量删除图片', '/m/attach_file/delete_by_ids', 4),
 (104, '2021-07-08 17:38:21', '2021-07-08 17:38:21', 285, 1, 'resource:video:deleteVideo', '删除视频', '/mp/attach_file', 4),
 (105, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 308, 2, 'notify:notifyTemplateTag:save', '新增', '/p/notify_template_tag', 2),
 (106, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 308, 2, 'notify:notifyTemplateTag:update', '修改', '/p/notify_template_tag', 3),
 (107, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 308, 2, 'notify:notifyTemplateTag:delete', '删除', '/p/notify_template_tag', 4),
 (108, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 308, 2, 'notify:notifyTemplateTag:sendMsg', '推送消息', '/p/notify_template_tag/send_msg', 3),
 (109, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 304, 2, 'notify:notify:save', '新增', '/p/notify_template', 2),
 (110, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 304, 2, 'notify:notify:update', '修改', '/p/notify_template', 3),
 (111, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 304, 2, 'notify:notify:delete', '删除', '/p/notify_template', 4),
 (112, '2021-07-08 17:43:45', '2023-08-08 14:03:24', 635, 2, 'user:tag:save', '新增', '/p/user_tag', 2),
 (113, '2021-07-08 17:43:45', '2023-08-08 14:04:57', 635, 2, 'user:tag:update', '修改', '/p/user_tag', 3),
 (114, '2021-07-08 17:43:45', '2023-08-08 14:09:29', 635, 2, 'user:tag:delete', '删除', '/p/user_tag', 4),
 (115, '2021-07-08 17:43:45', '2023-08-08 14:05:50', 635, 2, 'user:tag:refresh', '更新', '/p/user_tag/refresh', 1),
 (116, '2021-07-08 17:43:45', '2023-08-08 14:03:41', 638, 2, 'user:recharge:save', '新增', '/p/user_recharge', 2),
 (117, '2021-07-08 17:43:45', '2023-08-08 14:04:47', 638, 2, 'user:recharge:update', '修改', '/p/user_recharge', 3),
 (118, '2021-07-08 17:43:45', '2023-08-08 14:09:15', 638, 2, 'user:recharge:delete', '删除', '/p/user_recharge', 4),
 (119, '2021-07-08 17:43:45', '2023-08-08 14:03:48', 639, 2, 'user:rights:save', '新增', '/p/user_rights', 2),
 (120, '2021-07-08 17:43:45', '2023-08-08 14:04:40', 639, 2, 'user:rights:update', '修改', '/p/user_rights', 3),
 (121, '2021-07-08 17:43:45', '2023-08-08 14:09:07', 639, 2, 'user:rights:delete', '删除', '/p/user_rights', 4),
 (122, '2021-07-08 17:43:45', '2023-08-08 14:08:58', 634, 2, 'user:user:info', '会员详情', '/p/user/user_info', 1),
 (123, '2021-07-08 17:43:45', '2023-08-08 14:08:51', 634, 2, 'user:user:update', '修改会员信息', '/p/user', 3),
 (124, '2021-07-08 17:43:45', '2023-08-08 14:08:43', 634, 2, 'user:user:updateGrowth', '修改会员成长值', '/p/user_level/update_growth', 3),
 (125, '2021-07-08 17:43:45', '2023-08-08 14:08:37', 634, 2, 'user:user:updateScore', '修改会员积分', '/p/user_level/batch_user_score', 3),
 (126, '2021-07-08 17:43:45', '2023-08-08 14:08:31', 634, 2, 'user:user:modifyBalance', '修改会员余额', '/p/user_recharge/update_user_balance', 3),
 (127, '2021-07-08 17:43:45', '2023-08-08 14:08:24', 634, 2, 'user:user:sendCoupons', '赠送优惠券', '/mp/coupon/send_user_coupon', 3),
 (128, '2021-07-08 17:43:45', '2023-08-08 14:08:08', 634, 2, 'user:user:tagging', '打标签', '/p/user_tag_user/update_user_Tag', 3),
 (129, '2021-07-08 17:43:45', '2023-08-08 14:07:48', 634, 2, 'user:user:import', '用户导入', '/p/user/import_excel', 2),
 (130, '2021-07-08 17:43:45', '2023-08-08 14:07:40', 634, 2, 'user:user:export', '导出会员信息', '/p/user/sold_excel', 1),
 (131, '2021-07-08 17:43:45', '2023-08-08 14:03:56', 636, 2, 'user:level:save', '新增', '/p/user_level', 2),
 (132, '2021-07-08 17:43:45', '2023-08-08 14:04:30', 636, 2, 'user:level:update', '修改', '/p/user_level', 3),
 (133, '2021-07-08 17:43:45', '2023-08-08 14:07:10', 636, 2, 'user:level:delete', '删除', '/p/user_level', 4),
 (134, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 262, 2, 'platform:shopManage:save', '新增', '/p/shop_detail/create_shop', 2),
 (135, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 262, 2, 'platform:shopManage:update', '编辑', '/p/shop_detail', 3),
 (137, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 262, 2, 'platform:shopManage:info', '详情', '/p/shop_detail/info', 1),
 (138, '2021-07-08 17:43:45', '2023-05-12 15:07:10', 262, 2, 'platform:shopManage:closeStore', '下线店铺', '/p/shop_detail/offline', 3),
 (140, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 262, 2, 'platform:shopManage:preferred', '设为/取消优选店铺', '/p/shop_detail/update_shop_preferred', 3),
 (141, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 262, 2, 'platform:shopManage:updatePassword', '账号管理', '/p/shop_detail/update_password', 3),
 (142, '2021-07-08 17:43:45', '2023-07-05 17:57:03', 262, 2, 'platform:auditShop:audit', '审核', '/p/shop_auditing/audit', 3),
 (143, '2021-07-08 17:43:45', '2023-03-24 16:34:00', 305, 2, 'platform:notice:save', '新增', '/mp/notice', 2),
 (144, '2021-07-08 17:43:45', '2023-03-24 16:34:00', 305, 2, 'platform:notice:update', '编辑', '/mp/notice', 3),
 (145, '2021-07-08 17:43:45', '2023-03-24 16:34:02', 305, 2, 'platform:notice:delete', '删除', '/mp/notice', 4),
 (146, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 677, 2, 'platform:indexImg:save', '新增', '/mp/index_img', 2),
 (147, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 677, 2, 'platform:indexImg:update', '编辑', '/mp/index_img', 3),
 (148, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 677, 2, 'platform:indexImg:delete', '删除', '/mp/index_img', 4),
 (149, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 256, 2, 'platform:hotSearch:save', '新增', '/mp/hot_search', 2),
 (150, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 256, 2, 'platform:hotSearch:update', '编辑', '/mp/hot_search', 3),
 (151, '2021-07-08 17:43:45', '2021-07-08 17:43:45', 256, 2, 'platform:hotSearch:delete', '删除', '/mp/hot_search', 4),
 (152, '2021-07-09 08:36:44', '2021-07-09 08:36:44', 285, 1, 'resource:Video:editVideo', '编辑视频', '/mp/attach_file/update_file', 3),
 (153, '2021-07-09 08:37:58', '2021-08-03 09:52:30', 285, 1, 'resource:video:moveVideos', '批量移动视频', '/m/attach_file/batch_move', 3),
 (154, '2021-07-09 08:53:05', '2021-07-09 09:32:05', 149, 1, 'order:refund:order', '查看订单', '/m/order/order_info/*', 1),
 (155, '2021-07-09 09:43:51', '2021-07-09 09:46:33', 149, 1, 'order:refund:page', '列表', '/m/order_refund/page', 1),
 (156, '2021-07-09 11:11:56', '2021-07-09 11:11:56', 275, 1, 'marketing:group:auditApply', '申请上架', '/mp/group_activity/audit_apply', 2),
 (157, '2021-07-09 11:19:38', '2021-07-09 11:19:38', 154, 1, 'marketing:discount:auditApply', '申请上线', '/mp/discount/audit_apply', 2),
 (158, '2021-07-12 19:30:09', '2021-07-12 19:31:56', 254, 2, 'platform:coupon:save', '新增', '/mp/coupon', 2),
 (159, '2021-07-12 19:31:34', '2021-07-12 19:31:49', 254, 2, 'platform:coupon:update', '编辑', '/mp/coupon', 3),
 (160, '2021-07-12 19:34:03', '2021-07-12 19:34:03', 254, 2, 'platform:coupon:delete', '删除', '/mp/coupon', 4),
 (161, '2021-07-12 19:37:20', '2021-07-12 19:37:20', 233, 2, 'shop:coupon:offline', '下线', '/mp/coupon/offline', 2),
 (162, '2021-07-12 19:38:49', '2021-07-12 19:39:23', 233, 2, 'shop:coupon:offline:manage', '下线管理', '/mp/coupon/get_offline_handle_event/*', 1),
 (163, '2021-07-12 19:40:29', '2021-07-12 19:40:52', 233, 2, 'shop:coupon:audit', '审核', '/mp/coupon/audit', 2),
 (164, '2021-07-12 19:44:41', '2021-07-12 19:55:23', 270, 2, 'marketing:discount:offline', '下线', '/mp/discount/offline', 2),
 (165, '2021-07-12 19:45:21', '2021-07-12 19:55:17', 270, 2, 'marketing:discount:audit', '审核', '/mp/discount/audit', 2),
 (166, '2021-07-12 19:46:39', '2021-07-12 19:55:13', 177, 2, 'marketing:discount:info', '查看', '/mp/discount/info/*', 1),
 (167, '2021-07-12 19:50:27', '2021-07-12 19:50:27', 233, 2, 'shop:coupon:info', '查看', '/mp/coupon', 1),
 (168, '2021-07-12 19:56:58', '2021-07-12 19:58:59', 278, 2, 'marketing:group:info', '查看', '/mp/group_activity', 1),
 (169, '2021-07-12 19:58:36', '2021-07-12 19:58:48', 278, 2, 'marketing:group:audit', '审核', '/mp/group_activity/audit', 2),
 (170, '2021-07-12 20:00:00', '2021-07-12 20:00:00', 278, 2, 'marketing:group:offline', '下线', '/mp/group_activity/offline', 2),
 (171, '2021-07-12 20:04:08', '2021-07-12 20:06:02', 171, 2, 'order:order:refund:info', '退款信息', '/p/order/order_info/*', 1),
 (172, '2021-07-12 20:04:26', '2021-07-12 20:05:26', 171, 2, 'order:order:info', '查看详情', '/p/order_refund/page', 1),
 (173, '2021-07-12 20:08:23', '2021-07-12 20:08:23', 172, 2, 'order:refund:order:info', '查看订单', '/p/order/order_info/*', 1),
 (174, '2021-07-12 20:09:00', '2021-07-12 20:09:00', 172, 2, 'order:refund:info', '查看退款', '/p/order_refund/info/*', 1),
 (175, '2021-07-12 20:11:57', '2021-07-12 20:11:57', 281, 2, 'seckill:time:save', '保存秒杀配置', '/p/seckill_time', 2),
 (176, '2021-07-12 20:12:40', '2021-10-13 09:03:28', 281, 2, 'seckill:cateogry:save', '新增秒杀分类', '/mp/seckill_category', 2),
 (177, '2021-07-12 20:13:01', '2021-07-12 20:14:31', 281, 2, 'seckill:cateogry:update', '修改秒杀分类', '/mp/seckill_category', 3),
 (178, '2021-07-12 20:14:01', '2021-07-12 20:14:01', 281, 2, 'seckill:cateogry:delete', '删除秒杀分类', '/mp/seckill_category', 4),
 (179, '2021-07-12 20:15:59', '2021-07-12 20:27:53', 281, 2, 'seckill:seckill:info', '详情', '/mp/seckill', 1),
 (180, '2021-07-12 20:22:39', '2021-07-12 20:27:24', 281, 2, 'seckill:seckill:offline', '下线秒杀活动', '/mp/seckill/offline', 2),
 (181, '2021-07-12 20:23:17', '2021-07-12 20:27:34', 281, 2, 'seckill:seckill:audit', '审核秒杀活动', '/mp/seckill/audit', 2),
 (240, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 678, 2, 'product:spuTag:save', '新增', '/p/spu_tag', 2),
 (241, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 678, 2, 'product:spuTag:update', '编辑', '/p/spu_tag', 3),
 (242, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 678, 2, 'product:spuTag:addProdForTag', '商品管理', '/p/spu_tag_reference/add_prod_for_tag', 2),
 (243, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 678, 2, 'product:spuTag:delete', '删除', '/p/spu_tag', 4),
 (244, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 160, 2, 'product:attr:save', '新增', '/mp/attr', 2),
 (245, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 160, 2, 'product:attr:update', '修改', '/mp/attr', 3),
 (246, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 160, 2, 'product:attr:delete', '删除', '/mp/attr', 4),
 (247, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 161, 2, 'product:brand:save', '新增', '/p/brand', 2),
 (248, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 161, 2, 'product:brand:update', '修改', '/p/brand', 3),
 (249, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 161, 2, 'product:brand:updateStatus', '更新品牌状态', '/p/brand/update_brand_status', 3),
 (250, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 161, 2, 'product:brand:delete', '删除', '/p/brand', 4),
 (251, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 162, 2, 'product:category:save', '新增', '/mp/category', 2),
 (252, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 162, 2, 'product:category:update', '修改', '/mp/category', 3),
 (253, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 162, 2, 'product:category:updateStatus', '上下架', '/mp/category/category_enable_or_disable', 3),
 (254, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 162, 2, 'product:category:delete', '删除', '/mp/category', 4),
 (255, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 175, 2, 'product:spu:offline', '下架商品', '/mp/spu/offline', 2),
 (256, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 175, 2, 'product:spu:audit', '下架管理', '/mp/spu/audit', 2),
 (257, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 175, 2, 'product:spu:prodStatus', '修改商品状态', '/mp/spu/prod_status', 3),
 (258, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 175, 2, 'product:spu:delete', '删除', '/mp/spu', 4),
 (259, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:file:save', '上传文件', '/mp/attach_file', 2),
 (260, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:file:update', '修改文件', '/mp/attach_file/update_file', 3),
 (261, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:file:batchMove', '批量移动', '/p/attach_file/batch_move', 3),
 (262, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:file:delete', '删除文件', '/p/attach_file/delete_by_ids', 4),
 (263, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:fileGroup:save', '新建分组', '/mp/attach_file_group', 2),
 (264, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:fileGroup:update', '修改分组', '/mp/attach_file_group', 3),
 (265, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 313, 2, 'resource:fileGroup:delete', '删除分组', '/mp/attach_file_group', 4),
 (266, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFile:save', '上传文件', '/mp/attach_file', 2),
 (267, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFile:update', '修改文件', '/mp/attach_file/update_file', 3),
 (268, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFile:batchMove', '批量移动', '/p/attach_file/batch_move', 3),
 (269, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFile:delete', '删除文件', '/p/attach_file/delete_by_ids', 4),
 (270, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFileGroup:save', '新建分组', '/mp/attach_file_group', 2),
 (271, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFileGroup:update', '修改分组', '/mp/attach_file_group', 3),
 (272, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 314, 2, 'resource:videoFileGroup:delete', '删除分组', '/mp/attach_file_group', 4),
 (273, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 326, 2, 'finance:shopWithdrawCash:audit', '审核', '/p/shop_withdraw_cash/audit', 3),
 (274, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 156, 2, 'platform:sysUser:save', '新增', '/p/sys_user', 2),
 (275, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 156, 2, 'platform:sysUser:update', '修改', '/p/sys_user', 3),
 (276, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 156, 2, 'platform:account:save', '设置账号', '/p/sys_user/account', 2),
 (277, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 156, 2, 'platform:account:update', '修改账号', '/p/sys_user/account', 3),
 (278, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 156, 2, 'platform:sysUser:delete', '删除', '/p/sys_user', 4),
 (279, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 157, 2, 'rbac:role:save', '新增', '/mp/role', 2),
 (280, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 157, 2, 'rbac:role:update', '修改', '/mp/role', 3),
 (281, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 157, 2, 'rbac:role:delete', '删除', '/mp/role', 4),
 (282, '2021-07-14 13:43:14', '2023-05-10 10:53:56', 158, 2, 'rbac:shopMenu:save', '商家端菜单-新增', '/mp/menu', 2),
 (283, '2021-07-14 13:43:14', '2023-05-10 10:53:45', 158, 2, 'rbac:shopMenu:update', '商家端菜单-修改', '/mp/menu', 3),
 (284, '2021-07-14 13:43:14', '2023-05-10 10:53:38', 158, 2, 'rbac:shopMenu:delete', '商家端菜单-删除', '/mp/menu', 4),
 (285, '2021-07-14 13:43:14', '2023-05-10 10:53:24', 158, 2, 'rbac:menu:save', '平台端菜单-新增', '/mp/menu', 2),
 (286, '2021-07-14 13:43:14', '2023-05-10 10:53:17', 158, 2, 'rbac:menu:update', '平台端菜单-修改', '/mp/menu', 3),
 (287, '2021-07-14 13:43:14', '2023-05-10 11:00:04', 158, 2, 'rbac:menu:delete', '平台端菜单-删除', '/mp/menu', 4),
 (288, '2021-07-14 13:43:14', '2023-05-10 10:51:24', 159, 2, 'rbac:shopMenuPermission:save', '商家菜单资源-新增', '/mp/menu_permission', 2),
 (289, '2021-07-14 13:43:14', '2023-05-10 10:51:14', 159, 2, 'rbac:shopMenuPermission:update', '商家菜单资源-修改', '/mp/menu_permission', 3),
 (290, '2021-07-14 13:43:14', '2023-05-10 10:51:06', 159, 2, 'rbac:shopMenuPermission:delete', '商家菜单资源-删除', '/mp/menu_permission', 4),
 (291, '2021-07-14 13:43:14', '2023-05-10 10:52:46', 159, 2, 'rbac:menuPermission:save', '平台菜单资源-新增', '/mp/menu_permission', 2),
 (292, '2021-07-14 13:43:14', '2023-05-10 10:52:40', 159, 2, 'rbac:menuPermission:update', '平台菜单资源-修改', '/mp/menu_permission', 3),
 (293, '2021-07-14 13:43:14', '2023-05-10 10:52:35', 159, 2, 'rbac:menuPermission:delete', '平台菜单资源-删除', '/mp/menu_permission', 4),
 (294, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 167, 2, 'system:addr:save', '新增', '/p/area', 2),
 (295, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 167, 2, 'system:addr:update', '修改', '/p/area', 3),
 (296, '2021-07-14 13:43:14', '2021-07-14 13:43:14', 167, 2, 'system:addr:delete', '删除', '/p/area', 4),
 (297, '2021-07-22 08:58:06', '2021-08-19 14:15:09', 148, 1, 'order:delivery:getExcel', '批量发货', '/mp/order/un_delivery_sold_excel', 1),
 (298, '2021-07-23 16:19:23', '2021-07-23 16:19:23', 175, 2, 'product:spu:top', '置顶商品', '/p/spu/to_top', 3),
 (299, '2021-07-23 16:20:18', '2021-07-23 16:20:18', 175, 2, 'product:spu:unTop', '取消置顶商品', '/p/spu/to_top', 3),
 (300, '2021-07-23 16:23:41', '2021-07-23 16:23:41', 271, 1, 'shop:shopDetail:applyOnline', '店铺申请上线', '/m/apply_shop/shop_detail/audit_apply', 3),
 (301, '2021-07-23 16:43:30', '2021-07-23 16:43:30', 175, 2, 'product:spu:editWaterSoldNum', '修改注水销量', '/p/spuExtension/water_sold_num', 3),
 (302, '2021-07-27 10:48:31', '2023-08-08 14:07:26', 636, 2, 'user:level:updateRecruitStatus', '修改招募状态', '/p/user_level/recruit_status', 3),
 (303, '2021-08-03 10:48:15', '2021-08-03 10:49:36', 271, 1, 'shop:shopUser:notmain', '取消主账号', '/m/apply_shop/shop_bank_card/set_not_primary', 3),
 (304, '2021-08-03 11:20:24', '2023-11-14 11:10:12', 665, 1, 'shop:shopCash:cashInfo', '提现详情', '/mp/shop_withdraw_cash/info', 1),
 (305, '2021-08-04 13:21:07', '2021-08-04 13:21:07', 152, 1, 'product:spu:applyOnline', '申请上线', '/mp/spu/audit_apply', 2),
 (306, '2021-08-04 13:22:51', '2021-08-04 13:23:12', 152, 1, 'product:spu:viewAudit', '查看审核信息', '/mp/spu/get_offline_handle_event/*', 1),
 (313, '2021-08-09 14:37:23', '2021-08-09 14:37:23', 334, 1, 'order:get:info', '查看订单', '/m/order/order_info', 1),
 (314, '2021-08-09 14:45:42', '2021-08-09 15:08:43', 334, 1, 'order:orderInvoice:update', '编辑', '/m/order_invoice', 1),
 (315, '2021-08-09 14:49:18', '2021-08-09 15:08:54', 334, 1, 'order:orderInvoice:commit', '确定', '/m/order_invoice', 3),
 (316, '2021-08-09 15:07:29', '2021-08-09 15:10:09', 334, 1, 'order:orderInvoice:upload', '确定上传', '/m/attach_file/save_pdf_file', 2),
 (317, '2021-08-25 09:44:18', '2023-03-24 16:33:16', 360, 2, 'distribution:msg:save', '新建', '/p/distribution_msg', 2),
 (318, '2021-08-25 09:45:40', '2023-03-24 16:33:17', 360, 2, 'distribution:msg:update', '编辑', '/p/distribution_msg', 3),
 (319, '2021-08-25 09:46:14', '2023-03-24 16:33:17', 360, 2, 'distribution:msg:delete', '删除', '/p/distribution_msg', 4),
 (320, '2021-08-25 09:46:47', '2023-03-24 16:33:19', 360, 2, 'distribution:msg:deleteBatch', '批量删除', '/p/distribution_msg', 4),
 (321, '2021-08-25 10:11:52', '2023-03-24 16:32:37', 359, 2, 'distribution:user:update', '修改状态', '/p/distribution_user/update_state', 3),
 (322, '2021-08-25 10:22:54', '2023-03-24 16:29:06', 363, 2, 'distribution:distributionUserWallet:update', '修改分销钱包', '/p/distribution_user_wallet', 3),
 (323, '2021-08-25 10:25:14', '2023-03-24 16:29:07', 363, 2, 'distribution:distributionWithdrawCash:updateToSuccess', '设为已提现', '/p/distribution_withdraw_cash/to_success', 3),
 (324, '2021-08-25 10:35:39', '2023-03-24 16:32:38', 359, 2, 'distribution:auditing:update', '审核', '/p/distribution_auditing', 3),
 (325, '2021-08-25 11:01:52', '2022-01-24 17:14:17', 364, 1, 'marketing:distributionSpu:save', '新建分销商品', '/mall4cloud_distribution/m/distribution_spu', 2),
 (326, '2021-08-25 11:03:40', '2022-01-24 17:14:04', 364, 1, 'marketing:distributionSpu:edit', '更新分销商品', '/mall4cloud_distribution/m/distribution_spu', 3),
 (327, '2021-08-25 11:04:38', '2022-01-24 17:13:43', 364, 1, 'marketing:distributionSpu:putShelf', '上架分销商品', '/mall4cloud_distribution/m/distribution_spu/update_state', 3),
 (328, '2021-08-25 11:05:11', '2022-01-24 17:13:34', 364, 1, 'marketing:distributionSpu:offShelf', '下架分销商品', '/mall4cloud_distribution/m/distribution_spu/update_state', 3),
 (329, '2021-08-25 11:06:02', '2022-01-24 17:13:25', 364, 1, 'marketing:distributionSpu:applyOnline', '申请上线分销商品', '/mall4cloud_distribution/m/distribution_spu/audit_apply', 3),
 (330, '2021-08-25 11:08:25', '2022-01-24 17:13:16', 364, 1, 'marketing:distributionSpu:delete', '删除分销商品', '/mall4cloud_distribution/m/distribution_spu', 4),
 (334, '2021-08-19 13:29:27', '2023-08-08 14:02:09', 641, 2, 'score:order:info', '查看详情', '/mp/order/order_info/*', 1),
 (335, '2021-08-19 13:31:02', '2023-08-08 14:02:24', 641, 2, 'score:order:delivery', '发货', '/mp/order/delivery', 2),
 (336, '2021-08-19 13:31:38', '2023-08-08 14:02:40', 641, 2, 'score:order:logistics', '修改物流', '/mp/order_delivery/update', 3),
 (337, '2021-08-19 13:37:54', '2023-08-08 14:00:59', 646, 2, 'score:attr:save', '新增', '/mp/attr', 2),
 (338, '2021-08-19 13:39:31', '2023-08-08 14:01:11', 646, 2, 'score:attr:update', '修改', '/mp/attr', 3),
 (339, '2021-08-19 13:40:10', '2023-08-08 14:01:30', 646, 2, 'score:attr:delete', '删除', '/mp/attr', 4),
 (340, '2021-08-19 13:44:11', '2023-08-08 14:01:50', 642, 2, 'score:spu:save', '发布商品', '/mp/spu', 2),
 (341, '2021-08-19 13:47:21', '2023-08-08 13:58:39', 643, 2, 'score:spu:prodSale', '上架商品', '/mp/spu/prod_status', 3),
 (342, '2021-08-19 13:48:01', '2023-08-08 13:59:05', 643, 2, 'score:spu:prodNotSale', '下架商品', '/mp/spu/prod_status', 3),
 (343, '2021-08-19 13:49:35', '2023-08-08 13:59:24', 643, 2, 'score:spu:modifyProdName', '编辑商品名称', '/mp/spu/update_spu_data', 3),
 (344, '2021-08-19 13:50:12', '2023-08-08 13:59:47', 643, 2, 'score:spu:modifyProdPrice', '编辑商品价格', '/mp/spu/update_spu_data', 3),
 (345, '2021-08-19 13:51:25', '2023-08-08 13:59:57', 643, 2, 'score:spu:modifyProdStock', '编辑商品库存', '/mp/spu/update_spu_data', 3),
 (346, '2021-08-19 13:53:52', '2023-08-08 14:00:10', 643, 2, 'score:spu:modifySeq', '编辑商品序号', '/mp/spu/update_spu_data', 3),
 (347, '2021-08-19 13:55:34', '2023-08-08 13:55:23', 643, 2, 'score:spu:edit', '编辑商品', '/mp/spu', 3),
 (348, '2021-08-19 13:56:13', '2023-08-08 14:00:25', 643, 2, 'score:spu:delete', '删除商品', '/mp/spu', 3),
 (350, '2022-01-04 15:44:47', '2022-01-04 15:44:47', 366, 2, 'message:message:view', '客服', '/p/im/conversations', 1),
 (351, '2022-01-04 15:48:55', '2022-01-04 15:48:55', 367, 1, 'shop:message:view', '消息盒子', '/m/im/conversations', 1),
 (352, '2022-08-03 14:10:02', '2022-08-03 14:10:02', 425, 2, 'platform:webConfig:save', '新建网站配置', '/p/web_config/operate', 2),
 (353, '2022-08-03 14:10:24', '2022-09-26 17:56:16', 425, 2, 'platform:webConfig:update', '修改网站配置', '/p/web_config/save', 2),
 (354, '2022-08-03 14:10:51', '2022-08-03 14:10:51', 425, 2, 'platform:webConfig:delete', '删除网站配置', '/p/web_config/operate', 4),
 (355, '2022-08-05 09:37:20', '2022-08-05 09:39:30', 508, 3, 'product:spu:viewAudit', '查看审核信息', '/s/spu/get_offline_handle_event/*', 1),
 (356, '2022-08-05 09:37:46', '2022-08-05 09:40:11', 508, 3, 'product:spu:applyOnline', '申请上线', '/s/spu/audit_apply', 2),
 (357, '2022-08-05 09:41:48', '2023-11-15 16:26:15', 667, 3, 'shop:shopCash:cashInfo', '提现详情', '/sp/supplier_withdraw_cash/info', 1),
 (358, '2022-08-05 09:43:40', '2022-08-05 09:46:09', 503, 3, 'shop:shopUser:notmain', '取消主账号', '/s/apply_supplier/supplier_bank_card/set_not_primary', 3),
 (359, '2022-08-05 09:45:58', '2022-08-05 09:45:58', 503, 3, 'shop:shopDetail:applyOnline', '店铺申请上线', '/s/apply_supplier/supplier_detail/audit_apply', 3),
 (362, '2022-08-05 10:28:08', '2022-08-05 11:44:36', 478, 3, 'order:delivery:getExcel', '批量发货', '/s/order/un_delivery_sold_excel', 1),
 (366, '2022-08-05 10:29:40', '2022-08-05 11:44:42', 479, 3, 'purchaseOrder:delivery:getExcel', '批量发货', '/s/purchase/order/un_delivery_sold_excel', 1),
 (367, '2022-08-05 10:32:55', '2022-08-05 10:53:48', 480, 3, 'order:refund:page ', '列表', '/s/order_refund/page', 1),
 (368, '2022-08-05 10:36:01', '2022-08-05 10:36:01', 480, 3, 'order:refund:order', '查看订单', '/s/order_refund/info/*', 1),
 (369, '2022-08-05 10:37:15', '2022-08-05 10:54:01', 489, 3, 'resource:video:moveVideos', '批量移动视频', '/s/attach_file/batch_move', 3),
 (370, '2022-08-05 10:38:41', '2022-08-05 10:38:46', 489, 3, 'resource:Video:editVideo', '编辑视频', '/mp/attach_file/update_file', 3),
 (371, '2022-08-05 10:45:02', '2022-08-05 10:45:02', 489, 3, 'resource:video:deleteVideo', '删除视频', '/mp/attach_file', 4),
 (372, '2022-08-05 10:47:20', '2022-08-05 10:47:20', 489, 3, 'resource:video:deleteVideos', '批量删除视频', '/s/attach_file/delete_by_ids', 4),
 (373, '2022-08-05 10:50:13', '2022-08-05 10:50:13', 489, 3, 'resource:video:deleteVideoGroup', '删除视频分组', '/mp/attach_file_group', 4),
 (374, '2022-08-05 10:51:18', '2022-08-05 10:54:13', 489, 3, 'resource:video:editVideoGroup', '编辑视频分组', '/mp/attach_file_group', 3),
 (378, '2022-08-05 10:53:00', '2022-08-05 10:54:29', 489, 3, 'resource:video:saveVideoGroup', '新建视频分组', '/mp/attach_file_group', 2),
 (379, '2022-08-05 10:55:33', '2022-08-05 10:55:33', 489, 3, 'resource:video:uploadVideo', '上传视频', '/ua/oss/info', 1),
 (380, '2022-08-05 10:56:35', '2022-08-05 10:56:35', 488, 3, 'resource:img:moveImgs', '批量移动图片', '/s/attach_file/batch_move', 3),
 (381, '2022-08-05 10:57:27', '2022-08-05 10:57:27', 488, 3, 'resource:img:editImg', '编辑图片', '/mp/attach_file/update_file', 3),
 (382, '2022-08-05 10:59:25', '2022-08-05 10:59:25', 488, 3, 'esource:img:deleteImg', '删除图片', '/mp/attach_file', 4),
 (383, '2022-08-05 11:00:16', '2022-08-05 11:00:16', 488, 3, 'resource:img:deleteImgs', '批量删除图片', '/s/attach_file/delete_by_ids', 4),
 (384, '2022-08-05 11:00:43', '2022-08-05 11:00:43', 488, 3, 'resource:img:deleteImgGroup', '删除图片分组', '/mp/attach_file_group', 4),
 (386, '2022-08-05 11:02:27', '2022-08-05 11:02:40', 488, 3, 'resource:img:editImgGroup', '编辑图片分组', '/mp/attach_file_group', 3),
 (387, '2022-08-05 11:03:35', '2022-08-05 11:03:35', 488, 3, 'resource:img:saveImgGroup', '新建图片分组', '/mp/attach_file_group', 2),
 (388, '2022-08-05 11:04:18', '2022-08-05 11:04:18', 488, 3, 'resource:img:uploadImg', '上传图片', '/ua/oss/info', 1),
 (389, '2022-08-05 11:05:28', '2022-08-05 11:05:34', 486, 3, 'rbac:role:delete', '删除', '/mp/role', 4),
 (390, '2022-08-05 11:06:23', '2022-08-05 11:11:27', 486, 3, 'rbac:role:save', '新增', '/mp/role', 2),
 (391, '2022-08-05 11:07:58', '2022-08-05 11:07:58', 508, 3, 'product:spu:modifySeq', '编辑商品序号', '/s/spu/update_spu_data', 3),
 (392, '2022-08-05 11:09:12', '2022-08-05 11:09:16', 486, 3, 'rbac:role:update', '编辑', '/mp/role', 3),
 (393, '2022-08-05 11:10:00', '2022-08-05 11:10:00', 508, 3, 'product:spu:modifyProdStock', '编辑商品库存', '/s/spu/update_spu_data', 3),
 (394, '2022-08-05 11:10:45', '2022-08-05 11:10:45', 508, 3, 'product:spu:modifyProdPrice', '编辑商品价格', '/s/spu/update_spu_data', 3),
 (395, '2022-08-05 11:16:03', '2022-08-05 11:16:03', 485, 3, 'multishop:shopUser:delete', '删除', '/s/supplier_user', 4),
 (396, '2022-08-05 11:16:48', '2022-08-05 11:16:48', 485, 3, 'multishop:shopUser:save', '新增', '/s/supplier_user', 2),
 (397, '2022-08-05 11:17:30', '2022-08-05 11:17:30', 485, 3, 'multishop:shopUser:update', '编辑', '/s/supplier_user', 3),
 (398, '2022-08-05 11:18:55', '2022-08-05 11:18:55', 508, 3, 'product:spu:modifyProdName', '编辑商品名称', '/s/spu/update_spu_data', 3),
 (399, '2022-08-05 11:20:32', '2022-08-05 11:27:23', 508, 3, 'product:spu:delete', '删除商品', 's/spu/batch', 4),
 (400, '2022-08-05 11:21:22', '2022-08-05 11:21:22', 508, 3, 'product:spu:prodNotSale', '下架商品', '/s/spu/prod_status', 3),
 (401, '2022-08-05 11:22:44', '2022-08-05 11:22:44', 508, 3, 'product:spu:prodSale', '上架商品', '/s/spu/prod_status', 3),
 (402, '2022-08-05 11:27:09', '2022-08-05 11:28:03', 508, 3, 'product:spu:batchDelete', '批量删除', 's/spu/batch', 4),
 (403, '2022-08-05 11:29:29', '2022-08-05 11:29:29', 508, 3, 'product:spu:edit', '编辑商品', '/s/spu', 3),
 (404, '2022-08-05 11:32:41', '2022-08-05 11:32:41', 503, 3, 'shop:shopBankCard:save', '新增账号', '/s/apply_supplier/supplier_bank_card', 2),
 (405, '2022-08-05 11:34:03', '2022-08-05 11:34:03', 480, 3, 'order:refund:refund', '处理退款', '/s/order_refund/info', 1),
 (406, '2022-08-05 11:35:13', '2023-11-15 10:00:59', 463, 3, 'shop:shopRefundAddr:delete', '删除', '/s/supplier_refund_addr', 4),
 (407, '2022-08-05 11:35:46', '2023-11-15 10:00:52', 463, 3, 'shop:shopRefundAddr:update', '编辑', '/s/supplier_refund_addr', 3),
 (408, '2022-08-05 11:36:28', '2023-11-15 10:00:48', 463, 3, 'shop:shopRefundAddr:save', '新建', '/s/supplier_refund_addr', 2),
 (409, '2022-08-05 11:38:22', '2023-11-15 10:42:41', 667, 3, 'shop:shopWithdrawCash:save', '提现', '/s/supplier_withdraw_cash/apply', 2),
 (410, '2022-08-05 11:41:41', '2022-08-05 11:41:55', 478, 3, 'order:order:amount', '改变金额', '/s/order/change_amount', 3),
 (411, '2022-08-05 11:44:22', '2022-08-05 11:44:22', 478, 3, 'order:order:refund', '退款信息', '/s/order_refund/page', 1),
 (413, '2022-08-05 11:45:17', '2022-08-05 11:46:57', 479, 3, 'purchaseOrder:order:refund', '退款信息', '/s/order_refund/page', 1),
 (414, '2022-08-05 11:48:49', '2022-08-05 11:48:49', 478, 3, 'order:order:delivery', '发货', '/s/order/delivery', 2),
 (415, '2022-08-05 11:51:28', '2022-08-05 11:51:28', 479, 3, 'purchaseOrder:order:delivery', '发货', '/s/order/delivery', 2),
 (416, '2022-08-05 14:28:23', '2022-08-05 14:28:23', 478, 3, 'order:order:logistics', '修改物流', '/mp/order_delivery/update', 3),
 (417, '2022-08-05 14:31:26', '2022-08-05 14:31:33', 502, 3, 'order:order:info', '订单详情', '/mp/order/order_info/*', 1),
 (418, '2022-08-05 14:32:22', '2023-04-03 15:22:30', 496, 3, 'purchaseOrder:order:info', '订单详情', '/s/purchase/order/info/*', 1),
 (419, '2022-08-05 14:35:30', '2022-08-05 14:35:30', 478, 3, 'order:order:sold', '导出', '/s/order/sold_excel', 1),
 (420, '2022-08-05 14:36:20', '2022-08-05 14:36:20', 479, 3, 'purchaseOrder:order:sold', '导出', '/s/purchase/order/sold_excel', 1),
 (421, '2022-08-05 14:58:14', '2023-11-15 16:25:50', 667, 3, 'shop:shopWallet:page', '交易详情', '/mp/order_item/get_order_detail', 1),
 (422, '2022-08-05 15:02:45', '2022-08-05 15:02:45', 503, 3, 'shop:shopUser:delete', '删除账号', '/s/apply_supplier/supplier_bank_card', 4),
 (423, '2022-08-05 15:06:35', '2022-08-05 15:06:35', 503, 3, 'shop:shopUser:update', '设置主账号', '/s/apply_supplier/supplier_bank_card/set_primary', 3),
 (424, '2022-08-05 15:54:41', '2022-08-05 15:54:41', 503, 3, 'shop:shopBankCard:update', '变更当前收款账户', '/s/apply_supplier/supplier_bank_card', 3),
 (425, '2022-08-05 15:55:38', '2022-08-05 15:55:38', 503, 3, 'shop:shopCompany:save', '工商信息保存', '/s/apply_supplier/supplier_company/storage', 2),
 (426, '2022-08-05 15:56:26', '2022-08-05 15:56:26', 503, 3, 'shop:shopDetail:save', '基本信息保存', '/s/apply_supplier/supplier_detail/storage', 2),
 (427, '2022-08-05 16:01:10', '2022-08-05 16:01:10', 477, 3, 'user:transport:delete', '删除', '/mp/transport', 4),
 (428, '2022-08-05 16:02:57', '2022-08-05 16:02:57', 477, 3, 'user:transport:save', '新增', '/mp/transport', 2),
 (429, '2022-08-05 16:03:23', '2022-08-05 16:03:23', 477, 3, 'user:transport:update', '编辑', '/mp/transport', 3),
 (430, '2022-08-05 16:10:32', '2022-08-05 16:10:32', 508, 3, 'product:spu:upload', '导入商品', '/s/spu/export_excel', 2),
 (431, '2022-08-05 16:12:12', '2022-08-05 16:12:12', 508, 3, 'product:spu:soldExcel', '导出商品', '/s/spu/sold_excel', 1),
 (432, '2022-08-05 16:12:55', '2022-08-05 16:12:55', 468, 3, 'product:spu:save', '发布商品', '/s/spu', 2),
 (433, '2022-08-05 16:16:35', '2022-08-05 16:16:45', 466, 3, 'product:attr:delete', '删除商品规格', '/s/attr', 4),
 (434, '2022-08-05 16:17:21', '2022-08-05 16:18:32', 466, 3, 'product:attr:update', '编辑商品规格', '/s/attr', 3),
 (435, '2022-08-05 16:18:02', '2022-08-05 16:19:54', 466, 3, 'product:attr:save', '新增商品规格', '/s/attr', 2),
 (439, '2022-08-23 10:05:56', '2022-08-29 11:43:25', 528, 2, 'platform:shopRenovation:savePC', '新增页面', '/mp/shop_renovation/save_pc', 2),
 (440, '2022-08-23 10:07:23', '2022-08-29 11:43:27', 528, 2, 'platform:shopRenovation:updateHomePagePC', '设为主页', '/mp/shop_renovation/update_home_status_pc', 3),
 (441, '2022-08-23 10:08:06', '2022-08-29 11:43:28', 528, 2, 'platform:shopRenovation:deletePC', '删除', '/mp/shop_renovation/delete_pc', 4),
 (442, '2022-08-23 10:09:00', '2022-08-29 11:43:29', 528, 2, 'platform:shopRenovation:updatePC', '修改页面', '/mp/shop_renovation/update_pc', 3),
 (443, '2022-08-23 10:09:47', '2022-08-29 11:43:31', 531, 2, 'platform:shopTemplate:savePC', '新增模板', '/mp/shop_template/save_pc', 2),
 (444, '2022-08-23 10:10:35', '2022-08-29 11:43:32', 531, 2, 'platform:shopTemplate:updatePC', '编辑模板', '/mp/shop_template/update_pc', 3),
 (445, '2022-08-23 10:11:16', '2022-08-29 11:43:34', 531, 2, 'platform:shopTemplate:deletePC', '删除', '/mp/shop_template/delete_pc', 4),
 (446, '2022-08-23 10:12:03', '2022-08-29 11:43:35', 531, 2, 'platform:shopTemplate:copyPC', '复制', '/mp/shop_template/copy_pc', 2),
 (447, '2022-08-23 10:13:08', '2022-08-29 11:43:37', 533, 2, 'platform:shopRenovation:saveMove', '新增页面', '/mp/shop_renovation/save_h5', 2),
 (448, '2022-08-23 10:13:57', '2022-08-29 11:43:39', 533, 2, 'platform:shopRenovation:updateHomePageMove', '设为主页', '/mp/shop_renovation/update_h5_home_status', 3),
 (449, '2022-08-23 10:14:30', '2022-08-29 11:43:41', 533, 2, 'platform:shopRenovation:deleteMove', '删除', '/mp/shop_renovation/delete_h5', 4),
 (450, '2022-08-23 10:16:57', '2022-08-29 11:43:42', 533, 2, 'platform:shopRenovation:updateMove', '修改页面', '/mp/shop_renovation/update_h5', 3),
 (451, '2022-08-23 10:17:39', '2022-08-29 11:43:44', 535, 2, 'platform:shopTemplate:saveMove', '新建模板', '/mp/shop_template/save_h5', 2),
 (452, '2022-08-23 10:18:20', '2022-08-29 11:43:48', 535, 2, 'platform:shopTemplate:copyMove', '复制', '/mp/shop_template/copy_h5', 2),
 (453, '2022-08-23 10:19:28', '2022-08-29 11:43:49', 535, 2, 'platform:shopTemplate:deleteMove', '删除', '/mp/shop_template/delete_h5', 4),
 (454, '2022-08-23 10:20:03', '2022-08-29 11:43:51', 535, 2, 'platform:shopTemplate:updateMove', '编辑模板', '/mp/shop_template/update_h5', 3),
 (455, '2022-08-23 10:27:33', '2022-08-29 11:43:52', 538, 1, 'shop:shopRenovation:savePC', '新增页面', '/mp/shop_renovation/save_pc', 2),
 (456, '2022-08-23 10:28:08', '2022-08-29 11:43:53', 538, 1, 'shop:shopRenovation:updatePC', '修改页面', '/mp/shop_renovation/update_pc', 3),
 (457, '2022-08-23 10:28:48', '2022-08-29 11:43:55', 538, 1, 'shop:shopRenovation:deletePC', '删除', '/mp/shop_renovation/delete_pc', 4),
 (458, '2022-08-23 10:29:47', '2022-08-29 11:43:58', 538, 1, 'shop:shopRenovation:updateHomePagePC', '设为主页', '/mp/shop_renovation/update_home_status_pc', 3),
 (459, '2022-08-23 10:30:32', '2022-08-29 11:43:59', 539, 1, 'shop:shopTemplate:savePC', '新增模板', '/mp/shop_template/save_pc', 2),
 (460, '2022-08-23 10:31:08', '2022-08-29 11:44:00', 539, 1, 'shop:shopTemplate:updatePC', '编辑模板', '/mp/shop_template/update_pc', 3),
 (461, '2022-08-23 10:31:44', '2022-08-29 11:44:02', 539, 1, 'shop:shopTemplate:copyPC', '复制', '/mp/shop_template/copy_pc', 2),
 (462, '2022-08-23 10:32:34', '2022-08-29 11:44:03', 539, 1, 'shop:shopTemplate:deletePC', '删除', '/mp/shop_template/delete_pc', 4),
 (463, '2022-08-23 10:33:31', '2022-08-29 11:44:05', 543, 1, 'shop:shopRenovation:saveMove', '新增页面', '/mp/shop_renovation/save_h5', 2),
 (464, '2022-08-23 10:34:18', '2022-08-29 11:44:06', 543, 1, 'shop:shopRenovation:updateMove', '修改页面', '/mp/shop_renovation/update_h5', 3),
 (465, '2022-08-23 10:34:58', '2022-08-29 11:44:07', 543, 1, 'shop:shopRenovation:deleteMove', '删除', '/mp/shop_renovation/delete_h5', 4),
 (466, '2022-08-23 10:35:29', '2022-08-29 11:44:08', 543, 1, 'shop:shopRenovation:updateHomeMove', '设为主页', '/mp/shop_renovation/update_h5_home_status', 3),
 (467, '2022-08-23 10:36:39', '2022-08-29 11:44:09', 544, 1, 'shop:shopTemplate:saveMove', '新增模板', '/mp/shop_template/save_h5', 2),
 (468, '2022-08-23 10:37:14', '2022-08-29 11:44:11', 544, 1, 'shop:shopTemplate:updateMove', '编辑模板', '/mp/shop_template/update_h5', 3),
 (469, '2022-08-23 10:37:45', '2022-08-29 11:44:13', 544, 1, 'shop:shopTemplate:deleteMove', '删除', '/mp/shop_template/delete_h5', 4),
 (470, '2022-08-23 10:38:18', '2022-08-29 11:44:14', 544, 1, 'shop:shopTemplate:copyMove', '复制', '/mp/shop_template/copy_h5', 2),
 (477, '2023-01-11 10:11:49', '2023-01-11 10:11:49', 583, 2, 'platform:finance:export', '导出报表', '/p/finance/finance_detail_export', 1),
 (478, '2023-01-11 10:14:20', '2023-01-11 10:14:20', 316, 2, 'platform:accountDetail:export', '导出收入对账', '/p/account_detail/sold_excel', 1),
 (479, '2023-01-11 10:15:08', '2023-01-11 10:15:08', 316, 2, 'platform:accountRefundDetail:export', '导出退款对账', '/p/account_detail/refund_sold_excel', 1),
 (480, '2023-01-11 10:18:15', '2023-01-11 10:18:15', 331, 2, 'platform:shopWallet:export', '导出店铺结算报表', '/mp/shop_wallet/get_shop_wallet_log_form', 1),
 (481, '2023-01-11 10:19:42', '2023-01-11 10:19:42', 511, 2, 'platform:supplierWallet:export', '导出供应商结算报表', '/mp/supplier_wallet/get_supplier_wallet_log_form', 1),
 (482, '2023-01-11 10:22:45', '2023-01-11 10:22:45', 301, 2, 'platform:memberTrend:export', '会员人数趋势导出', '/mp/customer_analysis/member_trend_export', 1),
 (483, '2023-01-11 10:25:26', '2023-01-11 10:25:26', 292, 2, 'platform:analysisData:export', '流量总览导出', '/p/flow_analysis/analysis_data_export', 1),
 (484, '2023-01-11 10:26:00', '2023-01-11 10:26:00', 292, 2, 'platform:flowTrend:export', '流量趋势导出', '/p/flow_analysis/flow_trend_export', 1),
 (485, '2023-01-11 10:26:37', '2023-01-11 10:26:37', 292, 2, 'platform:flowSour:export', '成交转换导出', '/p/flow_analysis/flow_sour_export', 1),
 (486, '2023-01-11 10:46:13', '2023-01-11 10:46:13', 293, 2, 'platform:userAnalysis:export', '访问地域分布导出', '/p/user_visit_analysis/user_analysis_data_export', 1),
 (487, '2023-01-11 10:48:00', '2023-01-11 10:48:00', 298, 2, 'platform:prodEffect:export', '商品洞察导出', '/p/product_analyse/prod_effect_export', 1),
 (488, '2023-01-11 11:06:44', '2023-01-11 11:08:37', 175, 2, 'platform:spu:export', '商品导出', '/p/spu/sold_excel', 2),
 (489, '2023-01-11 11:08:32', '2023-01-11 11:08:32', 162, 2, 'platform:category:export', '商品分类导出', '/p/category/sold_excel', 1),
 (490, '2023-01-11 11:10:53', '2023-01-11 11:10:53', 139, 1, 'shop:category:export', '商品分类导出', '/mp/category/sold_excel', 1),
 (491, '2023-02-09 14:04:09', '2023-02-09 14:04:09', 590, 2, 'platform:form:save', '新增平台报表', '/p/form', 2),
 (492, '2023-02-09 14:05:23', '2023-02-09 14:05:23', 590, 2, 'platform:form:update', '编辑平台报表', '/p/form', 3),
 (493, '2023-02-09 14:06:25', '2023-02-09 14:06:25', 590, 2, 'platform:form:excel', '导出平台报表', '/p/form/form_excel', 1),
 (494, '2023-02-09 14:07:07', '2023-02-09 14:07:07', 590, 2, 'platform:form:delete', '删除平台报表', '/p/form', 4),
 (495, '2023-02-09 14:09:57', '2023-04-03 16:30:50', 591, 2, 'platform:form:add', '加入平台报表', '/p/form', 2),
 (496, '2023-02-09 14:11:12', '2023-02-09 14:11:12', 592, 2, 'platform:recommend:save', '新建推荐报表', '/p/form', 2),
 (497, '2023-02-09 14:11:54', '2023-02-09 14:11:54', 592, 2, 'platform:recommend:update', '编辑推荐报表', '/p/form', 3),
 (498, '2023-02-09 14:12:25', '2023-02-09 14:12:25', 592, 2, 'platform:recommend:delete', '删除推荐报表', '/p/form', 4),
 (499, '2023-02-09 14:13:35', '2023-02-09 14:15:29', 596, 1, 'shop:form:add', '加入我的报表', '/m/form', 2),
 (500, '2023-02-09 14:14:46', '2023-02-09 14:15:24', 595, 1, 'shop:form:save', '新建报表', '/m/form', 2),
 (501, '2023-02-09 14:15:19', '2023-02-09 14:15:19', 595, 1, 'shop:form:update', '编辑报表', '/m/form', 3),
 (502, '2023-02-09 14:16:25', '2023-02-09 14:17:37', 595, 1, 'shop:form:excel', '导出报表', '/m/form/form_excel', 1),
 (503, '2023-02-09 14:17:18', '2023-02-09 14:17:18', 595, 1, 'shop:form:delete', '删除报表', '/m/form', 4),
 (504, '2023-02-09 16:47:25', '2023-04-03 17:43:54', 600, 2, 'delivery:station:audit', '门店审核', ' /p/station/auditStation', 2),
 (505, '2023-02-09 16:45:57', '2023-04-03 17:41:02', 600, 2, 'delivery:station:offline', '门店下线', '/p/station/offline', 2),
 (506, '2023-03-07 14:08:54', '2023-03-07 14:08:54', 148, 1, 'order:virtual:update', '核销', '/m/order_virtual_info/order_write_off_by_order_id', 3),
 (507, '2023-03-07 14:07:47', '2023-03-07 14:07:47', 148, 1, 'admin:station:orderItemsDelivery', '提货', '/m/order_self_station/change_status_and_order_station', 3),
 (508, '2023-04-03 15:03:43', '2023-04-03 15:03:43', 503, 3, 'shop:shopCategory:save', '新增签约类目', '/mall4cloud_product/s/apply_supplier/category/add_signing_category', 2),
 (509, '2023-04-03 15:07:50', '2023-07-18 09:32:57', 503, 3, 'shop:shopBrand:save', '新增签约品牌', '/mall4cloud_product/s/apply_supplier/brand/add_signing_brand', 2),
 (511, '2023-04-03 15:59:20', '2023-04-03 16:00:48', 175, 2, 'product:spu:view', '详情', '/mall4cloud_product/mp/spu', 1),
 (512, '2023-04-03 16:10:16', '2023-11-14 15:31:33', 530, 2, 'platform:shopRenovation:viewPC', '查看', '/mp/shop_renovation', 1),
 (513, '2023-04-03 15:41:19', '2023-04-03 15:41:27', 430, 1, 'inventory:purchaseOrder:putStorage', '入库', '/m/purchase/order/inbound', 3),
 (514, '2023-04-03 15:50:03', '2023-04-03 15:50:40', 430, 1, 'inventory:purchaseOrder:delete', '作废', '/m/purchase/order/nullify', 4),
 (515, '2023-04-03 15:53:28', '2023-04-03 15:53:28', 430, 1, 'inventory:purchaseOrder:detail', '详情', '/m/purchase/order/info', 1),
 (516, '2023-04-03 15:59:36', '2023-04-03 15:59:36', 430, 1, 'inventory:purchaseOrder:accomplish', '完成', '/m/purchase/order/complete', 3),
 (517, '2023-04-03 16:06:56', '2023-04-03 16:06:56', 442, 1, 'prod:saleProxyInform:info', '查看', '/mp/spu', 1),
 (518, '2023-04-03 16:10:16', '2023-04-03 16:10:16', 442, 1, 'prod:saleProxyInform:edit', '编辑', '/mp/spu', 3),
 (519, '2023-04-03 16:18:22', '2023-04-03 16:18:22', 443, 1, 'prod:saleProxyProd:soldOut', '下架', '/mp/spu/prod_status', 3),
 (520, '2023-04-03 16:16:18', '2023-04-03 16:18:26', 443, 1, 'prod:saleProxyProd:putaway', '上架', '/mp/spu/prod_status', 3),
 (521, '2023-04-03 16:19:32', '2023-04-03 16:19:32', 443, 1, 'prod:saleProxyProd:delete', '删除', '/mp/spu', 4),
 (534, '2023-04-04 09:07:20', '2023-04-04 09:07:20', 334, 1, 'order:orderInvoice:info', '查看订单', '/mp/order/order_info', 1),
 (535, '2023-04-04 09:30:03', '2023-04-04 09:30:03', 599, 1, 'delivery:station:edit', '编辑', '/m/station', 3),
 (536, '2023-04-04 09:31:48', '2023-04-04 09:31:48', 599, 1, 'delivery:station:add', '新建', '/m/station', 2),
 (537, '2023-04-04 09:34:07', '2023-07-18 09:32:23', 599, 1, 'delivery:station:editPassword', '重置密码', '/m/station/change_account_info', 3),
 (538, '2023-04-04 09:35:45', '2023-04-04 09:35:45', 599, 1, 'delivery:station:apply', '申请上架', '/m/station/audit_apply', 2),
 (539, '2023-04-04 09:36:54', '2023-04-04 09:38:00', 599, 1, 'delivery:station:delete', '删除', '/m/station', 4),
 (540, '2023-04-04 09:58:45', '2023-04-04 09:58:45', 512, 1, 'marketing:giveaway:add', '新增', '/m/giveaway', 2),
 (541, '2023-04-04 10:01:47', '2023-04-04 10:01:47', 512, 1, 'marketing:giveaway:close', '失效活动', '/m/giveaway/changeStatus', 3),
 (542, '2023-04-04 10:01:06', '2023-04-04 10:01:58', 512, 1, 'marketing:giveaway:edit', '修改', '/m/giveaway', 3),
 (543, '2023-04-04 10:02:40', '2023-04-04 10:02:40', 512, 1, 'marketing:giveaway:delete', '删除', '/m/giveaway/changeStatus', 3),
 (544, '2023-04-04 10:23:01', '2023-04-04 10:23:01', 580, 1, 'prod:prodComm:delete', '删除', '/m/spu_comm', 4),
 (545, '2023-04-04 10:26:38', '2023-04-04 10:26:38', 587, 1, 'customer:customer:sendCoupons', '送优惠券', '/mp/coupon/send_user_coupon', 3),
 (546, '2023-04-04 10:19:52', '2023-04-04 10:26:45', 580, 1, 'prod:prodComm:update', '编辑', '/m/spu_comm', 3),
 (547, '2023-04-04 10:28:24', '2023-04-04 10:28:24', 587, 1, 'customer:customer:import', '导入用户', '/m/user/import_excel', 2),
 (548, '2023-04-04 10:29:09', '2023-04-04 10:29:09', 587, 1, 'customer:customer:export', '导出用户', '/m/user/sold_excel', 1),
 (549, '2023-04-04 10:30:58', '2023-04-04 10:30:58', 587, 1, 'customer:customer:info', '编辑', '/m/user/user_info', 1),
 (550, '2023-04-04 10:35:17', '2023-04-04 10:35:17', 572, 1, 'notify:notifyList:edit', '全部已读', '/mp/notify_log/is_read', 1),
 (551, '2023-04-04 10:36:42', '2023-04-04 10:36:42', 572, 1, 'notify:notifyList:view', '查看', '/mp/search/order_refund/page', 1),
 (552, '2023-04-04 10:39:31', '2023-04-04 10:39:31', 572, 1, 'notify:notifySetting:edit', '关闭提醒', '/mp/notify_template_remind', 3),
 (553, '2023-04-04 10:49:47', '2023-07-18 11:41:35', 435, 1, 'recSendManage:receiveList:add', '新建入库', '/m/stock_bill_log', 2),
 (554, '2023-04-04 10:53:03', '2023-04-04 10:53:03', 435, 1, 'recSendManage:receiveList:export', '导出', '/m/stock_bill_log/exportStockBillLog', 1),
 (555, '2023-04-04 10:58:35', '2023-04-04 10:58:35', 435, 1, 'recSendManage:receiveList:voided', '作废', '/m/stock_bill_log/voided', 3),
 (556, '2023-04-04 10:56:37', '2023-04-04 10:58:50', 435, 1, 'recSendManage:receiveList:edit', '编辑', '/m/stock_bill_log', 3),
 (557, '2023-04-04 11:03:54', '2023-04-04 11:04:03', 438, 1, 'recSendManage:sendList:export', '导出', '/m/stock_bill_log/exportStockBillLog', 1),
 (558, '2023-04-04 11:04:47', '2023-04-04 11:04:47', 438, 1, 'recSendManage:sendList:add', '新建出库', '/m/stock_bill_log', 2),
 (559, '2023-04-04 11:05:55', '2023-04-04 11:05:55', 438, 1, 'recSendManage:sendList:edit', '编辑', '/m/stock_bill_log', 3),
 (560, '2023-04-04 11:06:34', '2023-04-04 11:06:34', 438, 1, 'recSendManage:sendList:voided', '作废', '/m/stock_bill_log/voided', 3),
 (561, '2023-04-04 11:32:05', '2023-04-04 11:32:05', 571, 1, 'notify:platformNotify:view', '查看', '/mp/notice', 1),
 (562, '2023-04-27 15:57:37', '2023-04-27 15:57:37', 604, 2, 'admin:sysAccessKey:save', '添加访问密钥', '/p/sys_access_key', 2),
 (563, '2023-04-27 15:58:13', '2023-04-27 15:58:13', 604, 2, 'admin:sysAccessKey:update', '更新访问密钥', '/p/sys_access_key', 3),
 (564, '2023-04-27 15:58:57', '2023-04-27 15:58:57', 604, 2, 'admin:sysAccessKey:reset', '重置访问密钥', '/p/sys_access_key/reset_access_key', 3),
 (565, '2023-04-27 15:59:21', '2023-04-27 15:59:21', 604, 2, 'admin:sysAccessKey:delete', '删除访问密钥', '/p/sys_access_key', 4),
 (566, '2023-07-05 17:59:45', '2023-11-14 15:31:27', 619, 2, 'platform:shopRenovation:viewH5', '查看h5', '/mp/shop_renovation/get_h5', 1),
 (567, '2023-07-06 07:24:00', '2023-07-10 14:53:08', 499, 2, 'platform:supplierManage:save', '新增', '/p/supplier_detail/create_supplier', 1),
 (568, '2023-07-06 07:24:00', '2023-07-10 14:53:08', 499, 2, 'platform:supplierManage:update', '编辑', '/p/supplier_detail', 3),
 (570, '2023-07-06 07:24:00', '2023-07-10 14:53:08', 499, 2, 'platform:supplierManage:closeStore', '下线供应商', '/p/supplier_detail/offline', 3),
 (571, '2023-07-06 07:24:00', '2023-07-10 14:53:08', 499, 2, 'platform:supplierManage:updatePassword', '账号管理', '/p/supplier_detail/update_password', 3),
 (572, '2023-07-06 07:24:00', '2023-07-10 14:53:08', 499, 2, 'platform:supplierManage:businessAudit', '工商信息变更申请审核', '/p/supplier_company_auditing/audit', 3),
 (573, '2023-07-06 07:24:00', '2023-07-10 14:53:08', 499, 2, 'platform:auditSupplier:audit', '审核', '/p/supplier_auditing/audit', 3),
 (574, '2023-07-06 07:24:00', '2023-07-06 07:24:00', 600, 2, 'delivery:station:info', '详情', '/p/station', 1),
 (575, '2023-07-06 09:49:05', '2023-07-06 16:40:55', 262, 2, 'platform:shopManage:businessAudit', '工商信息变更申请审核', '/p/shop_company_auditing/audit', 3),
 (576, '2023-07-10 15:05:26', '2023-07-10 15:05:26', 499, 2, 'platform:supplierManage:info', '详情', '/p/supplier_detail/info', 1),
 (577, '2023-07-10 16:58:17', '2023-07-10 16:58:17', 499, 2, 'platform:supplierManage:openStore', '下线管理', '/p/offline_handle_event/getOfflineHandleEventByShopId', 1),
 (578, '2023-07-10 16:58:17', '2023-07-10 16:58:17', 262, 2, 'platform:shopManage:openStore', '下线管理', '/p/offline_handle_event/getOfflineHandleEventByShopId', 1),
 (579, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 601, 2, 'platform:imMsgBizSkills:save', '新建', '/p/im_msg_biz_skills', 2),
 (580, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 601, 2, 'platform:imMsgBizSkills:update', '编辑', '/p/im_msg_biz_skills', 3),
 (581, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 601, 2, 'platform:imMsgBizSkills:delete', '删除', '/p/im_msg_biz_skills', 4),
 (582, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 602, 1, 'platform:imMsgBizSkills:save', '新建', '/m/im_msg_biz_skills', 2),
 (583, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 602, 1, 'platform:imMsgBizSkills:update', '编辑', '/m/im_msg_biz_skills', 3),
 (584, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 602, 1, 'platform:imMsgBizSkills:delete', '删除', '/m/im_msg_biz_skills', 4),
 (585, '2023-07-10 17:36:11', '2023-11-14 14:56:16', 665, 1, 'shop:shopRecharge:save', '充值', '/m/shop_recharge/*', 2),
 (586, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 427, 1, 'multishop:inquireStock:export', '导出商品', '/m/sku/sold_excel', 1),
 (587, '2023-07-10 17:36:11', '2023-07-10 17:36:11', 428, 1, 'multishop:stockFlow:export', '导出', '/m/stock_bill_log_item/exportFlow', 1),
 (588, '2023-07-18 09:29:54', '2023-07-18 09:29:54', 359, 2, 'distribution:auditing:show', '查看', '/p/distribution_user/page', 1),
 (589, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 435, 1, 'recSendManage:receiveList:detail', '入库明细详情', '/m/stock_bill_log/info', 1),
 (590, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 438, 1, 'recSendManage:sendList:detail', '出库明细详情', '/m/stock_bill_log/info', 1),
 (591, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 430, 1, 'inventory:purchaseOrder:payment', '付款', '/m/purchase/order/updatePayVoucher', 3),
 (592, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 430, 1, 'inventory:purchaseOrder:add', '新建', '/m/purchase/order', 2),
 (593, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 576, 1, 'iinventory:takeStock:add', '新建', '/m/take_stock', 2),
 (594, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 576, 1, 'inventory:takeStock:delete', '作废', '/m/take_stock/finishInventory', 3),
 (595, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 576, 1, 'inventory:takeStock:edit', '编辑', '/m/take_stock/finishInventory', 3),
 (596, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 576, 1, 'inventory:takeStock:detail', '详情', '/m/take_stock/finishInventory', 3),
 (597, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 576, 1, 'inventory:takeStock:export', '导出', '/m/take_stock/exportTakeStock', 1),
 (598, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 152, 1, 'product:spu:selectProdSale', '批量上架', '/mp/spu/prod_status', 3),
 (599, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 152, 1, 'product:spu:selectProdNotSale', '批量下架', '/mp/spu/prod_status', 3),
 (600, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 443, 1, 'prod:saleProxyProd:shelve', '批量上架', '/mp/spu/prod_status', 3),
 (601, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 443, 1, 'prod:saleProxyProd:export', '批量导出', '/mp/spu/supplier_excel', 1),
 (602, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 550, 1, 'marketing:offerPackage:show', '查看', '/m/combo', 1),
 (603, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 550, 1, 'marketing:offerPackage:save', '新增', '/m/combo', 2),
 (604, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 550, 1, 'marketing:offerPackage:edit', '编辑', '/m/combo', 3),
 (605, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 550, 1, 'marketing:offerPackage:delete', '删除', '/m/combo/updateComboStatus', 3),
 (606, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 550, 1, 'marketing:offerPackage:failed', '失效活动', '/m/combo/updateComboStatus', 3),
 (607, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 279, 1, 'marketing:seckillDetail:show', '详情查看', '/mp/seckill', 1),
 (608, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 279, 1, 'marketing:seckillDetail:failedActivities', '失效活动', '/m/combo/updateComboStatus', 3),
 (609, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 279, 1, 'marketing:seckillDetail:waitReview', '等待审核', '/mp/seckill/get_offline_handle_event', 1),
 (610, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 279, 1, 'marketing:seckillDetail:ApplyOnline', '申请上架', '/mp/seckill/audit_apply', 2),
 (611, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 364, 1, 'marketing:distributionSpu:WaitReview', '等待审核', '/m/distribution_spu/get_offline_handle_event', 1),
 (612, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 275, 1, 'marketing:group:start', '启用', '/mp/group_activity/active', 3),
 (613, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 275, 1, 'marketing:group:show', '查看', '/mp/group_activity', 1),
 (614, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 512, 1, 'marketing:giveaway:show', '查看', '/m/giveaway', 1),
 (615, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 148, 1, 'order:order:contactClient', '联系卖家', '/m/im/conversations', 1),
 (616, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 580, 1, 'prod:prodComm:show', '查看', '/m/spu_comm', 1),
 (617, '2023-07-18 09:31:43', '2023-07-18 09:31:43', 599, 1, 'delivery:station:audit', '等待审核', '/m/station/get_offline_handle_event', 1),
 (618, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 508, 3, 'product:spu:selectProdSale', '批量上架', '/s/spu/prod_status', 3),
 (619, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 508, 3, 'product:spu:selectProdNotSale', '批量下架', '/s/spu/prod_status', 3),
 (620, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 503, 3, 'shop:shopCompany:saveShow', '查看工商信息修改', '/s/supplier_company_auditing/auditInfo', 1),
 (621, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 503, 3, 'shop:shopCategory:delete', '删除签约类目', '/s/apply_supplier/category/delete_signing_category', 4),
 (622, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 503, 3, 'shop:shopBrand:delete', '删除签约品牌', '/s/apply_supplier/brand/delete_signing_brand', 4),
 (623, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 477, 3, 'user:transport:selectDelete', '批量删除', '/mp/transport', 4),
 (624, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 479, 3, 'purchaseOrder:order:process', '审核', '/s/purchase/order/auditVoucher', 3),
 (625, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 568, 3, 'notify:platformNotify:view', '查看 ', '/mp/notice', 1),
 (626, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 569, 3, 'notify:notifySetting:edit', '关闭/开启提醒', '/mp/notify_template_remind', 3),
 (627, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 569, 3, 'notify:notifyList:allEdit', '全部已读', '/mp/notify_log/is_read', 3),
 (628, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 569, 3, 'notify:notifyList:edit', '批量已读', '/mp/notify_log/is_read', 3),
 (629, '2023-07-18 09:32:33', '2023-07-18 09:32:33', 569, 3, 'notify:notifyList:view', ' 查看 ', '/mp/notify_log/info', 1),
 (635, '2023-08-29 15:59:11', '2023-08-29 15:59:11', 648, 1, 'shop:outletConfig:save', '新增', '/mp/outlet_config', 2),
 (636, '2023-08-29 15:59:36', '2023-08-29 15:59:36', 648, 1, 'shop:outletConfig:update', '编辑', '/mp/outlet_config', 3),
 (637, '2023-08-29 15:59:53', '2023-08-29 15:59:53', 648, 1, 'shop:outletConfig:delete', '删除', '/mp/outlet_config', 4),
 (638, '2023-08-29 16:00:30', '2023-08-29 16:00:30', 648, 1, 'shop:outletConfig:paperSize', '纸张规格', '/mp/outlet_config', 3),
 (639, '2023-08-29 16:01:09', '2023-08-29 16:01:09', 648, 1, 'shop:outletConfig:setDefault', '设为默认', '/mp/outlet_config/set_default', 3),
 (640, '2023-08-29 16:01:38', '2023-08-29 16:01:38', 649, 1, 'shop:printer:save', '新增', '/mp/printer', 2),
 (641, '2023-08-29 16:01:57', '2023-08-29 16:01:57', 649, 1, 'shop:printer:update', '编辑', '/mp/printer', 3),
 (642, '2023-08-29 16:02:10', '2023-08-29 16:02:10', 649, 1, 'shop:printer:delete', '删除', '/mp/printer', 4),
 (643, '2023-08-29 16:02:39', '2023-08-29 16:02:39', 649, 1, 'shop:printer:setDefault', '设为默认', '/mp/printer/set_default', 3),
 (653, '2023-08-29 15:59:11', '2023-08-29 16:06:24', 652, 2, 'platform:outletConfig:save', '新增', '/mp/outlet_config', 2),
 (654, '2023-08-29 15:59:36', '2023-08-29 16:06:26', 652, 2, 'platform:outletConfig:update', '编辑', '/mp/outlet_config', 3),
 (655, '2023-08-29 15:59:53', '2023-08-29 16:06:28', 652, 2, 'platform:outletConfig:delete', '删除', '/mp/outlet_config', 4),
 (656, '2023-08-29 16:00:30', '2023-08-29 16:06:31', 652, 2, 'platform:outletConfig:paperSize', '纸张规格', '/mp/outlet_config', 3),
 (657, '2023-08-29 16:01:09', '2023-08-29 16:06:34', 652, 2, 'platform:outletConfig:setDefault', '设为默认', '/mp/outlet_config/set_default', 3),
 (658, '2023-08-29 16:01:38', '2023-08-29 16:06:37', 653, 2, 'platform:printer:save', '新增', '/mp/printer', 2),
 (659, '2023-08-29 16:01:57', '2023-08-29 16:06:38', 653, 2, 'platform:printer:update', '编辑', '/mp/printer', 3),
 (660, '2023-08-29 16:02:10', '2023-08-29 16:06:41', 653, 2, 'platform:printer:delete', '删除', '/mp/printer', 4),
 (661, '2023-08-29 16:02:39', '2023-08-29 16:06:43', 653, 2, 'platform:printer:setDefault', '设为默认', '/mp/printer/set_default', 3),
 (662, '2023-08-29 15:59:11', '2023-08-29 16:06:50', 655, 3, 'supplier:outletConfig:save', '新增', '/s/outlet_config', 2),
 (663, '2023-08-29 15:59:36', '2023-08-29 16:06:51', 655, 3, 'supplier:outletConfig:update', '编辑', '/s/outlet_config', 3),
 (664, '2023-08-29 15:59:53', '2023-08-29 16:06:53', 655, 3, 'supplier:outletConfig:delete', '删除', '/s/outlet_config', 4),
 (665, '2023-08-29 16:00:30', '2023-08-29 16:06:55', 655, 3, 'supplier:outletConfig:paperSize', '纸张规格', '/s/outlet_config', 3),
 (666, '2023-08-29 16:01:09', '2023-08-29 16:06:57', 655, 3, 'supplier:outletConfig:setDefault', '设为默认', '/s/outlet_config/set_default', 3),
 (667, '2023-08-29 16:01:38', '2023-08-29 16:06:59', 656, 3, 'supplier:printer:save', '新增', '/s/printer', 2),
 (668, '2023-08-29 16:01:57', '2023-08-29 16:07:01', 656, 3, 'supplier:printer:update', '编辑', '/s/printer', 3),
 (669, '2023-08-29 16:02:10', '2023-08-29 16:07:02', 656, 3, 'supplier:printer:delete', '删除', '/s/printer', 4),
 (670, '2023-08-29 16:02:39', '2023-08-29 16:07:03', 656, 3, 'supplier:printer:setDefault', '设为默认', '/s/printer/set_default', 3),
 (671, '2022-08-05 11:35:13', '2023-11-14 09:55:23', 673, 2, 'platform:shopAddr:delete', '删除', '/mp/shop_refund_addr', 4),
 (672, '2022-08-05 11:35:46', '2023-11-14 09:55:17', 673, 2, 'platform:shopAddr:update', '编辑', '/mp/shop_refund_addr', 3),
 (673, '2022-08-05 11:36:28', '2023-11-14 09:55:08', 673, 2, 'platform:shopAddr:save', '新建', '/mp/shop_refund_addr', 2),
 (674, '2023-11-14 09:41:56', '2023-11-14 09:41:56', 271, 1, 'shop:view:companyAuditInfo', '查看修改情况', '/mp/shop_company_auditing/auditInfo', 1),
 (675, '2023-11-14 09:49:05', '2023-11-14 09:49:05', 258, 1, 'user:hotSearch:page', '分页查询', '/mp/hot_search/page', 1),
 (676, '2023-11-14 09:49:30', '2023-11-14 09:49:30', 258, 1, 'user:hotSearch:get', '查看', '/mp/hot_search', 1),
 (677, '2023-11-14 09:51:01', '2023-11-14 09:51:01', 146, 1, 'user:indexImg:page', '分页查询', '/mp/index_img/page', 1),
 (678, '2023-11-14 09:51:21', '2023-11-14 09:51:21', 146, 1, 'user:indexImg:get', '查看', '/mp/index_img', 1),
 (679, '2023-11-14 09:56:27', '2023-11-14 09:56:27', 669, 1, 'user:notice:page', '分页查询', '/mp/notice/page', 1),
 (680, '2023-11-14 10:03:41', '2023-11-14 10:03:52', 571, 1, 'notify:platformNotify:page', '分页查询', '/mp/notice/p/pagePlatformNotice', 1),
 (681, '2023-11-14 10:11:40', '2023-11-14 10:11:40', 271, 1, 'shop:idCardStatus:update', '更新影印件', '/mp/shop_company/update_id_card_status', 3),
 (682, '2023-11-14 10:13:44', '2023-11-14 10:13:44', 271, 1, 'shop:uploadIdCard:update', '重新上传影印件', '/mp/shop_company/upload_id_card', 3),
 (683, '2023-11-14 10:16:08', '2023-11-14 15:27:29', 665, 1, 'shop:recharge:page', '分页查询余额充值', '/mp/shop_recharge/page', 1),
 (684, '2023-11-14 10:16:58', '2023-11-14 10:17:13', 272, 1, 'shop:shopRefundAddr:page', '分页查询', '/mp/shop_refund_addr/page', 1),
 (685, '2023-11-14 10:17:50', '2023-11-14 10:17:50', 272, 1, 'shop:shopRefundAddr:get', '查看', '/mp/shop_refund_addr', 1),
 (686, '2023-11-14 10:19:55', '2023-11-14 10:19:55', 648, 1, 'shop:shopRefundAddr:list', '获取地址列表', '/mp/shop_refund_addr/list', 1),
 (687, '2023-11-14 10:23:44', '2023-11-14 10:23:44', 538, 1, 'shop:shopRenovation:page', '分页查询', '/mp/shop_renovation/page', 1),
 (688, '2023-11-14 10:24:51', '2023-11-14 10:24:51', 543, 1, 'shop:shopRenovation:pageH5', '分页查询', '/mp/shop_renovation/page_h5', 1),
 (689, '2023-11-14 10:25:28', '2023-11-14 10:25:28', 538, 1, 'shop:shopRenovation:get', '查看', '/mp/shop_renovation', 1),
 (690, '2023-11-14 10:25:53', '2023-11-14 10:25:53', 543, 1, 'shop:shopRenovation:getH5', '查看', '/mp/shop_renovation/get_h5', 1),
 (691, '2023-11-14 10:27:27', '2023-11-14 10:27:27', 539, 1, 'shop:shopTemplate:page', '分页查询', '/mp/shop_template/page', 1),
 (692, '2023-11-14 10:27:48', '2023-11-14 10:27:48', 544, 1, 'shop:shopTemplate:pageH5', '分页查询', '/mp/shop_template/page_h5', 1),
 (693, '2023-11-14 10:57:04', '2023-11-14 10:57:04', 539, 1, 'shop:shopTemplate:get', '查看', '/mp/shop_template', 1),
 (694, '2023-11-14 10:57:29', '2023-11-14 10:57:29', 544, 1, 'shop:shopTemplat:getH5', '查看', '/mp/shop_template/get_h5', 1),
 (695, '2023-11-14 11:09:01', '2023-11-14 11:09:01', 665, 1, 'shop:shopWallet:page', '分页查询钱包日志', '/mp/shop_wallet/page', 1),
 (696, '2023-11-14 11:09:31', '2023-11-14 11:09:31', 665, 1, 'shop:shopWallet:get', '查询钱包', '/mp/shop_wallet/get_shop_wallet', 1),
 (697, '2023-11-14 11:10:53', '2023-11-14 11:11:01', 665, 1, 'shop:shopCash:page', '分页查询提现', '/mp/shop_withdraw_cash/page', 1),
 (698, '2023-11-14 14:12:31', '2023-11-14 14:12:31', 441, 1, 'shop:substituteSales:get', '分页查找', '/m/shop_substitute_sales', 1),
 (699, '2023-11-14 14:13:22', '2023-11-14 14:13:22', 441, 1, 'shop:substituteSales:save', '保存', '/m/shop_substitute_sales', 2),
 (700, '2023-11-14 14:25:30', '2023-11-14 14:25:30', 367, 1, 'shop:applyShopUser:info', '获取商家信息', '/m/apply_shop/shop_user/info', 1),
 (701, '2023-11-14 14:30:07', '2023-11-14 14:30:07', 112, 1, 'shop:applyShopUser:info', '查看店铺用户信息', '/m/apply_shop/shop_user/info', 1),
 (702, '2023-11-14 14:36:45', '2023-11-14 14:36:45', 428, 1, 'shop:applyShopUser:list', '获取店铺员工列表', '/m/apply_shop/shop_user/list', 1),
 (703, '2023-11-14 14:38:12', '2023-11-14 14:38:12', 435, 1, 'shop:applyShopUser:list', '获取店铺员工列表', '/m/apply_shop/shop_user/list', 1),
 (704, '2023-11-14 14:38:25', '2023-11-14 14:38:25', 438, 1, 'shop:applyShopUser:list', '获取店铺员工列表', '/m/apply_shop/shop_user/list', 1),
 (705, '2023-11-14 14:43:06', '2023-11-14 14:43:06', 271, 1, 'shop:shopCompany:revoke', '撤销申请', '/m/shop_company_auditing/revoke', 1),
 (706, '2023-11-14 15:02:38', '2023-11-14 15:02:38', 112, 1, 'multishop:shopUser:page', '分页查找员工列表', '/m/shop_user/page', 1),
 (707, '2023-11-14 15:03:21', '2023-11-14 15:03:21', 112, 1, 'multishop:shopUser:get', '查看', '/m/shop_user', 1),
 (708, '2023-11-14 15:04:32', '2023-11-14 15:04:32', 576, 1, 'multishop:shopUser:page', '分页查找员工列表', '/m/shop_user/page', 1),
 (709, '2023-11-14 15:14:55', '2023-11-14 15:14:55', 306, 2, 'platform:view:companyAuditInfo', '查看修改情况', '/mp/shop_company_auditing/auditInfo', 1),
 (710, '2023-11-14 15:19:47', '2023-11-15 16:18:29', 256, 2, 'platform:hotSearch:page', '列表', '/mp/hot_search/page', 1),
 (711, '2023-11-14 15:20:11', '2023-11-14 15:20:11', 256, 2, 'platform:hotSearch:get', '查看', '/mp/hot_search', 1),
 (712, '2023-11-14 15:20:47', '2023-11-15 16:18:18', 677, 2, 'platform:indexImg:page', '列表', '/mp/index_img/page', 1),
 (713, '2023-11-14 15:21:08', '2023-11-14 15:21:08', 677, 2, 'platform:indexImg:get', '查看', '/mp/index_img', 1),
 (714, '2023-11-14 15:21:57', '2023-11-15 16:18:13', 305, 2, 'platform:notice:page', '列表', '/mp/notice/page', 1),
 (715, '2023-11-14 15:24:41', '2023-11-14 15:24:41', 306, 2, 'platform:idCardStatus:update', '更新影印件', '/mp/shop_company/update_id_card_status', 3),
 (716, '2023-11-14 15:27:07', '2023-11-14 15:27:07', 306, 2, 'platform:uploadIdCard:update', '重新上传影印件', '/mp/shop_company/upload_id_card', 1),
 (717, '2023-11-14 15:28:46', '2023-11-15 16:18:03', 673, 2, 'platform:shopAddr:page', '列表', '/mp/shop_refund_addr/page', 1),
 (718, '2023-11-14 15:29:11', '2023-11-14 15:29:11', 673, 2, 'platform:shopAddr:get', '查看', '/mp/shop_refund_addr', 1),
 (719, '2023-11-14 15:29:47', '2023-11-14 15:29:47', 652, 2, 'shop:shopAddr:list', '获取地址列表', '/mp/shop_refund_addr/list', 1),
 (720, '2023-11-14 15:32:11', '2023-11-15 16:17:56', 528, 2, 'platform:shopRenovation:page', '列表', '/mp/shop_renovation/page', 1),
 (721, '2023-11-14 15:32:30', '2023-11-15 16:17:50', 533, 2, 'platform:shopRenovation:pageH5', '列表', '/mp/shop_renovation/page_h5', 1),
 (722, '2023-11-14 15:33:58', '2023-11-15 16:17:42', 531, 2, 'platform:shopTemplate:page', '列表', ' /mp/shop_template/page', 1),
 (723, '2023-11-14 15:34:21', '2023-11-15 16:17:36', 535, 2, 'platform:shopTemplate:pageH5', '列表', '/mp/shop_template/page_h5', 1),
 (724, '2023-11-14 15:34:53', '2023-11-14 15:34:53', 531, 2, 'platform:shopTemplate:get', '查看', '/mp/shop_template', 1),
 (725, '2023-11-14 15:35:10', '2023-11-14 15:35:10', 535, 2, 'platform:shopTemplate:getH5', '查看', '/mp/shop_template', 1),
 (726, '2023-11-14 15:37:28', '2023-11-15 16:17:28', 324, 2, 'platform:wallet:page', '列表', '/mp/shop_wallet/page', 1),
 (727, '2023-11-14 15:38:02', '2023-11-14 15:38:02', 324, 2, 'platform:wallet:get', '获取钱包信息', '/mp/shop_wallet/get_shop_wallet', 1),
 (728, '2023-11-14 15:39:12', '2023-11-14 15:39:12', 331, 2, 'platform:wallet:all', '获取所有店铺钱包', 'mp/shop_wallet/get_all_shop_wallet', 1),
 (729, '2023-11-14 15:39:43', '2023-11-15 16:17:13', 331, 2, 'platform:wallet:pageAll', '获取所有店铺钱包列表', '/mp/shop_wallet/page_shop_wallet_by_time', 1),
 (730, '2023-11-14 15:40:57', '2023-11-15 16:17:06', 326, 2, 'platform:shopCash:page', '列表', '/mp/shop_withdraw_cash/page', 1),
 (731, '2023-11-14 15:42:30', '2023-11-15 16:17:00', 262, 2, 'platform:shopManage:businessPage', '获取工商信息申请列表', '/p/shop_company_auditing/page', 1),
 (732, '2023-11-14 15:43:17', '2023-11-15 16:16:41', 262, 2, 'platform:auditShop:page', '获取开店店铺列表', '/p/shop_auditing/page', 1),
 (734, '2023-11-14 15:46:26', '2023-11-14 15:46:26', 302, 2, 'platform:auditShop:bankCard', '获取店铺银行卡信息', '/p/shop_bank_card/list_by_shop_id', 1),
 (735, '2023-11-14 15:50:07', '2023-11-14 15:50:07', 326, 2, 'platform:cashConfig:save', '保存提现设置', '/p/shop_withdraw_cash/save', 2),
 (736, '2023-11-14 15:53:01', '2023-11-14 15:53:01', 326, 2, 'platform:cash:info', '查看审核信息', '/p/shop_withdraw_cash/info', 1),
 (737, '2023-11-14 15:54:46', '2023-11-14 15:54:46', 271, 1, 'shop:event:info', '获取下线信息', '/m/offline_handle_event/get_event_info', 1),
 (738, '2023-11-14 15:58:46', '2023-11-14 15:58:46', 357, 2, 'platform:distributionConfig:info', '获取分销设置', '/p/distribution_config/info', 1),
 (739, '2023-11-14 15:59:22', '2023-11-14 15:59:22', 357, 2, 'platform:distributionConfig:recruitInfo', '获取分销推广设置', '/p/distribution_config/recruit_info', 1),
 (740, '2023-11-14 16:01:09', '2023-11-14 16:11:12', 357, 2, 'platform:distributionConfig:save', '保存分销设置', '/p/distribution_config', 2),
 (741, '2023-11-14 16:01:36', '2023-11-14 16:11:08', 357, 2, 'platform:distributionConfig:saveRecruit', '保存推广设置', '/p/distribution_config/recruit', 2),
 (742, '2023-11-14 16:11:41', '2023-11-14 16:11:41', 645, 2, 'platform:growthConfig:save', '保存成长值配置', '/p/growth_config', 2),
 (743, '2023-11-14 16:18:21', '2023-11-14 16:18:21', 645, 2, 'platform:growthConfig:info', '获取成长值配置', '/p/growth_config/info/*', 1),
 (744, '2023-11-14 16:20:51', '2023-11-14 16:20:51', 499, 2, 'platform:supplierManage:openStore', '下线管理', '/p/offline_handle_event/getOfflineHandleEventByShopId', 1),
 (745, '2023-11-14 16:21:55', '2023-11-14 16:21:55', 645, 2, 'platform:scoreConfig:info', '获取积分配置', '/p/score_config/info', 1),
 (746, '2023-11-14 16:22:23', '2023-11-14 16:22:23', 645, 2, 'platform:scoreConfig:save', '保存积分配置', '/p/score_config', 2),
 (747, '2023-11-14 16:24:21', '2023-11-14 16:24:21', 645, 2, 'platform:scoreOther:save', '其他配置保存', '/p/score/other_related', 2),
 (748, '2023-11-14 16:25:56', '2023-11-15 16:11:29', 604, 2, 'admin:sysAccessKey:page', '列表', '/p/sys_access_key/page', 1),
 (749, '2023-11-14 16:26:18', '2023-11-14 16:26:18', 604, 2, 'admin:sysAccessKey:get', '查看', '/p/sys_access_key', 1),
 (750, '2023-11-14 16:27:46', '2023-11-14 16:27:46', 425, 2, 'platform:webConfig:get', '查看', '/p/web_config/info/*', 1),
 (751, '2023-11-14 16:28:50', '2023-11-14 16:28:50', 503, 3, 'supplier:event:info', '获取下线信息', '/s/offline_handle_event/get_event_info', 1),
 (752, '2023-11-14 16:30:15', '2023-11-14 16:30:15', 231, 2, 'platform:config:info', '获取配置', '/p/sys_config/info/*', 1),
 (753, '2023-11-14 16:30:37', '2023-11-14 16:30:37', 612, 2, 'platform:config:info', '获取配置', '/p/sys_config/info/*', 1),
 (754, '2023-11-14 16:31:05', '2023-11-14 16:31:05', 231, 2, 'platform:config:save', '保存', '/p/sys_config/save', 2),
 (755, '2023-11-14 16:31:23', '2023-11-14 16:31:23', 612, 2, 'platform:config:save', '保存', '/p/sys_config/save', 1),
 (756, '2023-11-14 16:36:16', '2023-11-14 16:36:40', 156, 2, 'platform:account:get', '获取平台用户账号信息', '/p/sys_user/account', 1),
 (757, '2023-11-15 09:40:22', '2023-11-15 15:51:46', 156, 2, 'platform:sysUser:page', '列表', '/p/sys_user/page', 1),
 (758, '2023-11-15 09:47:32', '2023-11-15 09:47:32', 503, 3, 'supplier:idCardStatus:update', '更新影印件', '/mp/supplier_company/update_id_card_status', 3),
 (759, '2023-11-15 09:48:06', '2023-11-15 09:48:06', 503, 3, 'supplier:uploadIdCard:update', '重新上传影印件', '/mp/supplier_company/upload_id_card', 3),
 (760, '2023-11-15 09:56:50', '2023-11-15 09:56:50', 500, 2, 'supplier:idCardStatus:update', '更新影印件', '/mp/supplier_company/update_id_card_status', 1),
 (761, '2023-11-15 09:57:15', '2023-11-15 09:57:15', 500, 2, 'supplier:uploadIdCard:update', '重新上传影印件', '/mp/supplier_company/upload_id_card', 1),
 (762, '2023-11-15 10:01:24', '2023-11-15 10:01:24', 463, 3, 'shop:shopRefundAddr:page', '分页查询', '/s/supplier_refund_addr/page', 1),
 (763, '2023-11-15 10:01:45', '2023-11-15 10:01:45', 463, 3, 'shop:shopRefundAddr:get', '查询', '/s/supplier_refund_addr', 1),
 (764, '2023-11-15 10:03:01', '2023-11-15 10:03:01', 655, 3, 'shop:shopRefundAddr:list', '获取地址列表', '/s/supplier_refund_addr/list', 1),
 (765, '2023-11-15 10:03:39', '2023-11-15 10:03:39', 661, 3, 'shop:shopRefundAddr:list', '查看退货地址列表', '/s/supplier_refund_addr/list', 1),
 (766, '2023-11-15 10:04:51', '2023-11-15 10:04:51', 667, 3, 'supplier:shopWallet:page', '分页查询钱包日志', '/mp/supplier_wallet/page', 1),
 (767, '2023-11-15 10:05:20', '2023-11-15 10:05:20', 667, 3, 'supplier:shopWallet:get', '查询钱包', '/mp/supplier_wallet/get_supplier_wallet', 1),
 (768, '2023-11-15 10:08:13', '2023-11-15 15:54:54', 511, 2, 'platform:supplierWallet:page', '查看供应商所有的钱包记录日志', '/mp/supplier_wallet/page_all_supplier', 1),
 (769, '2023-11-15 10:10:04', '2023-11-15 15:51:38', 511, 2, 'platform:supplierWallet:pageByTime', '查看供应商钱包列表', '/mp/supplier_wallet/page_supplier_wallet_by_time', 1),
 (770, '2023-11-15 10:10:47', '2023-11-15 10:10:47', 511, 2, 'platform:supplierWallet:getAll', '查看所有供应商钱包总信息', '/mp/supplier_wallet/get_all_supplier_wallet', 1),
 (771, '2023-11-15 10:11:51', '2023-11-15 10:11:51', 667, 3, 'supplier:withdraw:page', '分页获取提现记录', '/mp/supplier_withdraw_cash/page', 1),
 (772, '2023-11-15 10:12:17', '2023-11-15 10:12:17', 667, 3, 'supplier:withdraw:info', '查看提现详情', '/mp/supplier_withdraw_cash/info', 1),
 (773, '2023-11-15 10:13:03', '2023-11-15 15:54:25', 510, 2, 'supplier:withdraw:page', '列表', '/mp/supplier_withdraw_cash/page', 1),
 (774, '2023-11-15 10:14:36', '2023-11-15 10:14:36', 664, 1, 'shop:purchaseAmountLog:page', '分页获取采购金额日志', '/m/purchase_amount_log/page', 1),
 (775, '2023-11-15 10:15:22', '2023-11-15 10:15:22', 664, 1, 'shop:purchaseAmountLog:list', '获取供应商列表', '/m/purchase_amount_log/list_supplier', 1),
 (776, '2023-11-15 10:16:05', '2023-11-15 10:16:05', 664, 1, 'shop:purchaseAmountLog:getTotalAmount', '获取采购总金额', '/m/purchase_amount_log/get_total_amount', 1),
 (777, '2023-11-15 10:16:45', '2023-11-15 10:16:45', 664, 1, 'shop:purchaseAmountLog:export', '导出', '/m/purchase_amount_log/export_excel', 1),
 (778, '2023-11-15 10:19:51', '2023-11-15 10:19:51', 431, 1, 'shop:supplier:page', '分页获取供应商', '/m/supplier_detail/page_supplier', 1),
 (779, '2023-11-15 10:20:41', '2023-11-15 10:23:45', 578, 1, 'shop:supplier:page', '分页获取供应商', '/m/supplier_detail/page_supplier', 1),
 (780, '2023-11-15 10:25:25', '2023-11-15 15:42:16', 499, 2, 'supplier:company:page', '获取供应商工商信息审核列表', '/p/supplier_company_auditing/page', 1),
 (781, '2023-11-15 10:26:23', '2023-11-15 10:26:23', 499, 2, 'supplier:company:auditInfo', '查看供应商审核详情', '/p/supplier_company_auditing/auditInfo', 1),
 (782, '2023-11-15 10:28:32', '2023-11-15 15:42:05', 499, 2, 'platform:auditSupplier:page', '获取供应商开店列表', '/p/supplier_auditing/page', 1),
 (783, '2023-11-15 10:30:47', '2023-11-15 10:30:47', 510, 2, 'platform:supplierWithdraw:info', '获取提现详情', '/p/supplier_withdraw_cash/info', 1),
 (784, '2023-11-15 10:31:08', '2023-11-15 10:31:08', 510, 2, 'platform:supplierWithdraw:audit', '审核', '/p/supplier_withdraw_cash/audit', 1),
 (785, '2023-11-15 10:31:28', '2023-11-15 10:31:28', 510, 2, 'platform:supplierWithdraw:save', '保存提现金额设置', '/p/supplier_withdraw_cash/save', 1),
 (786, '2023-11-15 10:34:28', '2023-11-15 10:34:28', 503, 3, 'supplier:companyAudit:apply', '申请变更工商信息', '/s/supplier_company_auditing/apply_change_company_info', 1),
 (787, '2023-11-15 10:35:14', '2023-11-15 10:35:14', 503, 3, 'supplier:companyAudit:revoke', '撤销申请', '/s/supplier_company_auditing/revoke', 1),
 (788, '2023-11-15 10:40:00', '2023-11-15 10:40:00', 668, 3, 'supplier:purchaseAmountLog:list', '获取店铺列表', '/s/purchase_amount_log/list_shop', 1),
 (789, '2023-11-15 10:40:40', '2023-11-15 10:40:40', 668, 3, 'supplier:puchaseAmountLog:page', '分页查询', '/s/purchase_amount_log/page', 1),
 (790, '2023-11-15 10:41:20', '2023-11-15 10:41:20', 668, 3, 'supplier:purchaseAmountLog:getTotalAmount', '获取采购总金额', '/s/purchase_amount_log/get_total_amount', 1),
 (791, '2023-11-15 10:41:46', '2023-11-15 10:41:46', 668, 3, 'supplier:purchaseAmountLog:export', '导出', '/s/purchase_amount_log/export_excel', 1),
 (792, '2023-11-15 10:47:36', '2023-11-15 10:47:36', 485, 3, 'supplier:user:page', '分页获取', '/s/supplier_user/page', 1),
 (793, '2023-11-15 10:47:52', '2023-11-15 10:47:52', 485, 3, 'supplier:user:get', '查看', '/s/supplier_user', 1),
 (794, '2023-11-15 11:02:38', '2023-11-15 15:41:56', 157, 2, 'rbac:role:page', '列表', '/mp/role/page', 1),
 (795, '2023-11-15 11:03:05', '2023-11-15 11:03:05', 156, 2, 'rbac:role:list', '获取角色列表', '/mp/role/list', 1),
 (796, '2023-11-15 11:05:51', '2023-11-15 11:05:51', 486, 3, 'rbac:role:page', '分页获取', '/mp/role/page', 1),
 (797, '2023-11-15 11:06:12', '2023-11-15 11:06:12', 485, 3, 'rbac:role:list', '获取角色列表', '/mp/role/list', 1),
 (798, '2023-11-15 11:06:38', '2023-11-15 11:06:38', 134, 1, 'rbac:role:page', '分页获取', '/mp/role/page', 1),
 (799, '2023-11-15 11:06:58', '2023-11-15 11:06:58', 112, 1, 'rbac:role:list', '获取角色列表', '/mp/role/list', 1),
 (800, '2023-11-15 13:41:35', '2023-11-15 15:41:50', 313, 2, 'resource:file:page', '列表', '/mp/attach_file/page', 1),
 (801, '2023-11-15 13:42:28', '2023-11-15 15:41:46', 314, 2, 'resource:file:page', '列表', '/mp/attach_file/page', 1),
 (802, '2023-11-15 13:44:07', '2023-11-15 13:44:07', 313, 2, 'resource:fileGroup:list', '分组列表查询', '/mp/attach_file_group/list', 1),
 (803, '2023-11-15 13:44:31', '2023-11-15 13:44:31', 314, 2, 'resource:fileGroup:list', '分组列表查询', '/mp/attach_file_group/list', 1),
 (804, '2023-11-15 13:46:33', '2023-11-15 13:46:33', 488, 3, 'resource:file:page', '分页查询', '/mp/attach_file/page', 1),
 (805, '2023-11-15 13:46:42', '2023-11-15 13:46:42', 489, 3, 'resource:file:page', '分页查询', '/mp/attach_file/page', 1),
 (806, '2023-11-15 13:46:59', '2023-11-15 13:46:59', 488, 3, 'resource:fileGroup:list', '分组列表查询', '/mp/attach_file_group/list', 1),
 (807, '2023-11-15 13:47:10', '2023-11-15 13:47:10', 489, 3, 'resource:fileGroup:list', '分组列表查询', '/mp/attach_file_group/list', 1),
 (808, '2023-11-15 13:47:38', '2023-11-15 13:47:38', 284, 1, 'resource:file:page', '分页查询', '/mp/attach_file/page', 1),
 (809, '2023-11-15 13:47:53', '2023-11-15 13:47:53', 285, 1, 'resource:file:page', '分页查询', '/mp/attach_file/page', 1),
 (810, '2023-11-15 13:48:22', '2023-11-15 13:48:22', 284, 1, 'resource:fileGroup:list', '分组列表查询', '/mp/attach_file_group/list', 1),
 (811, '2023-11-15 13:48:33', '2023-11-15 13:48:33', 285, 1, 'resource:fileGroup:list', '分组列表查询', '/mp/attach_file_group/list', 1),
 (812, '2023-11-15 13:50:22', '2023-11-15 13:50:22', 572, 1, 'notify:notifyList:list', '查询未读列表', '/mp/notify_log/unread_count_list', 1),
 (813, '2023-11-15 13:50:49', '2023-11-15 13:50:49', 569, 3, 'notify:notifyList:list', '查询未读列表', '/mp/notify_log/unread_count_list', 1),
 (814, '2023-11-15 13:52:40', '2023-11-15 13:52:40', 572, 1, 'notify:notifySetting:page', '分页获取消息提醒列表', '/mp/notify_template_remind/page', 1),
 (815, '2023-11-15 13:53:09', '2023-11-15 13:53:09', 569, 3, 'notify:notifySetting:page', '分页获取消息提醒列表', '/mp/notify_template_remind/page', 1),
 (816, '2023-11-15 13:55:08', '2023-11-15 15:41:39', 304, 2, 'notify:notifyLog:page', '获取消息记录列表', '/p/notify_log/page', 1),
 (817, '2023-11-15 13:56:10', '2023-11-15 15:40:50', 304, 2, 'notify:notifyTemplate:page', '获取消息配置列表', '/p/notify_template/page', 1),
 (818, '2023-11-15 13:56:55', '2023-11-15 13:56:55', 304, 2, 'notify:notifyTemplate:get', '获取消息通知配置', '/p/notify_template', 1),
 (819, '2023-11-15 13:57:54', '2023-11-15 15:40:39', 308, 2, 'notify:notifyTemplateTag:page', '列表', '/p/notify_template_tag/page', 1),
 (820, '2023-11-15 13:58:30', '2023-11-15 13:58:30', 308, 2, 'notify:notifyTemplateTag:info', '获取标签消息信息', '/p/notify_template_tag/info', 1),
 (821, '2023-11-15 14:12:03', '2023-11-15 14:12:03', 301, 2, 'platform:member:survey', '获取会员概况数据', '/mp/customer_analysis/get_member_survey', 1),
 (822, '2023-11-15 14:12:48', '2023-11-15 14:12:48', 301, 2, 'platform:member:trend', '获取会员人数/占比数据', '/mp/customer_analysis/get_member_trend', 1),
 (823, '2023-11-15 14:13:35', '2023-11-15 14:13:35', 301, 2, 'platform:member:vontribute', '获取会员贡献价值分析数据', '/mp/customer_analysis/get_member_vontribute_value', 1),
 (824, '2023-11-15 14:33:55', '2023-11-15 14:33:55', 301, 2, 'platform:member:deal', '获取新老会员成交分析', '/mp/customer_analysis/get_member_deal', 1),
 (825, '2023-11-15 14:34:38', '2023-11-15 14:34:38', 301, 2, 'platform:member:retained', '获取客户留存分析数据', '/mp/customer_analysis/get_customer_retained', 1),
 (826, '2023-11-15 15:04:51', '2023-11-15 15:04:51', 595, 1, 'shop:form:page', '分页获取', '/m/form/page', 1),
 (827, '2023-11-15 15:05:11', '2023-11-15 15:05:11', 595, 1, 'shop:form:get', '获取报表信息', '/m/form', 1),
 (828, '2023-11-15 15:06:01', '2023-11-15 15:06:01', 596, 1, 'shop:form:recommend', '获取推荐报表列表', '/m/form/get_recommend_form_list', 1),
 (829, '2023-11-15 15:06:35', '2023-11-15 15:06:35', 310, 1, 'shop:product:analyse', '获取商品洞察数据', '/m/product_analyse/get_product_effect', 1),
 (830, '2023-11-15 15:07:55', '2023-11-15 15:07:55', 292, 2, 'platform:flow:all', '获取流量总览数据', '/p/flow_analysis/flow_all', 1),
 (831, '2023-11-15 15:08:37', '2023-11-15 15:08:37', 292, 2, 'platform:flow:trend', '获取流量趋势数据', '/p/flow_analysis/flow_trend', 1),
 (832, '2023-11-15 15:09:26', '2023-11-15 15:09:26', 292, 2, 'platform:flow:sour', '获取成交转化数据', '/p/flow_analysis/flow_sour', 1),
 (833, '2023-11-15 15:10:02', '2023-11-15 15:40:30', 590, 2, 'platform:form:page', '列表', '/p/form/page', 1),
 (834, '2023-11-15 15:10:26', '2023-11-15 15:10:26', 590, 2, 'platform:form:get', '获取报表信息', '/p/form', 1),
 (835, '2023-11-15 15:11:34', '2023-11-15 15:40:20', 592, 2, 'platform:recomment:page', '列表', '/p/form/get_recommend_form_page', 1),
 (836, '2023-11-15 15:11:59', '2023-11-15 15:11:59', 591, 2, 'platformLrecommend:list', '获取列表信息', '/p/form/get_recommend_form_list', 1),
 (837, '2023-11-15 15:12:34', '2023-11-15 15:12:34', 298, 2, 'platform:product:analyse', '获取商品洞察数据', '/p/product_analyse/get_product_effect', 1),
 (838, '2023-11-15 15:13:14', '2023-11-15 15:13:14', 293, 2, 'platform:user:analysis', '获取访客分析数据', '/p/user_visit_analysis/get_user_analysis_data', 1),
 (839, '2023-11-15 16:20:40', '2023-11-15 16:20:40', 498, 2, 'platform:supplierBank:list', '获取供应商银行卡列表', '/p/supplier_bank_card/list_by_supplier_id', 1),
 (840, '2023-11-15 16:22:05', '2023-11-15 16:22:05', 500, 2, 'platform:supplierAllinpay:apply', '供应商通联开店申请', '/p/supplier_bank_card/allinpay_save_and_apply_supplier', 1),
 (841, '2023-11-15 16:22:37', '2023-11-15 16:22:46', 306, 2, 'platform:shopAllinpay:apply', '店铺通联开店申请', '/p/shop_bank_card/allinpay_save_and_apply_shop', 1),
 (842, '2023-11-14 14:53:15', '2023-11-14 14:53:15', 479, 3, 'purchaseOrder:order:exportOrderExcel', '导入订单', '/s/purchase/order/export_order_excel', 1),
 (843, '2023-11-14 14:52:23', '2023-11-14 14:52:35', 479, 3, 'purchaseOrder:order:orderDelivery', '发货', '/s/purchase/order/delivery', 2),
 (844, '2023-11-14 14:51:11', '2023-11-14 14:51:19', 479, 3, 'purchaseOrder:order:address', '订单项待发货数量查询', '/s/purchase/order/order_item_and_address/*', 1),
 (845, '2023-11-14 14:49:48', '2023-11-14 14:49:48', 480, 3, 'order:refund:saveIntervention', '添加介入凭证', '/s/order_refund_intervention/save_intervention_voucher', 1),
 (846, '2023-11-14 14:48:46', '2023-11-14 14:48:46', 480, 3, 'order:refund:returnMoney', '退货退款最后一步处理', '/s/order_refund/return_money', 3),
 (847, '2023-11-14 14:48:01', '2023-11-14 14:48:01', 480, 3, 'order:refund:isLastRefund', '是否为最后一单退款', '/s/order_refund/is_last_refund', 1),
 (848, '2023-11-14 14:46:39', '2023-11-14 14:46:39', 480, 3, 'order:refund:return_and_refund_audit', '处理退款', '/s/order_refund/return_and_refund_audit', 3),
 (849, '2023-11-14 14:40:52', '2023-11-14 14:40:52', 478, 3, 'order:order:soldUnDeliveryExcel', '导出待发货订单', '/s/order/un_delivery_sold_excel', 1),
 (850, '2023-11-14 14:40:00', '2023-11-14 14:40:04', 478, 3, 'order:order:changeRemark', '修改订单备注', '/s/order/change_order_remark', 3),
 (851, '2023-11-14 14:39:22', '2023-11-14 14:39:27', 478, 3, 'order:order:changeUserAddr', '修改地址', '/s/order/change_user_addr', 3),
 (852, '2023-11-14 14:38:52', '2023-11-14 14:38:52', 478, 3, 'order:order:changeAmount', '获取修改地址后的运费', '/s/order/get_change_amount', 1),
 (853, '2023-11-14 14:37:50', '2023-11-14 14:37:50', 478, 3, 'order:order:address', '待发货查询', '/s/order/order_item_and_address/*', 1),
 (854, '2023-11-14 14:36:52', '2023-11-14 14:36:52', 478, 3, 'order:order:orderAddr', '获取下单地址', '/s/order/order_addr/*', 1),
 (855, '2023-11-14 14:35:59', '2023-11-14 14:35:59', 502, 3, 'order:order:orderInfo', '订单详情', '/s/order/order_info', 1),
 (856, '2023-11-14 14:34:41', '2023-11-14 14:34:41', 478, 3, 'order:order:page', '列表', '/s/order/page', 1),
 (862, '2023-11-14 14:27:42', '2023-11-14 14:27:42', 172, 2, 'order:refund:isLastRefund', '是否为最后一单', '/p/order_refund/is_last_refund', 1),
 (863, '2023-11-14 14:27:04', '2023-11-14 14:27:58', 172, 2, 'platform:finance:handleIntervention', '处理平台介入', '/p/order_refund/handle_platform_intervention', 3),
 (864, '2023-11-14 14:26:18', '2023-11-14 14:26:25', 172, 2, 'order:refund:page', '列表', '/p/order_refund/page', 1),
 (865, '2023-11-14 14:25:18', '2023-11-14 14:25:37', 583, 2, 'platform:finance:detail', '获取财务明细', '/p/finance/get_finance_detail', 1),
 (866, '2023-11-14 14:24:43', '2023-11-14 14:24:43', 171, 2, 'order:order:getOrderByUserId', '获取用户订单数据', '/p/order/get_order_by_userId', 1),
 (867, '2023-11-14 14:23:14', '2023-11-14 14:23:14', 430, 1, 'inventory:purchaseOrder:inboundExportExcel', '导入入库文件', '/m/purchase/order/inbound/exportExcel/*', 1),
 (868, '2023-11-14 14:22:20', '2023-11-14 14:22:25', 430, 1, 'inventory:purchaseOrder:export', '导出入库商品', '/m/purchase/order/inbound/export', 1),
 (869, '2023-11-14 14:21:08', '2023-11-14 14:21:08', 430, 1, 'inventory:purchaseOrder:exportExcel', '导入采购商品', '/m/purchase/order/export_excel', 2),
 (870, '2023-11-14 14:20:31', '2023-11-14 14:20:31', 430, 1, 'inventory:purchaseOrder:downloadModel', '下载模板', '/m/purchase/order/download_model', 1),
 (871, '2023-11-14 14:16:24', '2023-11-14 14:16:24', 148, 1, 'order:virtual:info', '虚拟订单信息', '/m/order_virtual_info/order_info/*', 1),
 (872, '2023-11-14 14:14:37', '2023-11-14 14:14:57', 149, 1, 'order:ordre:listRefundRankingByReason', '退款原因排行', '/m/order_statistics/list_refund_ranking_by_reason', 1),
 (873, '2023-11-14 14:13:29', '2023-11-14 14:15:06', 149, 1, 'order:refund:listRefundRankByProd', '商品退款排行', '/m/order_statistics/list_refund_ranking_by_prod', 1),
 (874, '2023-11-14 14:12:33', '2023-11-14 14:13:48', 149, 1, 'order:refund:listOrderRefundInfo', '当月退款数据', '/m/order_statistics/list_order_refund_info', 1),
 (875, '2023-11-14 14:11:38', '2023-11-14 14:11:38', 148, 1, 'order:ordre:onMonth', '当月数据统计', '/m/order_statistics/get_current_month_by_day', 1),
 (876, '2023-11-14 14:09:13', '2023-11-14 14:09:13', 148, 1, 'order:ordre:getToday', '当天订单数据', '/m/order_statistics/get_to day_by_hour', 1),
 (877, '2023-11-14 14:08:20', '2023-11-14 14:08:20', 148, 1, 'order:ordre:orderCount', '状态统计', '/m/order_statistics/order_count', 1),
 (878, '2023-11-14 14:07:20', '2023-11-14 14:07:20', 148, 1, 'order:order:getOrderSelfStation', '获取提货订单详情', '/m/order_self_station/get_order_item_and_station_info', 1),
 (879, '2023-11-14 14:06:05', '2023-11-14 14:06:05', 149, 1, 'order:refund:saveIntervention', '添加介入凭证', '/m/order_refund_intervention/save_intervention_voucher', 3),
 (880, '2023-11-14 14:04:36', '2023-11-14 14:04:36', 149, 1, 'order:refund:returnMoney', '退货退款的最后处理', '/m/order_refund/return_money', 3),
 (881, '2023-11-14 14:03:54', '2023-11-14 14:03:54', 149, 1, 'order:refund:isLastRefund', '是否为最后一单', '/m/order_refund/is_last_refund', 1),
 (882, '2023-11-14 14:03:19', '2023-11-14 14:03:19', 149, 1, 'order:refund:return', '处理退款', '/m/order_refund/return_and_refund_audit', 3),
 (883, '2023-11-14 14:01:40', '2023-11-14 14:01:40', 334, 1, 'order:orderInvoice:changeInvoice', '申请换开(向供应商)', '/m/order_invoice/changeInvoice', 3),
 (884, '2023-11-14 14:01:00', '2023-11-14 14:01:00', 334, 1, 'order:orderInvoice:applyInvoice', '申请开票(向供应商)', '/m/order_invoice/applyInvoice', 2),
 (885, '2023-11-14 14:00:07', '2023-11-14 14:00:17', 334, 1, 'order:orderInvoice:isUpload', '是否上传发票查询', '/m/order_invoice/is_upload', 1),
 (886, '2023-11-15 11:58:16', '2023-11-15 11:58:16', 171, 2, 'order:order:getOrderDetail', '获取订单项详情', '/mp/order_item/get_order_detail', 1),
 (887, '2023-11-15 11:52:28', '2023-11-15 11:52:28', 148, 1, 'order:order:getOrderDetail', '获取订单项', '/mp/order_item/get_order_detail', 1),
 (888, '2023-11-15 11:50:26', '2023-11-15 11:50:26', 148, 1, 'order:order:getByUserId', '获取某个用户的订单', '/mp/order/get_shop_order_by_userId', 1),
 (889, '2023-11-15 11:49:01', '2023-11-15 11:49:13', 148, 1, 'order:order:exportOrderExcel', '导入订单', '/mp/order/export_order_excel', 2),
 (890, '2023-11-15 11:47:49', '2023-11-15 11:47:49', 148, 1, 'order:order:changeOrderRemark', '修改订单备注', '/mp/order/change_order_remark', 3),
 (891, '2023-11-15 11:47:12', '2023-11-15 11:47:12', 148, 1, 'order:order:changeUserAddr', '修改用户收货地址', '/mp/order/change_user_addr', 3),
 (892, '2023-11-15 11:46:27', '2023-11-15 11:46:27', 148, 1, 'order:order:changeAmount', '查询修改订单地址后的运费', '/mp/order/get_change_amount', 1),
 (893, '2023-11-15 11:45:36', '2023-11-15 11:45:36', 148, 1, 'order:order:sourcing', '采购', '/mp/order/sourcing_order', 3),
 (894, '2023-11-15 11:44:10', '2023-11-15 11:44:15', 148, 1, 'order:order:item:undelivery', '订单项待发货数量查询', '/mp/order/order_item_and_address/*', 1),
 (895, '2023-11-15 11:43:14', '2023-11-15 11:43:25', 148, 1, 'order:order:addr', '获取订单地址', '/mp/order/order_addr/*', 1),
 (896, '2023-11-15 11:38:39', '2023-11-15 11:39:14', 148, 1, 'order:order:page', '列表', '/mp/order/page', 1),
 (897, '2023-11-15 10:55:11', '2023-11-15 10:55:11', 564, 2, 'marketing:liveRoom:delete', '删除', '/p/live_room', 4),
 (898, '2023-11-15 10:54:41', '2023-11-15 10:54:41', 564, 2, 'marketing:liveRoom:info', '查看', '/p/live_room', 1),
 (899, '2023-11-15 10:54:06', '2023-11-15 10:54:06', 564, 2, 'marketing:liveRoom:page', '列表', '/p/live_room/page', 1),
 (900, '2023-11-15 10:48:55', '2023-11-15 10:48:55', 558, 1, 'marketing:liveRoom:prod', '获取直播间商品列表', '/m/live_room/list_live_room_prod', 1),
 (901, '2023-11-15 10:48:21', '2023-11-15 10:48:21', 558, 1, 'marketing:liveRoom:delete', '删除', '/m/live_room', 4),
 (902, '2023-11-15 10:47:58', '2023-11-15 10:47:58', 558, 1, 'marketing:liveRoom:update', '修改', '/m/live_room', 3),
 (903, '2023-11-15 10:47:40', '2023-11-15 10:47:40', 558, 1, 'marketing:liveRoom:save', '新增', '/m/live_room', 2),
 (904, '2023-11-15 10:47:03', '2023-11-15 10:47:03', 558, 1, 'marketing:liveRoom:get', '获取', '/m/live_room', 1),
 (905, '2023-11-15 10:46:27', '2023-11-15 10:46:27', 558, 1, 'marketing:liveRoom:page', '列表', '/m/live_room/page', 1),
 (906, '2023-11-15 10:40:57', '2023-11-15 10:40:57', 363, 2, 'distribution:distributionWithdrawCash:page', '提现记录列表', '/p/distribution_withdraw_cash/page', 1),
 (907, '2023-11-15 10:38:21', '2023-11-15 10:38:32', 363, 2, 'distribution:distributionUserWallet:page', '列表', '/p/distribution_user_wallet/page', 1),
 (908, '2023-11-15 10:37:16', '2023-11-15 10:38:51', 363, 2, 'distribution:wallet:bill:page', '流水列表', '/p/distribution_user_wallet_bill/wallet_bill_page', 1),
 (909, '2023-11-15 10:35:06', '2023-11-15 10:35:06', 362, 2, 'distribution:income:page', '分销业绩列表', '/mp/distribution_user_income/effect_page', 1),
 (910, '2023-11-15 10:30:39', '2023-11-15 10:30:39', 359, 2, 'distribution:user:ban:info', '获取分销员封禁信息', '/p/distribution_user/ban_info', 1),
 (911, '2023-11-15 10:29:19', '2023-11-15 10:29:19', 359, 2, 'distribution:user:achievement:page', '业绩列表', '/p/distribution_user/achievement_page', 1),
 (912, '2023-11-15 10:24:51', '2023-11-15 10:24:51', 359, 2, 'distribution:user:bind:page', '绑定关系列表', '/p/distribution_user_bind/page', 1),
 (913, '2023-11-15 10:23:49', '2023-11-15 10:23:49', 359, 2, 'distribution:user:ban:page', '分销员封禁记录列表', '/p/distribution_user_ban/page', 1),
 (914, '2023-11-15 10:22:31', '2023-11-15 10:22:31', 361, 2, 'distribution:spu:delete', '删除分销商品信息', '/p/distribution_spu', 4),
 (915, '2023-11-15 10:21:42', '2023-11-15 10:21:42', 361, 2, 'distribution:spu:get:offline', '获取分销商品审核信息', '/p/distribution_spu/get_offline_handle_event', 1),
 (916, '2023-11-15 10:21:04', '2023-11-15 10:26:06', 361, 2, 'distribution:spu:audit', '审核分销商品', '/p/distribution_spu/audit', 2),
 (917, '2023-11-15 10:16:35', '2023-11-15 10:21:55', 361, 2, 'distribution:spu:offline', '下线分销商品', '/p/distribution_spu/offline', 2),
 (918, '2023-11-15 10:15:35', '2023-11-15 10:15:35', 361, 2, 'distribution:spu:get', '获取分销商品', '/p/distribution_spu', 1),
 (919, '2023-11-15 10:13:23', '2023-11-15 10:13:23', 360, 2, 'distribution:msg:page', '列表', '/p/distribution_msg/page', 1),
 (920, '2023-11-15 10:12:11', '2023-11-15 10:12:11', 359, 2, 'distribution:auditing:get', '获取分销员申请信息', '/p/distribution_auditing', 1),
 (921, '2023-11-15 10:11:22', '2023-11-15 10:11:35', 359, 2, 'distribution:auditing:page', '审核列表', '/p/distribution_auditing/page', 1),
 (922, '2023-11-15 10:07:27', '2023-11-15 10:07:34', 364, 1, 'marketing:distributionSpu:get', '获取分销商品', '/m/distribution_spu', 1),
 (923, '2023-11-15 10:05:21', '2023-11-15 10:05:39', 361, 2, 'marketing:distributionSpu:log', '分销收入记录', '/mp/distribution_user_income/page_sales_record', 1),
 (924, '2023-11-15 09:55:08', '2023-11-15 10:00:56', 270, 2, 'marketing:discount:get:offline', '查看下线事件', '/mp/discount/get_offline_handle_event/*', 1),
 (925, '2023-11-15 09:53:20', '2023-11-15 09:54:10', 177, 2, 'marketing:discount:page', '列表', '/mp/discount/platform_page', 1),
 (926, '2023-11-15 09:52:29', '2023-11-15 10:01:35', 154, 1, 'marketing:discount:get', '查看', '/mp/discount/info/*', 1),
 (927, '2023-11-15 09:51:19', '2023-11-15 09:51:19', 154, 1, 'marketing:discount:page', '列表', '/mp/discount/page', 1),
 (928, '2023-11-15 09:50:12', '2023-11-15 09:50:12', 634, 2, 'user:user:get:coupon', '获取用户的优惠券', '/p/coupon/page_coupon_user', 1),
 (929, '2023-11-15 09:48:14', '2023-11-15 09:48:14', 233, 2, 'marketing:coupon:shop:coupon', '商家优惠券分页查询', '/mp/coupon/admin_page', 1),
 (930, '2023-11-15 09:47:02', '2023-11-15 09:47:02', 254, 2, 'marketing:coupon:platform:coupons', '分页获取平台优惠劵', '/mp/coupon/page_platform_coupons', 1),
 (931, '2023-11-15 09:44:48', '2023-11-15 09:45:12', 634, 2, 'user:user:send:coupon', '平台批量发放优惠券', '/mp/coupon/send_user_coupon', 1),
 (932, '2023-11-15 09:43:46', '2023-11-15 09:43:46', 235, 1, 'marketing:coupon:user:coupon', '获取用户的优惠券列表', '/mp/coupon/page_shop_coupon_user', 1),
 (933, '2023-11-15 09:42:39', '2023-11-15 09:42:39', 254, 2, 'marketing:coupon:page', '列表', '/mp/coupon/page', 1),
 (934, '2023-11-15 09:38:38', '2023-11-15 09:38:38', 235, 1, 'marketing:coupon:get', '查看', '/mp/coupon', 1),
 (935, '2023-11-15 09:36:48', '2023-11-15 09:36:48', 235, 1, 'marketing:coupon:page', '列表', '/mp/coupon/page', 1),
 (936, '2023-11-15 09:30:42', '2023-11-15 09:30:51', 550, 1, 'marketing:offerPackage:page', '列表', '/m/combo/page', 1),
 (937, '2023-11-15 09:23:11', '2023-11-15 09:23:11', 278, 2, 'marketing:group:page', '列表', '/mp/group_activity/platform_page', 1),
 (938, '2023-11-15 09:22:08', '2023-11-15 09:22:08', 275, 1, 'marketing:group:page', '列表', '/mp/group_activity/page', 1),
 (939, '2023-11-15 15:18:18', '2023-11-15 15:18:18', 564, 2, 'platform:liveRoom:offline', '违规下架', '/p/live_room/offline', 2),
 (940, '2023-11-15 15:17:52', '2023-11-15 15:17:52', 564, 2, 'platform:liveRoom:top', '置顶', '/p/live_room/toTop', 2),
 (941, '2023-11-16 11:48:58', '2023-11-16 11:48:58', 634, 2, 'user:tagUser:delete', '删除会员的某个标签', '/p/user_tag_user/delete_user_tag', 4),
 (942, '2023-11-16 11:47:09', '2023-11-16 11:47:09', 634, 2, 'user:tag:page', '客户标签列表', '/p/user_tag/tag_page', 1),
 (943, '2023-11-16 11:46:42', '2023-11-16 11:46:42', 635, 2, 'user:tag:page', '客户标签列表', '/p/user_tag/tag_page', 1),
 (944, '2023-11-16 11:45:46', '2023-11-16 11:45:46', 635, 2, 'user:tag:tagList', '可以添加的标签列表', '/p/user_tag/tag_list', 1),
 (945, '2023-11-16 11:44:06', '2023-11-16 11:44:06', 635, 2, 'user:tag:show', '获取客户标签', '/p/user_tag', 1),
 (946, '2023-11-16 11:33:57', '2023-11-16 11:33:57', 634, 2, 'user:scoreLog:page', '用户积分记录列表', '/p/user_score_log/page', 1),
 (947, '2023-11-16 11:31:39', '2023-11-16 11:31:39', 639, 2, 'user:rights:show', '获取用户权益信息', '/p/user_rights', 1),
 (948, '2023-11-16 11:30:52', '2023-11-16 11:30:52', 639, 2, 'user:rights:page', '用户权益信息列表', '/p/user_rights/page', 1),
 (949, '2023-11-16 11:28:11', '2023-11-16 11:28:11', 634, 2, 'user:recharge:pageUserLog', '用户的余额明细', '/p/user_recharge/page_user_log', 1),
 (950, '2023-11-16 11:27:00', '2023-11-16 11:27:00', 634, 2, 'user:recharge:updateUserBalance', '批量修改会员余额', '/p/user_recharge/update_user_balance', 3),
 (951, '2023-11-16 11:25:27', '2023-11-16 11:25:27', 638, 2, 'user:recharge:info', '获取余额充值套餐数据', '/p/user_recharge/info', 1),
 (952, '2023-11-16 11:24:08', '2023-11-16 11:28:24', 638, 2, 'user:recharge:list', '余额充值列表数据', '/p/user_recharge/list', 1),
 (953, '2023-11-16 11:21:15', '2023-11-16 11:21:15', 637, 2, 'user:userLevelLog:page', '获取付费会员购买记录', '/p/user_level_log/page_buy_level_log', 1),
 (954, '2023-11-16 11:17:26', '2023-11-16 11:17:26', 634, 2, 'user:leve:batchUserScore', '批量修改会员积分', '/p/user_level/batch_user_score', 3),
 (955, '2023-11-16 11:16:49', '2023-11-16 11:16:49', 634, 2, 'user:leve:updateGrowth', '批量修改会员成长值', '/p/user_level/update_growth', 3),
 (956, '2023-11-16 11:16:11', '2023-11-16 11:16:11', 636, 2, 'user:leve:updateUserLevel', '新增/更新用户会员等级', '/p/user_level/update_user_level', 3),
 (957, '2023-11-16 11:09:22', '2023-11-16 11:09:22', 636, 2, 'user:leve:recruitStatus', '付费会员，是否可以招募会员', '/p/user_level/recruit_status', 3),
 (958, '2023-11-16 11:07:51', '2023-11-16 11:07:51', 636, 2, 'user:leve:show', '获取会员等级表', '/p/user_level', 1),
 (959, '2023-11-16 11:07:05', '2023-11-16 11:07:05', 636, 2, 'user:leve:list', '会员等级表列表', '/p/user_level/list', 1),
 (960, '2023-11-16 11:06:27', '2023-11-16 11:06:27', 634, 2, 'user:leve:list', '会员等级表列表', '/p/user_level/list', 1),
 (961, '2023-11-16 11:05:04', '2023-11-16 11:05:04', 634, 2, 'user:growthLog:page', '用户成长值记录列表', '/p/user_growth_log/page', 1),
 (962, '2023-11-16 10:58:22', '2023-11-16 10:58:22', 634, 2, 'user:user:downModel', '下载用户信息导入excel模板', '/p/user/down_model', 1),
 (963, '2023-11-16 10:57:23', '2023-11-16 10:57:23', 634, 2, 'user:user:update', '修改', '/p/user', 3),
 (964, '2023-11-16 10:56:40', '2023-11-16 10:56:40', 634, 2, 'user:user:show', '获取会员信息', '/p/user/user_info', 1),
 (965, '2023-11-16 10:55:45', '2023-11-16 10:55:45', 634, 2, 'user:user:page', '会员列表', '/p/user/user_page', 1),
 (966, '2023-11-16 10:47:08', '2023-11-16 10:47:08', 587, 1, 'customer:customer:downModel', '下载客户信息excel模板', '/m/user/down_model', 1),
 (967, '2023-11-16 10:37:39', '2023-11-16 10:37:39', 587, 1, 'customer:customer:info', '获取会员信息', '/m/user/user_info', 1),
 (968, '2023-11-16 10:36:26', '2023-11-16 10:36:26', 587, 1, 'customer:customer:update', '修改', '/m/user', 3),
 (969, '2023-11-16 10:33:35', '2023-11-16 10:33:35', 587, 1, 'customer:customer:shopCustomerPage', '客户列表', '/m/user/shop_customer_page', 1),
 (970, '2023-11-16 10:24:48', '2023-11-16 10:24:48', 281, 2, 'seckill:time:info', '秒杀时间配置信息', '/p/seckill_time/info/*', 1),
 (971, '2023-11-16 10:22:31', '2023-11-16 10:22:31', 281, 2, 'mp:seckill:getJoinSeckillMerchantNum', '正在参与秒杀活动的商家数量', '/mp/seckill/get_join_seckill_merchant_num', 1),
 (972, '2023-11-16 10:20:58', '2023-11-16 10:20:58', 289, 1, 'mp:seckill:auditApply', '违规活动提交审核', '/mp/seckill/audit_apply', 2),
 (973, '2023-11-16 10:20:18', '2023-11-16 10:20:18', 294, 2, 'mp:seckill:audit', '审核活动', '/mp/seckill/audit', 2),
 (974, '2023-11-16 10:19:36', '2023-11-16 10:19:36', 294, 2, 'mp:seckill:offline', '下线秒杀活动', '/mp/seckill/offline', 3),
 (975, '2023-11-16 10:18:49', '2023-11-16 10:18:49', 294, 2, 'mp:seckill:getOfflineHandleEvent', '获取最新下线的事件', '/mp/seckill/get_offline_handle_event/*', 1),
 (976, '2023-11-16 10:18:29', '2023-11-16 10:18:29', 289, 1, 'mp:seckill:getOfflineHandleEvent', '获取最新下线的事件', '/mp/seckill/get_offline_handle_event/*', 1),
 (977, '2023-11-16 10:16:48', '2023-11-16 10:16:48', 289, 1, 'mp:seckill:delete', '删除秒杀信息', '/mp/seckill', 4),
 (978, '2023-11-16 10:16:00', '2023-11-16 10:16:00', 289, 1, 'mp:seckill:invalid', '使秒杀商品失效', '/mp/seckill/invalid/*', 3),
 (979, '2023-11-16 10:14:48', '2023-11-16 10:14:48', 294, 2, 'mp:seckill:show', '查询秒杀信息', '/mp/seckill', 1),
 (980, '2023-11-16 10:14:22', '2023-11-16 10:14:22', 289, 1, 'mp:seckill:show', '查询秒杀信息', '/mp/seckill', 1),
 (981, '2023-11-16 10:12:45', '2023-11-16 10:12:45', 289, 1, 'mp:seckill:save', '新增秒杀信息', '/mp/seckill', 2),
 (982, '2023-11-16 10:08:25', '2023-11-16 10:08:25', 294, 2, 'mp:seckill:listSeckillSpuByTime', '秒杀商品信息列表', '/mp/seckill/list_seckill_spu_by_time', 1),
 (983, '2023-11-16 10:07:50', '2023-11-16 10:07:50', 289, 1, 'mp:seckill:listSeckillSpuByTime', '秒杀商品信息列表', '/mp/seckill/list_seckill_spu_by_time', 1),
 (984, '2023-11-16 10:06:28', '2023-11-16 10:06:28', 281, 2, 'mp:seckill:listEndSeckill', '已经结束的秒杀信息列表', '/mp/seckill/list_end_seckill', 1),
 (985, '2023-11-16 10:05:25', '2023-11-16 10:05:25', 279, 1, 'mp:seckill:listEndSeckill', '已经结束的秒杀信息列', '/mp/seckill/list_end_seckill', 1),
 (986, '2023-11-16 10:04:13', '2023-11-16 10:04:13', 279, 1, 'mp:seckill:list', '秒杀信息列表', '/mp/seckill/list_seckill', 1),
 (987, '2023-11-16 10:03:15', '2023-11-16 10:03:15', 281, 2, 'mp:seckill:list', '秒杀信息列表', '/mp/seckill/list_seckill', 1),
 (988, '2023-11-16 09:15:15', '2023-11-16 09:15:15', 281, 2, 'seckill:category:show', '获取秒杀分类信息', '/mp/seckill_category', 1),
 (989, '2023-11-16 09:11:54', '2023-11-16 09:13:32', 281, 2, 'seckill:category:list', '秒杀分类信息列表', '/mp/seckill_category/list', 1),
 (990, '2023-11-16 09:10:41', '2023-11-16 09:13:38', 289, 1, 'seckill:category:list', '秒杀分类信息列表', '/mp/seckill_category/list', 1),
 (991, '2023-11-15 17:39:31', '2023-11-15 17:39:31', 545, 1, 'mp:spuSearch:renovationPage', '商品信息列表(商家装修商品列表)', '/mp/search/renovation_page', 1),
 (992, '2023-11-15 17:39:12', '2023-11-15 17:39:12', 541, 1, 'mp:spuSearch:renovationPage', '商品信息列表(商家装修商品列表)', '/mp/search/renovation_page', 1),
 (993, '2023-11-15 17:38:20', '2023-11-15 17:38:20', 513, 1, 'mp:spuSearch:pageComboAddSpu', '/mp/search/page_combo_add_spu', '/mp/search/page_combo_add_spu', 1),
 (994, '2023-11-15 17:37:59', '2023-11-15 17:37:59', 551, 1, 'mp:spuSearch:pageComboAddSpu', '套餐以及赠品选择商品列表', '/mp/search/page_combo_add_spu', 1),
 (995, '2023-11-15 17:36:29', '2023-11-15 17:36:29', 443, 1, 'mp:spuSearch:pageConsignmentSpu', '代销商品列表', '/mp/search/pageConsignmentSpu', 1),
 (996, '2023-11-15 17:34:25', '2023-11-15 17:34:25', 433, 1, 'mp:spuSearch:pageShopSpuList', '获取商家的商品列表', '/mp/search/page_shop_spu_list', 1),
 (997, '2023-11-15 17:34:06', '2023-11-15 17:34:06', 436, 1, 'mp:spuSearch:pageShopSpuList', '获取商家的商品列表', '/mp/search/page_shop_spu_list', 1),
 (998, '2023-11-15 17:32:29', '2023-11-15 17:32:29', 431, 1, 'mp:spuSearch:pageSupplierSpuList', '获取某个供应商或商家（不含代销商品）的商品列表', '/mp/search/page_supplier_spu_list', 1),
 (999, '2023-11-15 17:29:52', '2023-11-15 17:29:52', 142, 1, 'mp:spuSearch:pageSupplySpu', '供应商品列表', '/mp/search/page_supply_spu', 1),
 (1000, '2023-11-15 17:28:24', '2023-11-15 17:28:24', 364, 1, 'mp:spuSearch:pageDistributionSpu', '分销商品列表', '/mp/search/page_distribution_spu', 1),
 (1001, '2023-11-15 17:27:29', '2023-11-15 17:27:29', 152, 1, 'mp:spuSearch:page', '商品列表', '/mp/search/page', 1),
 (1002, '2023-11-15 17:25:15', '2023-11-15 17:25:15', 148, 1, 'mp:order:soldExcel', '导出订单excel', '/mp/order/search/sold_excel', 1),
 (1003, '2023-11-15 17:19:54', '2023-11-15 17:19:54', 172, 2, 'mp:orderRefund:page', '退款订单列表', '/mp/search/order_refund/page', 1),
 (1004, '2023-11-15 17:18:50', '2023-11-15 17:19:25', 149, 1, 'mp:orderRefund:page', '退款订单列表', '/mp/search/order_refund/page', 1),
 (1005, '2023-11-15 17:16:20', '2023-11-15 17:16:20', 479, 3, 'supplier:purchaseOrderSearch:page', '采购订单列表', '/s/purchase_order_search/page', 1),
 (1006, '2023-11-15 17:14:38', '2023-11-15 17:14:38', 508, 3, 'supplier:spu:page', '商品信息列表', '/s/search/page', 1),
 (1007, '2023-11-15 17:13:42', '2023-11-15 17:13:42', 478, 3, 'supplier:order:soldExcel', '导出订单excel', '/s/order/search/page', 1),
 (1008, '2023-11-15 17:09:19', '2023-11-15 17:09:19', 534, 2, 'platform:spu:renovationPage', '商品信息列表(平台装修商品列表)', '/p/search/renovation_page', 1),
 (1009, '2023-11-15 17:08:52', '2023-11-15 17:08:52', 529, 2, 'platform:spu:renovationPage', '商品信息列表(平台装修商品列表)', '/p/search/renovation_page', 1),
 (1010, '2023-11-15 17:03:13', '2023-11-15 17:03:13', 643, 2, 'platform:spu:scorePage', '积分商品列表', '/p/search/score_page', 1),
 (1011, '2023-11-15 17:02:14', '2023-11-15 17:02:14', 175, 2, 'platform:spu:page', '商品管理信息列表', '/p/search/page', 1),
 (1012, '2023-11-15 17:00:27', '2023-11-15 17:00:27', 171, 2, 'platform:order:soldExcel', '导出订单excel', '/p/order/search/sold_excel', 1),
 (1013, '2023-11-15 16:58:28', '2023-11-15 16:58:28', 641, 2, 'platform:order:scoreSoldExcel', '积分订单导出excel', '/p/order/search/score_sold_excel', 1),
 (1014, '2023-11-15 16:55:44', '2023-11-15 16:55:44', 430, 1, 'shop:purchaseOrderSearch:page', '采购订单列表', '/m/purchase_order_search/page', 1),
 (1015, '2023-11-15 16:53:28', '2023-11-15 16:53:28', 334, 1, 'shop:orderInvoiceSearch:page', '获取订单发票列表', '/m/order_invoice_search/page', 1),
 (1016, '2023-11-15 16:48:43', '2023-11-15 16:48:43', 503, 3, 'supplier:allinpayCompany:signAcctProtocol', '账户协议签约（通联支付）', '/s/apply_supplier/allinpay/company/sign_acct_protocol', 1),
 (1017, '2023-11-15 16:47:38', '2023-11-15 16:47:38', 503, 3, 'supplier:allinpayCompany:bindCompanyAccount', '企业会员绑定对公户（通联支付）', '/s/apply_supplier/allinpay/company/bind_company_account', 2),
 (1018, '2023-11-15 16:45:45', '2023-11-15 16:45:45', 503, 3, 'supplier:allinpayCompany:unbindBankCard', '解绑银行卡（通联支付）', '/s/apply_supplier/allinpay/company/unbind_bank_card', 3),
 (1019, '2023-11-15 16:44:06', '2023-11-15 16:44:06', 503, 3, 'supplier:allinpayCompany:applyBindBankCard', '请求绑定银行卡（通联支付）（法人账户）', '/s/apply_supplier/allinpay/company/apply_bind_bank_card', 2),
 (1020, '2023-11-15 16:42:42', '2023-11-15 16:42:42', 503, 3, 'supplier:allinpayCompany:unbindPhone', '解绑手机号（通联支付）', '/s/apply_supplier/allinpay/company/unbind_phone', 3),
 (1021, '2023-11-15 16:41:48', '2023-11-15 16:42:48', 503, 3, 'supplier:allinpayCompany:bindPhone', '绑定手机号（通联支付）', '/s/apply_supplier/allinpay/company/bind_phone', 2),
 (1022, '2023-11-15 16:39:38', '2023-11-15 16:40:16', 503, 3, 'supplier:allinpayCompany:sendVerificationCode', '发送短信验证码（通联绑定手机号）', '/s/apply_supplier/allinpay/company/send_verification_code', 1),
 (1023, '2023-11-15 16:33:38', '2023-11-15 16:40:23', 503, 3, 'supplier:allinpayCompany:getCompanyInfo', '获取企业信息', '/s/apply_supplier/allinpay/company/get_company_info', 1),
 (1024, '2023-11-15 16:13:45', '2023-11-15 16:19:25', 316, 2, 'shop:accountDetail:getRefundInfo', '获取指定店铺的退款结算明细列表', '/p/account_detail/get_refund_info', 1),
 (1025, '2023-11-15 16:09:19', '2023-11-15 16:20:34', 316, 2, 'platform:accountDetail:getPayInfo', '获取指定店铺的收入结算明细列表', '/p/account_detail/get_pay_info', 1),
 (1026, '2023-11-15 16:07:02', '2023-11-15 16:20:39', 316, 2, 'platform:accountDetail:/getRefundAccountDetailInfo', '获取退款账户详情列表', '/p/account_detail/get_refund_account_detail_info', 1),
 (1027, '2023-11-15 16:06:02', '2023-11-15 16:20:44', 316, 2, 'platform:accountDetail:getIncomeAccountDetailInfo', '获取收入账户详情列表', '/p/account_detail/get_income_account_detail_info', 1),
 (1028, '2023-11-15 16:04:05', '2023-11-15 16:23:24', 316, 2, 'platform:accountDetail:getRefundAccountDetail', '获取退款账户详情', '/p/account_detail/get_refund_account_detail', 1),
 (1029, '2023-11-15 16:02:03', '2023-11-15 16:23:30', 316, 2, 'platform:accountDetail:getIncomeAccountDetail', '获取收入账户详情', '/p/account_detail/get_income_account_detail', 1),
 (1030, '2023-11-15 15:40:25', '2023-11-15 15:40:25', 665, 1, 'shop:pay:isPa', '根据订单号查询该订单是否已经支付', '/m/pay/is_pay/*', 1),
 (1031, '2023-11-15 15:38:54', '2023-11-15 15:38:54', 665, 1, 'shop:pay:recharge', '余额充值', '/m/pay/recharge', 2),
 (1032, '2023-11-15 15:36:00', '2023-11-15 15:36:00', 662, 1, 'shop:allinpayOrder:resendPaySms', '重新发送支付验证码 (通联支付)', '/m/allinpay/order/resend_pay_sms', 1),
 (1033, '2023-11-15 15:35:34', '2023-11-15 15:35:34', 148, 1, 'shop:allinpayOrder:resendPaySms', '重新发送支付验证码 (通联支付)', '/m/allinpay/order/resend_pay_sms', 1),
 (1034, '2023-11-15 15:31:42', '2023-11-15 15:31:42', 662, 1, 'shop:allinpayOrder:payConfirmByBacSms', '确定支付 - 后台+短信验证(通联支付)', '/m/allinpay/order/pay_confirm_by_back_sms', 2),
 (1035, '2023-11-15 15:31:18', '2023-11-15 15:31:18', 148, 1, 'shop:allinpayOrder:payConfirmByBacSms', '确定支付 - 后台+短信验证(通联支付)', '/m/allinpay/order/pay_confirm_by_back_sms', 2),
 (1036, '2023-11-15 15:23:19', '2023-11-15 15:23:19', 271, 1, 'shop:allinpayCompany:signAcctProtocol', '账户协议签约（通联支付）', '/m/apply_shop/allinpay/company/sign_acct_protocol', 2),
 (1037, '2023-11-15 15:22:06', '2023-11-15 15:22:06', 271, 1, 'shop:allinpayCompany:bindCompanyAccount', '企业会员绑定对公户（通联支付）', '/m/apply_shop/allinpay/company/bind_company_account', 2),
 (1038, '2023-11-15 15:20:08', '2023-11-15 15:20:08', 271, 1, 'shop:allinpayCompany:unbindBankCard', '解绑银行卡（通联支付）', '/m/apply_shop/allinpay/company/unbind_bank_card', 3),
 (1039, '2023-11-15 15:19:00', '2023-11-15 15:19:00', 271, 1, 'shop:allinpayCompany:applyBindBankCard', '请求绑定银行卡-法人（通联支付）', '/m/apply_shop/allinpay/company/apply_bind_bank_card', 2),
 (1040, '2023-11-15 15:16:39', '2023-11-15 15:16:39', 271, 1, 'shop:allinpayCompany:unbindPhone', '解绑手机号（通联支付）', '/mall4cloud_payment/m/apply_shop/allinpay/company/unbind_phone', 3),
 (1041, '2023-11-15 15:15:39', '2023-11-15 15:15:39', 271, 1, 'shop:allinpayCompany:bindPhone', '绑定手机号（通联支付）', '/m/apply_shop/allinpay/company/bind_phone', 2),
 (1042, '2023-11-15 15:09:21', '2023-11-15 15:17:12', 271, 1, 'shop:allinpayCompany:sendVerificationCode', '发送短信验证码(通联支付）', '/m/apply_shop/allinpay/company/send_verification_code', 2),
 (1043, '2023-11-15 15:00:31', '2023-11-15 15:00:31', 148, 1, 'shop:allinpayCompany:getCompanyInfo', '获取企业信息', '/m/apply_shop/allinpay/company/get_company_info', 1),
 (1044, '2023-11-15 14:45:29', '2023-11-15 14:45:29', 443, 1, 'product:spu:supplierExcel', '代销商品导出excel', '/mp/spu/supplier_excel', 1),
 (1045, '2023-11-15 14:44:47', '2023-11-15 14:44:47', 142, 1, 'product:spu:importSupplierSpu', '商家单个/批量导入供应商商品', '/mp/spu/import_supplier_spu', 2),
 (1046, '2023-11-15 14:39:30', '2023-11-15 14:39:30', 152, 1, 'product:spu:auditApply', '违规下架商品提交审核', '/mp/spu/audit_apply', 2),
 (1047, '2023-11-15 14:38:24', '2023-11-15 14:38:24', 175, 2, 'product:spu:audit', '审核商品', '/mp/spu/audit', 2),
 (1048, '2023-11-15 14:37:37', '2023-11-15 14:37:37', 152, 1, 'product:spu:getOfflineHandleEvent', '获取最新下线的事件', '/mp/spu/get_offline_handle_event/*', 1),
 (1049, '2023-11-15 14:36:45', '2023-11-15 14:36:45', 175, 2, 'product:spu:getOfflineHandleEvent', '获取最新下线的事件', '/mp/spu/get_offline_handle_event/*', 1),
 (1050, '2023-11-15 14:35:40', '2023-11-15 14:35:40', 175, 2, 'product:spu:batchOffline', '批量下线商品', '/mp/spu/batch_offline', 1),
 (1051, '2023-11-15 14:31:07', '2023-11-15 14:31:07', 152, 1, 'product:spu:exportExcel', '导入spu文件', '/mp/spu/export_excel', 2),
 (1052, '2023-11-15 14:30:24', '2023-11-15 14:30:24', 152, 1, 'product:spu:downModel', '导出商品excel模板', '/mp/spu/down_model', 1),
 (1053, '2023-11-15 14:28:56', '2023-11-15 14:28:56', 443, 1, 'product:spu:soldExcel', '导出商品excel', '/mp/spu/sold_excel', 1),
 (1054, '2023-11-15 14:28:34', '2023-11-15 14:28:34', 152, 1, 'product:spu:soldExcel', '导出商品excel', '/mp/spu/sold_excel', 1),
 (1055, '2023-11-15 14:14:39', '2023-11-15 14:14:39', 443, 1, 'product:spu:prodStatus', '商品上下架', '/mp/spu/prod_status', 3),
 (1056, '2023-11-15 14:14:12', '2023-11-15 14:14:12', 152, 1, 'product:spu:prodStatus', '商品上下架', '/mp/spu/prod_status', 3),
 (1057, '2023-11-15 14:13:23', '2023-11-15 14:13:23', 443, 1, 'product:spu:updateSpuData', '修改spu（名称、价格、库存、序号）信息', '/mp/spu/update_spu_data', 3),
 (1058, '2023-11-15 14:13:06', '2023-11-15 14:13:06', 152, 1, 'product:spu:updateSpuData', '修改spu（名称、价格、库存、序号）信息', '/mp/spu/update_spu_data', 3),
 (1059, '2023-11-15 14:12:07', '2023-11-15 14:12:07', 443, 1, 'product:spu:delete', '根据spu信息id删除spu信息', '/mp/spu', 4),
 (1060, '2023-11-15 14:11:21', '2023-11-15 14:11:21', 443, 1, 'product:spu:edit', '更新商品信息', '/mp/spu', 3),
 (1061, '2023-11-15 14:08:01', '2023-11-15 14:08:01', 443, 1, 'product:spu:show', '获取商品信息', '/mp/spu', 1),
 (1062, '2023-11-15 14:02:18', '2023-11-15 14:08:07', 142, 1, 'product:spu:show', '获取商品信息', '/mp/spu', 1),
 (1063, '2023-11-15 13:56:56', '2023-11-15 13:56:56', 162, 2, 'product:category:soldExcel', '导出分类excel', '/mp/category/sold_excel', 1),
 (1064, '2023-11-15 13:56:31', '2023-11-15 13:56:31', 139, 1, 'product:category:soldExcel', '导出分类excel', '/mp/category/sold_excel', 1),
 (1065, '2023-11-15 13:55:21', '2023-11-15 13:55:21', 139, 1, 'product:category:/categoryEnableOrDisable', '分类的启用或禁用', '/mp/category/category_enable_or_disable', 1),
 (1066, '2023-11-15 13:54:48', '2023-11-15 13:54:48', 162, 2, 'product:category:/categoryEnableOrDisable', '分类的启用或禁用', '/mp/category/category_enable_or_disable', 3),
 (1067, '2023-11-15 13:52:58', '2023-11-15 13:52:58', 152, 1, 'product:category:enableCategories', '获取平台/店铺启用的分类信息', '/mp/category/enable_categories', 1),
 (1068, '2023-11-15 13:52:19', '2023-11-15 13:52:19', 175, 2, 'product:category:enableCategories', '获取平台/店铺启用的分类信息', '/mp/category/enable_categories', 1),
 (1069, '2023-11-15 13:49:08', '2023-11-15 13:49:08', 139, 1, 'product:category:shopCategories', '获取店铺所有的分类信息', '/mp/category/shop_categories', 1),
 (1070, '2023-11-15 13:39:18', '2023-11-15 13:39:18', 162, 2, 'product:category:platformCategories', '获取平台所有的分类信息', '/mp/category/platform_categories', 1),
 (1071, '2023-11-15 13:37:54', '2023-11-15 13:37:54', 162, 2, 'product:category:show', '获取分类信息', '/mp/category', 1),
 (1072, '2023-11-15 12:00:53', '2023-11-15 12:00:53', 500, 2, 'product:brand:listByParams', '根据参数获取平台品牌列表', '/mp/attr/get_shop_attrs', 1),
 (1073, '2023-11-15 12:00:32', '2023-11-15 12:00:32', 306, 2, 'product:brand:listByParams', '根据参数获取平台品牌列表', '/mp/attr/get_shop_attrs', 1),
 (1074, '2023-11-15 11:59:38', '2023-11-15 11:59:38', 501, 2, 'product:brand:listByParams', '根据参数获取平台品牌列表', '/mp/brand/list_by_params', 1),
 (1075, '2023-11-15 11:59:15', '2023-11-15 11:59:15', 365, 2, 'product:brand:listByParams', '根据参数获取平台品牌列表', '/mp/brand/list_by_params', 1),
 (1076, '2023-11-15 11:52:04', '2023-11-15 11:52:04', 642, 2, 'score:attr:getShopAttrs', '获取店铺中的销售属性', '/mp/attr/get_shop_attrs', 1),
 (1077, '2023-11-15 11:50:22', '2023-11-15 11:50:22', 175, 2, 'product:attr:getAttrsByCategoryId', '根据分类及属性类别获取属性列表', '/mp/attr/get_attrs_by_category_id', 1),
 (1078, '2023-11-15 11:48:00', '2023-11-15 11:48:00', 160, 2, 'product:attr:show', '获取属性信息', '/mp/attr', 1),
 (1079, '2023-11-15 11:46:04', '2023-11-15 11:46:04', 160, 2, 'product:attr:page', '获取属性信息列表', '/mp/attr/page', 1),
 (1080, '2023-11-15 11:36:06', '2023-11-15 11:36:06', 473, 3, 'product:spuPriceLog:page', '获取商品调价记录列表', '/s/spu_price_log/page', 1),
 (1081, '2023-11-15 11:27:59', '2023-11-15 11:27:59', 508, 3, 'product:spu:downModel', '导出商品excel模板', '/s/spu/down_model', 1),
 (1082, '2023-11-15 11:26:12', '2023-11-15 11:26:12', 508, 3, 'product:spu:updateSpuStatus', '商品上下架', '/s/spu/prod_status', 3),
 (1083, '2023-11-15 11:25:37', '2023-11-15 11:25:37', 508, 3, 'product:spu:updateSpuData', '修改spu（名称、价格、库存、序号）信息', '/s/spu/update_spu_data', 3),
 (1084, '2023-11-15 11:23:50', '2023-11-15 11:23:50', 508, 3, 'product:spu:batchDelete', '批量删除spu信息', '/s/spu/batch', 4),
 (1085, '2023-11-15 11:22:45', '2023-11-15 11:22:45', 508, 3, 'product:spu:delete', '删除spu', '/s/spu', 4),
 (1086, '2023-11-15 11:21:58', '2023-11-15 11:21:58', 468, 3, 'product:spu:update', '更新spu信息', '/s/spu', 3),
 (1087, '2023-11-15 11:20:38', '2023-11-15 11:20:38', 468, 3, 'product:spu:show', '获取spu信息', '/s/spu', 1),
 (1088, '2023-11-15 11:04:41', '2023-11-15 11:04:41', 503, 3, 'supplier:category:listApplySigningCategory', '获取可以签约的平台分类列表（已经签约的平台分类不会返回）', '/s/apply_supplier/category/list_apply_signing_category', 1),
 (1089, '2023-11-15 11:03:57', '2023-11-15 11:03:57', 468, 3, 'product:category:listSigningCategory', '获取签约的可用分类列表(发布商品时使用,包含对应的上级分类）', '/s/apply_supplier/category/list_signing_category', 1),
 (1090, '2023-11-15 11:02:52', '2023-11-15 11:02:52', 503, 3, 'supplier:category:platformCategories', '获取平台所有的分类信息', '/s/apply_supplier/category/platform_categories', 1),
 (1091, '2023-11-15 11:02:14', '2023-11-15 11:02:14', 503, 3, 'supplier:category:listBySupplier', '获取签约的分类列表(返回所有)', '/s/apply_supplier/category/list_by_supplier', 1),
 (1092, '2023-11-15 11:01:46', '2023-11-15 11:01:50', 503, 3, 'supplier:category:signing', '签约分类', '/s/apply_supplier/category/signing', 2),
 (1093, '2023-11-15 10:44:37', '2023-11-15 10:44:37', 503, 3, 'supplier:brand:listApplySigningBrand', '获取可以签约的品牌列表', '/s/apply_supplier/brand/list_apply_signing_brand', 1),
 (1094, '2023-11-15 10:43:57', '2023-11-15 10:43:57', 503, 3, 'supplier:brand:deleteSigningBrand', '根据签约信息Id删除签约品牌', '/s/apply_supplier/brand/delete_signing_brand', 4),
 (1095, '2023-11-15 10:42:59', '2023-11-15 10:42:59', 468, 3, 'product:brand:listAvailableByCategoryAndName', '根据分类id与品牌名称获取分类下的品牌与店铺签约的品牌', '/s/apply_supplier/brand/list_available_by_category_and_name', 1),
 (1096, '2023-11-15 10:38:05', '2023-11-15 10:38:05', 503, 3, 'supplier:brand:listSigning', '获取店铺下已签约的品牌列表', '/s/apply_supplier/brand/list_signing', 1),
 (1097, '2023-11-15 10:37:02', '2023-11-15 10:37:02', 503, 3, 'supplier:brand:signing', '签约品牌', '/s/apply_supplier/brand/signing', 2),
 (1098, '2023-11-15 09:49:58', '2023-11-15 09:49:58', 468, 3, 'product:attr:deleteProd', '获取店铺中的销售属性', '/s/attr/get_shop_attrs', 1),
 (1099, '2023-11-15 09:49:30', '2023-11-15 09:49:30', 468, 3, 'product:attr:getAttrsByCategoryId', '根据分类及属性类别获取属性列表', '/s/attr/get_attrs_by_category_id', 1),
 (1100, '2023-11-15 09:14:55', '2023-11-15 09:14:55', 678, 2, 'product:spuTag:deleteProd', '删除分组中的商品', '/p/spu_tag_reference/delete_prod', 4),
 (1101, '2023-11-15 09:14:24', '2023-11-15 09:14:24', 678, 2, 'product:spuTag:updateProdSeq', '修改分组中的商品排序号', '/p/spu_tag_reference/update_prod_seq', 3),
 (1102, '2023-11-15 09:13:47', '2023-11-15 09:13:47', 678, 2, 'product:spuTag:pageSpuByTag', '获取当前分组的所有商品', '/p/spu_tag_reference/page_spu_by_tag', 1),
 (1103, '2023-11-14 17:59:35', '2023-11-14 17:59:35', 678, 2, 'product:spuTag:getNotTagProdPage', '获取非本分组的商品列表', '/p/spu_tag/get_not_tag_prod_page', 1),
 (1104, '2023-11-14 17:50:45', '2023-11-14 17:50:45', 678, 2, 'roduct:spuTag:getById', '根据id获取商品分组', '/p/spu_tag/info/{id}', 1),
 (1105, '2023-11-14 17:49:45', '2023-11-14 17:49:45', 678, 2, 'product:spuTag:page', '获取商品分组表列表', '/p/spu_tag/page', 1),
 (1106, '2023-11-14 17:35:15', '2023-11-14 17:40:45', 175, 2, 'product:spu:soldExcel', '导出商品excel', '/p/spu/sold_excel', 1),
 (1107, '2023-11-14 17:34:45', '2023-11-14 17:40:52', 175, 2, 'product:spu:auditSpu', '商品审核', '/p/spu/audit_spu', 3),
 (1108, '2023-11-14 17:32:29', '2023-11-14 17:32:29', 642, 2, 'platform:spu:scoreSave', '保存积分spu信息', '/p/spu/score_save', 2),
 (1109, '2023-11-14 17:31:10', '2023-11-14 17:31:10', 175, 2, 'platform:spu:toTop', '通过商品id设置是否置顶', '/p/spu/to_top', 3),
 (1110, '2023-11-14 17:25:56', '2023-11-14 17:25:56', 162, 2, 'product:category:soldExcel', '导出excel', '/p/category/sold_excel', 1),
 (1111, '2023-11-14 17:23:31', '2023-11-14 17:26:33', 500, 2, 'platform:category:signing', '更新店铺签约分类', '/p/category/signing', 3),
 (1112, '2023-11-14 17:23:12', '2023-11-14 17:26:44', 306, 2, 'platform:category:signing', '更新店铺签约分类', '/p/category/signing', 3),
 (1113, '2023-11-14 17:22:32', '2023-11-14 17:26:52', 498, 2, 'platform:category:signingInfoByShopId', '根据店铺id获取分类签约信息', '/p/category/signing_info_by_shopId', 1),
 (1114, '2023-11-14 17:22:13', '2023-11-14 17:26:58', 302, 2, 'platform:category:signingInfoByShopId', '根据店铺id获取分类签约信息', '/p/category/signing_info_by_shopId', 1),
 (1115, '2023-11-14 17:18:49', '2023-11-14 17:27:08', 500, 2, 'platform:brand:signing', '根据店铺id更新店铺下的签约品牌', '/p/brand/signing', 3),
 (1116, '2023-11-14 17:18:22', '2023-11-14 17:18:22', 498, 2, 'product:brand:signingInfoByShopId', '根据店铺id获取签约的品牌列表', '/p/brand/signing_info_by_shop_id', 1),
 (1117, '2023-11-14 17:17:06', '2023-11-14 17:27:18', 306, 2, 'platform:brand:signing', '根据店铺id更新店铺下的签约品牌', '/p/brand/signing', 3),
 (1118, '2023-11-14 17:15:07', '2023-11-14 17:27:29', 302, 2, 'platform:brand:signingInfoByShopId', '根据店铺id获取签约的品牌列表', '/p/brand/signing_info_by_shop_id', 1),
 (1119, '2023-11-14 17:11:59', '2023-11-14 17:11:59', 161, 2, 'product:brand:show', '获取品牌信息', '/p/brand', 1),
 (1120, '2023-11-14 17:08:58', '2023-11-14 17:08:58', 161, 2, 'product:brand:page', '获取品牌信息列表', '/p/brand/page', 1),
 (1121, '2023-11-14 16:30:44', '2023-11-14 16:30:44', 579, 1, 'shop:takeStockSpu:exportTakeStockSpu', '实物盘点商品Excel导出', '/m/take_stock_spu/export_take_stock_spu', 1),
 (1122, '2023-11-14 16:29:49', '2023-11-14 16:29:49', 579, 1, 'shop:takeStockSpu:/importExcel', '导入盘点商品', '/m/take_stock_spu/import_excel', 2),
 (1123, '2023-11-14 16:29:03', '2023-11-14 16:29:03', 579, 1, 'shop:takeStockSpu:downloadModel', '实物盘点商品Excel模板下载', '/m/take_stock_spu/download_model', 1),
 (1124, '2023-11-14 16:26:30', '2023-11-14 16:26:30', 579, 1, 'shop:takeStockSpu:listByTakeStockId', '通过takeStockId获取盘点商品列表', '/m/take_stock_spu/list_by_take_stock_id', 1),
 (1125, '2023-11-14 15:59:06', '2023-11-14 15:59:06', 576, 1, 'shop:takeStock:exportTakeStock', '实物盘点Excel导出', '/m/take_stock/export_take_stock', 1),
 (1126, '2023-11-14 15:57:47', '2023-11-15 10:48:37', 576, 1, 'shop:takeStock:voidedInventory', '作废盘点', '/m/take_stock/voided_inventory/*', 3),
 (1127, '2023-11-14 15:56:25', '2023-11-14 15:56:25', 578, 1, 'shop:takeStock:finishInventory', '完成盘点', '/m/take_stock/finish_inventory', 3),
 (1128, '2023-11-14 15:55:25', '2023-11-14 15:55:25', 578, 1, 'shop:takeStock:update', '保存草稿', '/m/take_stock', 3),
 (1129, '2023-11-14 15:54:46', '2023-11-14 15:54:46', 578, 1, 'shop:takeStock:save', '新增盘点', '/m/take_stock', 2),
 (1130, '2023-11-14 15:53:28', '2023-11-15 10:48:29', 579, 1, 'shop:takeStock:show', '根据id查询库存盘点信息', '/m/take_stock/info/*', 1),
 (1131, '2023-11-14 15:50:08', '2023-11-14 15:50:08', 576, 1, 'shop:takeStock:page', '分页查询库存盘点信息', '/m/take_stock/page', 1),
 (1132, '2023-11-14 15:40:57', '2023-11-14 15:40:57', 439, 1, 'shop:stockChangeReason:changeStatus', '修改出入库原因状态', '/m/stock_change_reason/change_status', 3),
 (1133, '2023-11-14 15:36:57', '2023-11-14 15:37:01', 439, 1, 'shop:stockChangeReason:delete', '删除出入库原因', '/m/stock_change_reason', 4),
 (1134, '2023-11-14 15:36:24', '2023-11-14 15:36:24', 439, 1, 'shop:stockChangeReason:update', '更新出入库原因', '/m/stock_change_reason', 3),
 (1135, '2023-11-14 15:35:51', '2023-11-14 15:36:30', 439, 1, 'shop:stockChangeReason:save', '保存出入库原因', '/m/stock_change_reason', 2),
 (1136, '2023-11-14 15:35:32', '2023-11-14 15:35:32', 439, 1, 'shop:stockBillLogItem:show', '获取出入库原因', '/m/stock_change_reason', 1),
 (1137, '2023-11-14 15:34:56', '2023-11-14 15:34:56', 439, 1, 'shop:stockChangeReason:list', '获取店铺所有的出入库原因', ' /m/stock_change_reason/list', 1),
 (1138, '2023-11-14 15:34:21', '2023-11-14 15:34:21', 439, 1, 'shop:stockChangeReason:page', '分页获取出入库原因列表', '/m/stock_change_reason/page', 1),
 (1139, '2023-11-14 15:31:47', '2023-11-14 15:31:47', 433, 1, 'shop:stockBillLogItem:importExcel', '批量导入商品项', '/m/stock_bill_log_item/import_excel', 2),
 (1140, '2023-11-14 15:31:07', '2023-11-14 15:31:07', 436, 1, 'shop:stockBillLogItem:importExcel', '批量导入商品项', '/m/stock_bill_log_item/import_excel', 2),
 (1141, '2023-11-14 15:15:37', '2023-11-14 15:15:37', 428, 1, 'shop:stockBillLogItem:exportFlow', '导出库存流水', '/m/stock_bill_log_item/export_flow', 1),
 (1142, '2023-11-14 15:12:16', '2023-11-14 15:12:16', 428, 1, 'shop:stockBillLogItem:page', '分页获取库存流水', '/m/stock_bill_log_item/page', 1),
 (1143, '2023-11-14 15:09:47', '2023-11-14 15:09:47', 438, 1, 'shop:stockBillLog:voided', '作废出入库明细单', '/m/stock_bill_log/voided', 1),
 (1144, '2023-11-14 15:09:24', '2023-11-14 15:09:24', 435, 1, 'shop:stockBillLog:voided', '作废出入库明细单', '/m/stock_bill_log/voided', 3),
 (1145, '2023-11-14 15:08:17', '2023-11-14 15:08:17', 438, 1, 'shop:stockBillLog:exportStockBillLog', '导出出入库明细列表', '/m/stock_bill_log/export_stock_bill_log', 1),
 (1146, '2023-11-14 15:07:57', '2023-11-14 15:07:57', 435, 1, 'shop:stockBillLog:exportStockBillLog', '导出出入库明细列表', '/m/stock_bill_log/export_stock_bill_log', 1),
 (1147, '2023-11-14 15:05:54', '2023-11-14 15:05:54', 434, 1, 'shop:stockBillLog:update', '更新出入库明细', '/m/stock_bill_log', 1),
 (1148, '2023-11-14 15:05:33', '2023-11-14 15:05:33', 623, 1, 'shop:stockBillLog:update', '更新出入库明细', '/m/stock_bill_log', 3),
 (1149, '2023-11-14 15:03:48', '2023-11-14 15:03:48', 433, 1, 'shop:stockBillLog:save', '保存出入库明细', '/m/stock_bill_log', 2),
 (1150, '2023-11-14 15:03:21', '2023-11-14 15:03:21', 436, 1, 'shop:stockBillLog:save', '保存出入库明细', '/m/stock_bill_log', 2),
 (1151, '2023-11-14 15:02:34', '2023-11-15 10:53:22', 434, 1, 'shop:stockBillLog:info', '获取出入库明细', '/m/stock_bill_log/info/*', 1),
 (1152, '2023-11-14 15:01:55', '2023-11-15 10:53:30', 623, 1, 'shop:stockBillLog:info', '获取出入库明细', '/m/stock_bill_log/info/*', 1),
 (1153, '2023-11-14 14:25:43', '2023-11-14 14:25:43', 438, 1, 'shop:stockBillLog:page', '获取出入库明细列表', '/m/stock_bill_log', 1),
 (1154, '2023-11-14 14:08:29', '2023-11-14 14:08:29', 435, 1, 'shop:stockBillLog:page', '获取出入库明细列表', '/m/stock_bill_log/page', 1),
 (1155, '2023-11-14 14:05:10', '2023-11-14 14:05:10', 442, 1, 'shop:spuSupplierChangeLog:batchSync', '变更信息批量同步', '/m/spu_supplier_change_log/batchSync', 2),
 (1156, '2023-11-14 14:04:37', '2023-11-14 14:04:37', 442, 1, 'shop:spuSupplierChangeLog:delete', '删除商品供应商变更记录', '/m/spu_supplier_change_log', 4),
 (1157, '2023-11-14 14:04:06', '2023-11-14 14:04:06', 442, 1, 'shop:spuSupplierChangeLog:update', '更新商品供应商变更记录', '/m/spu_supplier_change_log', 3),
 (1158, '2023-11-14 14:03:38', '2023-11-14 14:03:38', 442, 1, 'shop:spuSupplierChangeLog:save', '保存商品供应商变更记录', '/m/spu_supplier_change_log', 2),
 (1159, '2023-11-14 14:03:03', '2023-11-14 14:03:03', 442, 1, 'shop:spuSupplierChangeLog:show', '获取商品供应商变更记录', '/m/spu_supplier_change_log', 1),
 (1160, '2023-11-14 14:00:22', '2023-11-14 14:01:11', 442, 1, 'shop:spuSupplierChangeLog:page', '获取商品供应商变更记录列表', '/m/spu_supplier_change_log/page', 1),
 (1161, '2023-11-14 13:53:08', '2023-11-14 13:53:08', 431, 1, 'shop:spu:pageSpuSku', '分页查询当前商家的spu及其sku信息', '/m/spu/pageSpuSku', 1),
 (1162, '2023-11-14 11:38:10', '2023-11-14 11:38:10', 580, 1, 'shop:spuComm:delete', '删除商品评论', '/m/spu_comm', 4),
 (1163, '2023-11-14 11:37:34', '2023-11-14 11:37:34', 580, 1, 'shop:spuComm:update', '更新商品评论', '/m/spu_comm', 3),
 (1164, '2023-11-14 11:36:41', '2023-11-14 11:36:41', 580, 1, 'shop:spuComm:show', '获取商品评论', '/m/spu_comm', 1),
 (1165, '2023-11-14 11:36:01', '2023-11-14 11:36:01', 580, 1, 'shop:spuComm:page', '获取商品评论列表', '/m/spu_comm/page', 1),
 (1166, '2023-11-14 11:34:01', '2023-11-14 11:34:01', 427, 1, 'shop:sku:pageSku', '分页查询sku信息', '/m/sku/page_sku', 1),
 (1167, '2023-11-14 11:08:18', '2023-11-14 11:08:18', 427, 1, 'shop:sku:getAllSkuList', '通过商品Id获取全部的规格列表', '/m/sku/get_all_skuList', 1),
 (1168, '2023-11-14 11:02:38', '2023-11-14 11:02:38', 512, 1, 'marketing:giveawaySpu:mainSpuPage', '分页获取主赠送商品', '/m/giveaway_spu/mainSpuPage', 1),
 (1169, '2023-11-14 11:01:14', '2023-11-14 11:02:03', 512, 1, 'marketing:giveawaySpu:page', '获取赠品套装商品项列表', '/m/giveaway_spu/page', 1),
 (1170, '2023-11-14 10:48:49', '2023-11-14 10:48:49', 271, 1, 'shop:category:addSigningCategory', '新增签约分类', '/m/apply_shop/category/add_signing_category', 2),
 (1171, '2023-11-14 10:47:32', '2023-11-14 10:47:32', 271, 1, 'shop:category:listApplySigningCategory', '获取可以签约的平台分类列表', '/m/apply_shop/category/list_apply_signing_category', 1),
 (1172, '2023-11-14 10:46:13', '2023-11-14 10:46:13', 271, 1, 'shop:category:deleteSigningCategory', '删除签约信息', '/m/apply_shop/category/delete_signing_category', 4),
 (1173, '2023-11-14 10:38:28', '2023-11-14 10:38:28', 142, 1, 'shop:category:listSigningCategory', '获取签约的可用分类列表(发布商品时使用,包含对应的上级分类)', '/m/apply_shop/category/list_signing_category', 1),
 (1174, '2023-11-14 10:33:38', '2023-11-14 10:33:38', 271, 1, 'shop:category:platformCategories', '获取平台所有的分类信息', '/m/apply_shop/category/platform_categories', 1),
 (1175, '2023-11-14 10:32:48', '2023-11-14 10:32:48', 271, 1, 'shop:category:listByShop', '获取签约的分类列表(返回所有)', '/m/apply_shop/category/list_by_shop', 1),
 (1176, '2023-11-14 10:28:28', '2023-11-14 10:28:28', 271, 1, 'shop:category:signing', '签约分类', '/m/apply_shop/category/signing', 2),
 (1177, '2023-11-14 10:25:55', '2023-11-14 10:25:55', 271, 1, 'shop:brand:addSigningBrand', '新增签约品牌', '/m/apply_shop/brand/add_signing_brand', 2),
 (1178, '2023-11-14 10:24:28', '2023-11-14 10:24:28', 271, 1, 'shop:brand:listApplySigningBrand', '获取可以签约的品牌列表', '/m/apply_shop/brand/list_apply_signing_brand', 1),
 (1179, '2023-11-14 10:00:29', '2023-11-14 10:00:51', 271, 1, 'shop:brand:deleteSigning', '删除签约品牌', '/m/apply_shop/brand/delete_signing_brand', 4),
 (1180, '2023-11-14 09:52:09', '2023-11-14 09:52:09', 271, 1, 'shop:brand:listAvailable', '获取分类下的品牌与店铺签约的品牌', '/m/apply_shop/brand/list_available_by_category_and_name', 1),
 (1181, '2023-11-14 09:45:37', '2023-11-14 09:45:37', 271, 1, 'shop:brand:listSigning', '获取店铺下已签约的品牌列表', '/m/apply_shop/brand/list_signing', 1),
 (1182, '2023-11-14 09:43:18', '2023-11-14 09:43:18', 271, 1, 'shop:brand:signing', '签约品牌', '/m/apply_shop/brand/signing', 2),
 (1183, '2023-11-14 09:37:37', '2023-11-14 09:37:37', 512, 1, 'marketing:giveaway:page', '分页查看', '/m/giveaway/page', 1),
 (1184,'2023-12-26 13:44:29','2023-12-26 13:55:10',698,2,'platform:popup:page','列表','/p/cost_per_popup/page',1),
(1185,'2023-12-26 13:48:12','2023-12-26 13:55:16',698,2,'platform:popup:view','查看','/p/cost_per_popup',1),
(1186,'2023-12-26 13:50:38','2023-12-26 13:55:02',698,2,'platform:popup:save','新增','/p/cost_per_popup',2),
(1187,'2023-12-26 13:51:16','2023-12-26 13:54:46',698,2,'platform:popup:update','编辑','/p/cost_per_popup',3),
(1188,'2023-12-26 13:52:12','2023-12-26 13:54:36',698,2,'platform:popup:delete','删除','/p/cost_per_popup',4),
(1189,'2023-12-26 13:53:59','2023-12-26 13:53:59',698,2,'platform:popup:invalid','失效活动','/p/cost_per_popup/invalid',3),
(1190,'2023-12-26 13:58:03','2023-12-26 13:58:03',700,1,'multishop:popup:page','列表','/m/cost_per_popup/page',1),
(1191,'2023-12-26 13:58:30','2023-12-26 13:58:30',700,1,'multishop:popup:view','查看','/m/cost_per_popup',1),
(1192,'2023-12-26 13:59:37','2023-12-26 13:59:37',700,1,'multishop:popup:save','新增','/m/cost_per_popup',2),
(1193,'2023-12-26 14:00:11','2023-12-26 14:00:11',700,1,'multishop:popup:update','编辑','/m/cost_per_popup',3),
(1194,'2023-12-26 14:00:47','2023-12-26 14:00:47',700,1,'multishop:popup:delete','删除','/m/cost_per_popup',4),
(1195,'2023-12-26 14:01:18','2023-12-26 14:01:18',700,1,'multishop:popup:invalid','失效活动','/m/cost_per_popup/invalid',3);



/*Table structure for table `role` */

DROP TABLE IF EXISTS `role`;

CREATE TABLE `role` (
  `role_id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '角色id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `role_name` varchar(100) NOT NULL COMMENT '角色名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint unsigned NOT NULL COMMENT '创建者ID',
  `biz_type` tinyint DEFAULT NULL COMMENT '业务类型 1 店铺菜单 2平台菜单',
  `tenant_id` bigint DEFAULT NULL COMMENT '所属租户',
  PRIMARY KEY (`role_id`),
  KEY `idx_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='角色';

/*Data for the table `role` */

/*Table structure for table `role_menu` */

DROP TABLE IF EXISTS `role_menu`;

CREATE TABLE `role_menu` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '关联id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `role_id` bigint unsigned NOT NULL COMMENT '角色ID',
  `menu_id` bigint unsigned DEFAULT NULL COMMENT '菜单ID',
  `menu_permission_id` bigint unsigned DEFAULT NULL COMMENT '菜单资源用户id',
  PRIMARY KEY (`id`) ,
  UNIQUE KEY `uk_roleid_menu_permission_id` (`role_id`,`menu_id`,`menu_permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='角色与菜单对应关系';

/*Data for the table `role_menu` */

/*Table structure for table `user_role` */

DROP TABLE IF EXISTS `user_role`;

CREATE TABLE `user_role` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '关联id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` bigint unsigned NOT NULL COMMENT '用户ID',
  `role_id` bigint unsigned NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_userid_roleid` (`user_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='用户与角色对应关系';

/*Data for the table `user_role` */

/*Table structure for table `leaf_alloc` */

CREATE TABLE IF NOT EXISTS `leaf_alloc` (
  `biz_tag` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '区分业务',
  `max_id` bigint unsigned NOT NULL DEFAULT '1' COMMENT '该biz_tag目前所被分配的ID号段的最大值',
  `step` int NOT NULL COMMENT '每次分配的号段长度',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `description` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '描述',
  PRIMARY KEY (`biz_tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `leaf_alloc` */

insert into `leaf_alloc` (`biz_tag`, `max_id`, `step`, `description`) values
('mall4cloud-auth-account','1','1000','mall4cloud-multishop数据库中auth_account这张表的uid');


/*Table structure for table `undo_log` */

DROP TABLE IF EXISTS `undo_log`;

CREATE TABLE `undo_log` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) NOT NULL,
  `context` varchar(128) NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ux_undo_log` (`xid`,`branch_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Data for the table `undo_log` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
